2001-08-01  Harlan Stenn  <stenn@whimsy.udel.edu>

	* configure.in: 4.1.0

2001-07-27  Harlan Stenn  <stenn@whimsy.udel.edu>

	* ntpd/refclock_oncore.c (oncore_start): Set pps_enable=1, just
	like the atom driver does.
	From: reg@dwf.com

	* ntpd/refclock_nmea.c (nmea_ppsapi): Set pps_enable=1, just like
	the atom driver does.
	From: Scott Allendorf <sca@newton.physics.uiowa.edu>

	* ntpd/ntp_config.c (getconfig): CONF_CLOCK_PANIC was using the
	wrong config flag.
	From: <justin_forrester@hp.com>

2001-07-10  Harlan Stenn  <stenn@whimsy.udel.edu>

	* configure.in: 4.0.99m-rc3

2001-07-06  Harlan Stenn  <stenn@whimsy.udel.edu>

	* ntp_update: COPYRIGHT needs a touch.
	From: Mike Stump <mrs@kithrup.com>

2001-07-04  Harlan Stenn  <stenn@whimsy.udel.edu>

	* html/config.htm: Major cleanup.
	From: Martin Janzen <janzen@pixelmetrix.com>	

	* configure.in (rt library check): Don't look for -lrt under
	Linux.  Under glibc-2.1.2 and -2.2.2 (at least), the POSIX-
	compatibility real-time library does strange things with threads
	as other processes and we're getting lots of complaints about it.
	Reported by: Juha Sarlin <juha@c3l.com>
	
2001-06-30  Harlan Stenn  <stenn@whimsy.udel.edu>

	* html/driver35.htm: Update email address.

2001-06-25  Harlan Stenn  <stenn@whimsy.udel.edu>

	* ntpd/refclock_oncore.c (oncore_msg_BaEaHa): Fix wrong offset for
	rsm.bad_almanac
	From: Reynir Siik <reynir@royal.net>

2001-06-12  Harlan Stenn  <stenn@whimsy.udel.edu>

	* configure.in: 4.0.99m-rc2

2001-06-10  Harlan Stenn  <stenn@whimsy.udel.edu>

	* ntpd/ntp_config.c:
	* include/ntp_config.h: includefile config keyword support
	From: Dean Gibson <timekeeper@tcp-udp.net>

2001-06-08  Harlan Stenn  <stenn@whimsy.udel.edu>

	* configure.in: 4.0.99m-rc1b

	* ntpd/refclock_true.c (true_debug): Bump some buffer sizes to
	reduce/eliminate chance of buffer overflow.  Use snprintf()
	instead of sprintf().  Do a better job of opening the debug file.
	* ntpd/ntp_control.c (ctl_getitem): Count overflow packets as bad
	and return a BADFMT.
	* ntpd/ntp_config.c (save_resolve): call fdopen() with the correct
	mode.
	From: Bela Lubkin <belal@sco.com>

2001-06-03  Harlan Stenn  <stenn@whimsy.udel.edu>

	* include/ntp.h (RES_ALLFLAGS): Add RES_DEMOBILIZE.
	From: Dean Gibson <timekeeper@tcp-udp.net>

	* configure.in: 4.0.99m-rc1a

2001-06-02  Harlan Stenn  <stenn@whimsy.udel.edu>

	* ntpd/ntp_refclock.c (refclock_open): Add O_NOCTTY to the open()
	flags when opening a serial port.
	Reported by: joseph lang <tcnojl1@earthlink.net>

2001-05-31  Harlan Stenn  <stenn@whimsy.udel.edu>

	* html/notes.htm: Typo fix.
	From: John Stone <johns@ks.uiuc.edu>

	* configure.in: 4.0.99m-rc1

	* html/monopt.htm: Typo fix.
	* html/confopt.htm: Cruft removal.
	From: John Stone <johns@ks.uiuc.edu>

2001-05-30  Harlan Stenn  <stenn@whimsy.udel.edu>

	* README.cvs: More updates and cleanup.

	* ntpd/ntp_loopfilter.c (loop_config): 
	Check against STA_NANO instead of (NTP_API > 3) to catch kernels
	that were rolled while the spec was evolving.
	From: John.Hay@icomtek.csir.co.za

	* README.cvs: Note that we want to check out NTP into a clean
	subdir.
	Reported by jrd@cc.usu.edu (Joe Doupnik)

2001-05-27  Harlan Stenn  <stenn@whimsy.udel.edu>

	* configure.in: 4.0.99k40

	* include/ntp_refclock.h: Median Filter (SAMPLE - macro) - change
	to use most recent MAXSTAGE entries when the filter overflows (ie
	driver poking say once per second with poll > MAXSTAGE) rather
	than blocking after MAXSTAGE entries (turf oldest rather than turf
	most recent).
	From: John Woolner <vk1et@tpg.com.au>

	* ntpd/refclock_true.c:
	   a. Don't cream pp->a_lastcode when we get a <cr><lf> pair 
	   b. Fix up pp->leap handling to work correctly 
	   c. clear CEVNT_BADTIME etc warnings when we get good clock 
	CEVNT_NOMINAL. 
	From: John Woolner <vk1et@tpg.com.au>

	* kernel/sys/pcl720.h:
	Add support for the XL clock to refclock_true.c 
	From: Paul A Vixie <vixie@mfnx.net> 

	* ntpd/ntp_loopfilter.c (local_clock): One more attempt at
	"improving" the panic message.

2001-05-26  Harlan Stenn  <stenn@whimsy.udel.edu>

	* configure.in (ac_cv_func_ctty_for_f_setown): BSDI3 needs a ctty
	for F_SETOWN, too.
	From: Paul A Vixie <vixie@mfnx.net>

2001-05-24  Harlan Stenn  <stenn@whimsy.udel.edu>

	* html/ntpd.htm: Typo.
	From: John Stone <johns@ks.uiuc.edu>

2001-05-23  Harlan Stenn  <stenn@whimsy.udel.edu>

	* configure.in: 4.0.99k39

	* ntpd/ntp_loopfilter.c (local_clock): huffpuff cleanup/improvements.
	(huffpuff): Cleanup/improvements.
	(loop_config): huffpuff initialization cleanup/improvements.
	From: Dave Mills, Terje, Mark, and John?

2001-05-22  Harlan Stenn  <stenn@whimsy.udel.edu>

	* html/release.htm:
	* html/ntpd.htm:
	* html/miscopt.htm:
	From: Dave Mills: Updates.

2001-05-21  Harlan Stenn  <stenn@whimsy.udel.edu>

	* configure.in: 4.0.99k38

	* ntpd/ntp_proto.c (clock_filter): Huff-n-Puff and Popcorn
	improvements.
	* ntpd/ntp_loopfilter.c (local_clock): Debug cleanup
	From: Dave Mills.

	* include/ntp_syscall.h (ntp_gettime): Updated patch from Ulrich.
	My original attempt was not backwards compatible.

2001-05-17  Harlan Stenn  <stenn@whimsy.udel.edu>

	* include/ntp_syscall.h (ntp_gettime): Fill in the tai member.
	From: Ulrich Windl <Ulrich.Windl@rz.uni-regensburg.de>

	* configure.in: 4.0.99k37

	* ntpd/ntp_proto.c (clock_filter): Lose "off", xtemp and ytemp,
	and some obsoleted calculations.  Set the peer->offset and
	peer->delay from the filter stages.

	* ntpd/ntp_loopfilter.c: Comment/document improvements.
	(local_clock): correct the offset by one-half the difference
	between the sample delay and minimum delay.  Lose "mu" from the
	debug message.
	From: Dave Mills.

2001-05-15  Harlan Stenn  <stenn@whimsy.udel.edu>

	* configure.in: 4.0.99k36

	* ntpd/ntp_loopfilter.c: Huff-n-puff cleanup
	From: Dave Mills.

2001-05-14  Harlan Stenn  <stenn@whimsy.udel.edu>

	* configure.in: 4.0.99k35

	* ntpd/refclock_atom.c (atom_ppsapi): set pps_enable=1 if
	enb_hardpps.
	* ntpd/ntp_timer.c: huffpuff support.
	(init_timer): huffpuff support.
	(timer): huffpuff support.
	* ntpd/ntp_proto.c (init_proto): Initialize pps_enable to 0, not 1.
	* ntpd/ntp_loopfilter.c (CLOCK_HUFFPUFF): Added.
	Add huff-n-puff filter variables.
	(local_clock): Lose "pps sync enabled" log noise.
	(huffpuff): Added.
	(loop_config): LOOP_MINPOLL and LOOP_ALLAN were missing the
	trailing break; add LOOP_HUFFPUFF.
	* ntpd/ntp_config.c: tinker huffpuff added.
	(getconfig): CONF_CLOCK_HUFFPUFF support.
	* include/ntpd.h: huffpuff() declaration.
	* include/ntp_config.h (CONF_CLOCK_HUFFPUFF): Added.
	* include/ntp.h (HUFFPUFF): Added.
	(LOOP_HUFFPUFF): Added.
	From: Dave Mills.

2001-05-11  Harlan Stenn  <stenn@whimsy.udel.edu>

	* html/driver20.htm: Reality check.
	* ntpd/refclock_nmea.c: Comment cleanup
	From: John Woolner <vk1et@tpg.com.au>

	* html/release.htm: Cleanup (at least).
	* html/refclock.htm: Cleanup (at least).
	* html/kern.htm: Cleanup (at least).
	* html/index.htm: Cleanup (at least).
	* html/extern.htm: Cleanup (at least).
	* html/driver1.htm: Cleanup (at least).
	* html/debug.htm: Cleanp (at least).
	* html/accopt.htm: KoD documentation update.
	From: Dave Mills.

	* configure.in: 4.0.99k34

	* ntpd/ntp_util.c (record_loop_stats): values are now passed in.
	* ntpd/ntp_loopfilter.c (local_clock): pass the values to
	record_loop_stats().
	* include/ntpd.h: Pass the parameters in to record_loop_stats().
	With the discipline loop opened (disable ntp) the local clock
	updates were not being sent to loopstats. That now is.
	From: Dave Mills.	

2001-05-10  Harlan Stenn  <stenn@whimsy.udel.edu>

	* configure.in: 4.0.99k33

	* ntpd/ntp_proto.c (receive): Validate the source port.  Lose
	NTPv1 support.
	* ntpd/ntp_loopfilter.c (local_clock): Sanity check sys_poll
	earlier instead of later.
	From: Dave Mills.

	* ntpd/refclock_oncore.c (oncore_msg_any): We don't always have
	GETTIMEOFDAY().

2001-05-09  Harlan Stenn  <stenn@whimsy.udel.edu>

	* ntpd/refclock_shm.c (shm_poll): Apply JAN_1970 correction after
	calling TVTOTS(), just like everybody else does.
	From: David Malone <dwmalone@maths.tcd.ie>

	* ntpd/refclock_ulink.c: fixed 33x quality flag, added more
	debugging stuff, updated 33x time code explanation.
	From: s.l.smith (via j.c.lang).

2001-05-08  Harlan Stenn  <stenn@whimsy.udel.edu>

	* configure.in: 4.0.99k32

	* ntpd/ntp_loopfilter.c: rstclock now takes a 3rd argument, the
	last offset.
	(init_loopfilter): Use it.
	(local_clock): Use it.  Clean up the code.
	(loop_config): Use it.
	(rstclock): Implement it.  Clean up the code.
	From Dave Mills.

2001-05-06  Harlan Stenn  <stenn@whimsy.udel.edu>

	* configure.in: 4.0.99k31

	* ntpdc/ntpdc_ops.c (sysstats): That's 'bad packet format'
	(instead of '... length'), and 'packets rejected' (instead of
	'limitation rejects'.
	* ntpd/ntp_proto.c (receive): PUBKEY fixes.  Move KoD stuff to
	process_packet().
	(process_packet):  Move KoD stuff here... 
	(peer_clear): Unspec the stratum, too.
	(clock_filter): Don't update peer->epoch here.  Fix the filter
	test when checking the epoch.
	(fast_xmit): Send back STRATUM_UNSPEC on a KoD packet.
	(init_proto): Initialize sys_jitter.

	* ntpd/ntp_loopfilter.c: rstclock() takes 2 parameters now.
	(init_loopfilter): Use it...
	(local_clock): Ditto, and change the "mu" calculation.  Improve
	the jitter test in S_SYNC.  Use peer->epoch (not current_time) to
	update the last_time.  Update debug info.
	(rstclock): 2nd arg - the epoch to use.  Use it.
	(loop_config): update call to rstclock.
	From: Dave Mills.

2001-05-01  Harlan Stenn  <stenn@whimsy.udel.edu>

	* ports/winnt/ntpd/ntpd.dsp: Add cmd_args.c
	From: Wink Saville <wink@saville.com>

2001-04-29  Harlan Stenn  <stenn@whimsy.udel.edu>

	* ntpq/ntpq.c (tstflags): 11 now.
	From: John Cochran <jdc@fiawol.org>

	* ntpd/ntp_proto.c (receive): KoD updates.  Improve the comments.
	Lose the AM_PROCPKT restrictions test.
	(peer_xmit): Check/report on no encryption key in packet.
	(fast_xmit): Use peer_xmit's new packet length check code.
	From  Dave Mills.

2001-04-28  Harlan Stenn  <stenn@whimsy.udel.edu>

	* configure.in: 4.0.99k30

2001-04-27  Harlan Stenn  <stenn@whimsy.udel.edu>

	* ntpdc/ntpdc_ops.c: Added "kod", lost "demobilize".
	* ntpd/ntp_config.c: Added "kod" keyword.  Lose "demobilize" keyword.
	* html/release.htm: Updated.
	* html/accopt.htm: Updated.
	From: Dave Mills.

	* ntpq/ntpq.c: Reorder and add some TEST flag bits.
	* ntpd/ntp_proto.c (transmit): Also bail if access denied.
	(receive): Lose RES_DEMOBILIZE and (some?) RES_DONTSERVE and
	RES_LIMITIED stuff.  Update Kiss-Of-Death (KoD) docs.
	Call fast_xmit with new 3rd parameter (restrict_mask).
	Before checking for an authentic packet, check the restrict_mask
	for RES_{DONTSERVE,LIMITED,NOPEER}.
	Check restrictions in AM_PROCPKT case.
	(peer_clear): Don't lose the stratum if the peer->flags don't
	indicate FLAG_REFCLOCK.
	(fast_xmit): Take restrict mask as a new argument, and handle
	KoD.  Reorder some code.
	From: Dave Mills.

2001-04-26  Harlan Stenn  <stenn@whimsy.udel.edu>

	* ntpdc/ntpdc_ops.c: restrict/unrestrict support for version and
	demobilize.  Implement demobilze.
	* ntpd/ntp_proto.c (receive): Improve version testing, including
	RES_DEMOBILIZE support.
	(fast_xmit): Patches to kiss-of-death packet.
	* ntpd/ntp_loopfilter.c (local_clock): S_SYNC case now also checks
	abs(clock_offset) against CLOCK_PGATE*sys_jitter.
	* ntpd/ntp_config.c: CONF_RES_DEMOBILIZE/demobilize support.
	* include/ntp_config.h (CONF_RES_DEMOBILIZE): Added.
	* include/ntp.h (RES_DEMOBILIZE): Added.
	From Dave Mills.

2001-04-25  Harlan Stenn  <stenn@whimsy.udel.edu>

	* html/accopt.htm: Document the "version" parameter
	From Dave Mills.

	* ntpd/ntp_proto.c (fast_xmit): Implement DENY mode.
	From Dave Mills.

	* ntpd/ntp_config.c: Add the "allan" tinker variable.
	From: Juha Sarlin <juha@c3l.tyreso.se>

	* ntpd/refclock_hopfpci.c (hopfpci_start): Lose the "correct_any"
	stuff - it's both obsolete and wrong.

	* ntpd/ntp_proto.c (receive): Keep track of packet versions.
	Implement RES_LIMITED.
	* include/ntp_config.h (CONF_RES_LIMITED): 
	* include/ntp.h (RES_LIMITED): Leave the bits in the original
	order.
	From Dave Mills.

	* util/timetrim.c:
	* util/Makefile.am:
	* ntpdc/ntpdc_ops.c:
	* ntpd/refclock_nmea.c:
	* libntp/snprintf.c:
	* configure.in:
	* configure:
	* config.h.in:
	* aclocal.m4:
	* acconfig.h:
	Lint cleanup from: Marc Brett <mbrett@rgs0.london.waii.com>

	* ntpd/ntp_config.c: Add "version" support.
	(getconfig): version support.
	* include/ntp_config.h (CONF_RES_VERSION): Added.
	* include/ntp.h (RES_VERSION): Added.
	From: Dave Mills.

	* include/ntp_machine.h (ifreq): WinNT cleanup

2001-04-23  Harlan Stenn  <stenn@whimsy.udel.edu>

	* configure.in: 4.0.99k29

	* html/miscopt.htm: Document the "allan" tinker variable.
	* ntpd/ntp_proto.c (clock_filter): Update comments.  Lose etemp;
	we now use allan_xpt for this.
	* ntpd/ntp_loopfilter.c: Added allan_xpt as a tinker variable.
	Reorganize variables and improve comments.
	(local_clock): Improve comments, use (new) allan_xpt instead of
	CLOCK_ALLAN.  Fix test in S_SYNC state.  Update debug info.
	(rstclock): No longer force allan_xpt to CVLOCK_ALLAN in S_FREQ,
	S_SYNC, or default case.
	(loop_config): Document dangerous tinker variables, and add
	LOOP_ALLAN to the list.
	* include/ntp_config.h (CONF_CLOCK_ALLAN): Added.
	* include/ntp.h (LOOP_ALLAN): Added.
	Allan intercept fixes from Dave Mills.

	* scripts/mkver.in: Use the C locale so  the dates come out in a
	consistent format.
	From: ASANO Naoyuki <n_asano@imjp.co.jp>

	* build: Run "config.status" before the "make" because it probably
	saves time and trouble.  Probably...

	* flock-build: Try building sequentially.

2001-04-22  Harlan Stenn  <stenn@whimsy.udel.edu>

	* configure.in (ac_cv_make_tickadj): Fix it right...

	* util/ntp-genkeys.c: extern config_netinfo, too.

	* util/hist.c:
	* ntptrace/ntptrace.c:
	* ntpq/ntpq.c:
	* ntpdc/ntpdc.c:
	* ntpdate/ntptimeset.c:
	* ntpdate/ntpdate.c:
	* ntpd/refclock_parse.c:
	* ntpd/refclock_msfees.c:
	* ntpd/refclock_jupiter.c:
	* ntpd/ntp_refclock.c:
	* ntpd/ntp_io.c:
	* libparse/clk_wharton.c:
	* libparse/clk_varitext.c:
	* libparse/clk_trimtaip.c:
	* libparse/clk_schmid.c:
	* libparse/clk_rcc8000.c:
	* libparse/clk_rawdcf.c:
	* libparse/clk_meinberg.c:
	* libparse/clk_hopf6021.c:
	* libparse/clk_dcf7000.c:
	* libparse/clk_computime.c:
	Lint.  From: Simon Burge <simonb@wasabisystems.com>

2001-04-21  Harlan Stenn  <stenn@whimsy.udel.edu>

	* ntpd/refclock_nmea.c (nmea_receive): Fixes.
	From: John Woolner <vk1et@tpg.com.au>

	* util/ntp-genkeys.c: Declare check_netinfo, don't define it.
	From: Jack Bryans <jbryans@csulb.edu>

	* configure.in (RSASRCS): rsaref2 needs digit.h (I thought I fixed
	this already).
	
	* configure.in (CFLAGS): Disable -Wconversion, enable
	-Wmissing-prototypes, and allow for -Werror.
	From: Simon Burge <simonb@wasabisystems.com>

	* util/ntp-genkeys.c (main): Reset the standard mask so the
	symlinks are created with the standard mask.

	* configure.in: 4.0.99k28

	* ntpd/ntpd.c (ntpdmain): Use mode_t for umask value.

	* util/ntp-genkeys.c: Create files with the right umask.

	* util/ntp-genkeys.c: config_file should be declared, not defined.
	* ntpd/refclock_mx4200.c (mx4200_pps): debug cleanup.
	* ntpd/refclock_hopfser.c: If we're not using it, provide the _bs.
	* ntpd/refclock_heath.c (heath_receive): Add missing "break"
	statements.
	* ntpd/ntp_proto.c: Lose extra definition of mode_ntpdate.
	* librsaref/Makefile.am (nodist_librsaref_a_SOURCES): Put RSASRCS
	on the same line as rsaref.h to improve portability.
	* libntp/msyslog.c: Lint cleanup.
	From: Marc.Brett@westerngeco.com

	* util/ntp-genkeys.c:
	* ntpdate/ntpdate.c:
	* ntpd/ntp_config.c: Netinfo header reorder.
	From: Jack Bryans <jbryans@csulb.edu>

	* configure.in: timespec can be found by looking in goofy places
	under SunOS.

2001-04-20  Harlan Stenn  <stenn@whimsy.udel.edu>

	* ntpd/refclock_nmea.c:  PPSAPI cleanup, default to RMC sentences,
	handle milliseconds, multiple sentences, other good stuff.
	From: John Woolner <vk1et@tpg.com.au>, Marc.Brett@westerngeco.com,
	John.Hay@icomtek.csir.co.za

	* ntpd/ntp_proto.c (receive): In the AM_NEWBCL case, return in all
	cases at the end.
	* ntpd/ntp_peer.c (newpeer): Check cast_flags against MDF_BCLNT,
	not against MDF_BCAST.
	* ntpd/ntp_loopfilter.c (local_clock): Lose debug info.
	* ntpd/ntp_crypto.c (crypto_recv): Bugfix.
	From: Dave Mills.

	* configure.in: 4.0.99k27

	* ntpd/ntp_loopfilter.c (local_clock): Check clock_panic > 0.
	Check clock_max > 0.
	* html/ntpd.htm: Cleanup.
	* html/miscopt.htm: Cleanup.
	* html/confopt.htm: Cleanup minpoll documentation.
	From: Dave Mills.

2001-04-19  Harlan Stenn  <stenn@whimsy.udel.edu>

	* ntpd/cmd_args.c (getstartup): check_netinfo needs an extern
	declaration.
	Reported by: Jack Bryans <jbryans@csulb.edu>

	* configure.in (ac_cv_make_timetrim): Added.
	* util/Makefile.am (bin_PROGRAMS): MAKE_TIMETRIM
	Requested by: Jack Bryans <jbryans@csulb.edu>

	* configure.in: 4.0.99k26

	* util/ntp-genkeys.c:
	* ntpd/refclock_oncore.c:
	* ntpd/ntp_peer.c:
	* libntp/msyslog.c:
	* libntp/audio.c:
	Lint cleanup.
	From: Simon Burge <simonb@wasabisystems.com>

	* ntpd/ntp_loopfilter.c (local_clock): debug message improvements
	from Dave Mills.

	* libntp/emalloc.c (emalloc): Tell people we are exiting if we log
	an out-of-memory condition.

	* util/ntp-genkeys.c (main): Don't allow '#' in a generated MD5
	key.  Reported by: Dave Tyson <Dave.Tyson@liverpool.ac.uk>

2001-04-18  Harlan Stenn  <stenn@whimsy.udel.edu>

	* ntpd/ntp_proto.c (clock_update): minpoll cleanup.
	(clock_select): minpoll cleanup.
	(clock_filter): Bugfixes from Mark Martinec <Mark.Martinec@ijs.si>
	* ntpd/ntp_loopfilter.c (rstclock): minpoll cleanup.  Debug cleanup.
	* ntpd/ntp_config.c (getconfig): Initialize/bounds check minpoll
	using NTP_MINDPOLL insted of sys_minpoll.
	From: Dave Mills.

2001-04-17  Harlan Stenn  <stenn@whimsy.udel.edu>

	* libntp/msyslog.c:
	* ElectricFence/page.c (stringErrorReport): Follow Rainer's lead
	and use strerror().

	* ntpd/refclock_shm.c (shm_start): Always use strerror. 
	* libntp/msyslog.c (msyslog): Use strerror if present. 
	From: Rainer Orth  <ro@TechFak.Uni-Bielefeld.
	
	* ntpd/ntp_config.c (getconfig): Read stratum fudge value into 
	long variable.
	From: Rainer Orth <ro@TechFak.Uni-Bielefeld.DE> 

	* libparse/parsesolaris.c (rdchar): Cast ~0 to unsigned long. 
	* libntp/buftvtots.c (buftvtots): Allow for 8-byte tv_sec, tv_usec 
	in struct timeval.
	From: Rainer Orth  <ro@TechFak.Uni-Bielefeld.DE>

2001-04-16  Harlan Stenn  <stenn@whimsy.udel.edu>

	* ntpd/ntp_config.c (getconfig): move "tinker" so it's generally
	available.

2001-04-15  Harlan Stenn  <stenn@whimsy.udel.edu>

	* configure.in: Look for getclock().

	* ntpd/ntp_config.c (getconfig): Squawk if provided minpoll or
	maxpoll values are out of range.

	* ntpd/ntp_proto.c (poll_update): Some operations can only be done
	if we're compiling with some REFCLOCKs.
	From Dave Mills.

	* configure.in (RSASRCS): Added.
	* librsaref/Makefile.am (nodist_librsaref_a_SOURCES): Use RSASRCS.

	* configure.in: Limit the DECL_HSTRERROR_0 to aix4.3.*.  RSN, we
	could also limit it to xlc...

	* configure.in: 4.0.99k25

	* html/leap.htm: Added.
	* html/index.htm: Update.
	* html/driver7.htm: Update.
	* html/driver6.htm: Update.
	* html/driver36.htm: Update.
	* html/audio.htm: Update.
	* html/y2k.htm: Removed.
	From Dave Mills.

2001-04-14  Harlan Stenn  <stenn@whimsy.udel.edu>

	* acconfig.h: Lose extra declarations of PACKAGE and VERSION.

	* acconfig.h: 
	* configure.in:
	* include/l_stdlib.h: DECL_HSTRERROR_0 needed for xlc under AIX 4.3.2.
	Reported by: Harald Barth <haba@pdc.kth.se>

	* ntpd/ntp_proto.c (proto_config): cal_enable (PROTO_CAL) is
	invalid if no refclocks are present.
	From: Frodo Looijaard <frodol@dds.nl>

	* README.cvs: On some systems, the -C option fails.

	* ntpd/refclock_nmea.c:
	* ntpd/ntp_refclock.c:
	* html/driver20.htm:
	PPSAPI patches for NMEA driver.
	From: John.Hay@icomtek.csir.co.za

        * README.rsa: Describe RSAEuro support, provide alternate rsa.c 
	patch. 
	* configure.in: Check for rsaeuro1, RSAOBJS, RSADIR respectively. 
	* html/build.htm: Hint at rsaeuro1 directory. 
	* include/global.h (BYTE): Define. 
	* librsaref/Makefile.am (nodist_librsaref_a_SOURCES): Removed rsaref2 
	specific sources. 
	(librsaref_a_LIBADD): Add appropriate objects. 
	(librsaref_a_DEPENDENCIES): Work around automake limitation. 
	(stamp-rsaref): Use RSADIR. 
	* scripts/README: Document ntp-close. 
	* scripts/Makefile.am (EXTRA_DIST): Distribute it. 
	* Makefile.am (DISTCLEANFILES): Remove .warning.
	* librsaref/Makefile.am (DISTCLEANFILES): Remove copied/touched
	librsaref sources, stamp-rsaref.
	* ntpdate/Makefile.am (DISTCLEANFILES): Remove version.c.
	* ntpq/Makefile.am (DISTCLEANFILES): Likewise.
	* parseutil/Makefile.am (DISTCLEANFILES): Remove $(EXTRA_PROGRAMS).
	Rainer Orth  <ro@TechFak.Uni-Bielefeld.DE>

	* ntpd/ntp_control.c: Header cleanup

2001-04-13  Harlan Stenn  <stenn@whimsy.udel.edu>

	* configure.in: Properly align --help output.
	Explain ElectricFence.
	From: Rainer Orth  <ro@TechFak.Uni-Bielefeld.DE>

	* ntpd/ntp_loopfilter.c (local_clock): Lose debugging statements.
	* ntpd/ntp_proto.c (clock_filter): Rewrite.
	From: Dave Mills

	* ntpd/ntp_control.c (ctl_getitem): msyslog() possible buffer
	overflow exploit.

	* configure.in: 4.0.99k24

	* html/pic/radio2.jpg:
	* html/release.htm:
	* html/refclock.htm:
	* html/pps.htm:
	* html/ntpd.htm:
	* html/miscopt.htm:
	* html/driver22.htm:
	* html/confopt.htm:
	Updated documentation from Dave Mills.

	* util/ntp-genkeys.c: sys_minpoll.
	* ntpd/refclock_atom.c: Comment additions.
	* ntpd/ntp_proto.c: mode_ntpdate and peer_ntpdate added.
	(transmit): We want 3, not 2, consecutive polls.  hpoll logic
	cleanup.  mode_ntpdate changes.
	(receive): When setting up a newpeer, use our sys_minpoll, not the
	peer->ppoll.
	(clock_update): sys_minpoll changes.  Reorder some case 1 code.
	Don't exit in case 2.
	(poll_update): hpoll cleanup.
	(peer_clear): u_rand.  Use u_rand to randomize the initial poll.
	* ntpd/ntp_peer.c (newpeer): Bump peer_ntpdate if we're in
	mode_ntpdate.
	* ntpd/ntp_loopfilter.c: Initialize sys_poll and sys_minpoll to
	NTP_MINDPOLL.
	(local_clock): Clean up some debug/info messages.
	(rstclock): Use sys_minpoll.
	(loop_config): KERNEL_PLL sanity checks.  LOOP_MINPOLL support.
	* ntpd/ntp_crypto.c (crypto_recv): Turn off FLAG_AUTOKEY when we
	turn off TEST10.
	* ntpd/ntp_control.c (ctl_getitem): Buffer overflow check.  Clean
	up some loop logic.
	* ntpd/ntp_config.c: Added "tinker" and "minpoll".  Use
	sys_minpoll now, instead of old manifest constant.
	(save_resolve): Print keyid using decimal, not hex.  From Lars-Owe
	Ivarsson <larsowe@paradisaea.its.uu.se>
	* include/ntpd.h: Added peer_ntpdate and sys_minpoll.
	* include/ntp_config.h (CONF_CLOCK_MINPOLL): Added.
	* include/ntp.h: keyid cleanup.  LOOP_* cleanup.
	From Dave Mills.

2001-04-03  Harlan Stenn  <stenn@whimsy.udel.edu>

	* ntpd/ntp_proto.c (clock_filter): Swell stuff.
	From: Mark Martinec <Mark.Martinec@ijs.si>

	* ports/winnt/ntpd/ntpd.dsp:
	* ports/winnt/ntpd/hopf_PCI_io.c:
	* ports/winnt/include/hopf_PCI_io.h:
	* ports/winnt/include/config.h:
	* ntpd/refclock_hopfser.c:
	* ntpd/refclock_hopfpci.c:
	* ntpd/refclock_conf.c:
	* ntpd/ntp_control.c:
	* ntpd/Makefile.am:
	* libntp/clocktypes.c:
	* include/ntp.h:
	* include/hopf6039.h:
	* include/Makefile.in:
	* include/Makefile.am:
	* html/pic/fg6039.jpg:
	* html/refclock.htm:
	* html/driver39.htm:
	* html/driver38.htm:
	* html/copyright.htm:
	Updated Oncore dudes.

	* configure.in:
	HOPF drivers and documentation.
	From: Bernd Altmeier <altmeier@atlsoft.de> (with some light
	hacking from Harlan to clean up indentation and lose the // comments)

	* ntpd/refclock_oncore.c:
	* ntpd/refclock_conf.c: Make it go.
	From: Reg Clemens <reg@dwf.com>

	* configure.in (openssl): Publish and default to RSAREF; hide
	openssl, and only use it if explicitly requested (at least until
	we work with it).

2001-04-02  Harlan Stenn  <stenn@whimsy.udel.edu>

	* html/y2k.htm:
	* html/tickadj.htm:
	* html/release.htm:
	* html/refclock.htm:
	* html/quick.htm:
	* html/pps.htm:
	* html/ntptrace.htm:
	* html/ntptime.htm:
	* html/ntpq.htm:
	* html/ntpdc.htm:
	* html/ntpdate.htm:
	* html/ntpd.htm:
	* html/miscopt.htm:
	* html/index.htm:
	* html/genkeys.htm:
	* html/exec.htm:
	* html/driver7.htm:
	* html/driver22.htm:
	* html/copyright.htm:
	* html/confopt.htm:
	* html/build.htm:
	* html/authopt.htm:
	* html/assoc.htm:
	Updates from Dave Mills.

2001-04-01  Harlan Stenn  <stenn@whimsy.udel.edu>

	* configure.in (OPENSSL): Just use -lcrypto.
	Reported by Dave Mills.

2001-03-31  Harlan Stenn  <stenn@whimsy.udel.edu>

	* configure.in: 4.0.99k20

	* ntpd/refclock_heath.c: Add support for GC-1000 II.
	From Dave Mills.

	* ntpd/ntp_proto.c (transmit): Check peer->unreach.
	(peer_clear): peer->outdate is a f(BURST_INTERVAL1), not
	NTP_MINPOLL.
	* ntpd/ntp_loopfilter.c (local_clock): mode_ntpdate stuff.
	* ntpd/ntp_crypto.c: OpenSSL/RSAREF support.
	* ntpd/cmd_args.c: Use -q, not -z, for mode_ntpdate.
	(getstartup): nofork on mode_ntpdate. Usage update.
	* include/ntp_crypto.h: OpenSSL/RSAREF support.
	From: Dave Mills.

	* configure.in (rsaref): Buglet.

2001-03-30  Harlan Stenn  <stenn@whimsy.udel.edu>

	* ntpd/ntp_proto.c (clock_update): mode_ntpdate support.
	* ntpd/ntp_loopfilter.c	(local_clock): mode_ntpdate support.
	* ntpd/cmd_args.c: Added -z (mode_ntpdate).
	* include/ntpd.h: mode_ntpdate added.
	* include/ntp_crypto.h: RSAREF/OPENSSL cleanup.
	From: Dave Mills.

2001-03-29  Harlan Stenn  <stenn@whimsy.udel.edu>

	* config.h.in:
	* aclocal.m4:
	* configure.in: Prepare for OpenSSL support

2001-03-28  Harlan Stenn  <stenn@whimsy.udel.edu>

	* README.rsa: Note that RSAEURO will not work.
	Reported by: pieter.delacourt@banksys.be

2001-03-25  Harlan Stenn  <stenn@whimsy.udel.edu>

	* include/ntp_if.h:
	* include/ntp_machine.h:
	* include/ntp_unixtime.h:
	* libntp/humandate.c:
	* libntp/iosignal.c:
	* libntp/mktime.c:
	* libntp/prettydate.c:
	* libntp/systime.c:
	* libntp/tvtoa.c:
	* libntp/uglydate.c:
	* libntp/utvtoa.c:
	* libparse/clk_computime.c:
	* libparse/clk_dcf7000.c:
	* libparse/clk_hopf6021.c:
	* libparse/clk_meinberg.c:
	* libparse/clk_rawdcf.c:
	* libparse/clk_rcc8000.c:
	* libparse/clk_schmid.c:
	* libparse/clk_trimtaip.c:
	* libparse/clk_trimtsip.c:
	* libparse/clk_varitext.c:
	* libparse/parse.c:
	* libparse/parse_conf.c:
	* ntpd/check_y2k.c:
	* ntpd/ntp_config.c:
	* ntpd/ntp_control.c:
	* ntpd/ntp_intres.c:
	* ntpd/ntp_io.c:
	* ntpd/ntp_loopfilter.c:
	* ntpd/ntp_monitor.c:
	* ntpd/ntp_proto.c:
	* ntpd/ntp_refclock.c:
	* ntpd/ntp_request.c:
	* ntpd/ntp_resolver.c:
	* ntpd/ntp_timer.c:
	* ntpd/ntp_util.c:
	* ntpd/ntpd.c:
	* ntpd/refclock_acts.c:
	* ntpd/refclock_arbiter.c:
	* ntpd/refclock_arc.c:
	* ntpd/refclock_as2201.c:
	* ntpd/refclock_atom.c:
	* ntpd/refclock_bancomm.c:
	* ntpd/refclock_chronolog.c:
	* ntpd/refclock_chu.c:
	* ntpd/refclock_datum.c:
	* ntpd/refclock_dumbclock.c:
	* ntpd/refclock_fg.c:
	* ntpd/refclock_gpsvme.c:
	* ntpd/refclock_heath.c:
	* ntpd/refclock_hpgps.c:
	* ntpd/refclock_irig.c:
	* ntpd/refclock_jupiter.c:
	* ntpd/refclock_leitch.c:
	* ntpd/refclock_local.c:
	* ntpd/refclock_msfees.c:
	* ntpd/refclock_mx4200.c:
	* ntpd/refclock_nmea.c:
	* ntpd/refclock_oncore.c:
	* ntpd/refclock_pcf.c:
	* ntpd/refclock_pst.c:
	* ntpd/refclock_shm.c:
	* ntpd/refclock_tpro.c:
	* ntpd/refclock_trak.c:
	* ntpd/refclock_true.c:
	* ntpd/refclock_ulink.c:
	* ntpd/refclock_usno.c:
	* ntpd/refclock_wwv.c:
	* ntpd/refclock_wwvb.c:
	* ntpdate/ntpdate.c:
	* ntpdate/ntptime_config.c:
	* ntpdate/ntptimeset.c:
	* ntpdc/ntpdc.c:
	* ntpdc/ntpdc_ops.c:
	* ntpq/ntpq.c:
	* ntpq/ntpq_ops.c:
	* ntptrace/ntptrace.c:
	* parseutil/testdcf.c:
	* util/hist.c:
	* util/ntp-genkeys.c:
	* util/ntptime.c:
	* util/precision.c:
	* util/tickadj.c:
	time.h and sys/time.h cleanup.

2001-03-24  Harlan Stenn  <stenn@whimsy.udel.edu>

	* configure.in: '99k19

	* ntpd/refclock_atom.c (atom_ppsapi): PPS API RFC alignment patches.
	From: Ulrich Windl <Ulrich.Windl@rz.uni-regensburg.de>

	* util/ntptime.c: MNT options
	From: Ulrich Windl <Ulrich.Windl@rz.uni-regensburg.de>

	* ntpd/ntp_refclock.c (refclock_newpeer): Lose "extra" free().
	From: Ulrich Windl <Ulrich.Windl@rz.uni-regensburg.de>

	* configure.in: 4.0.99k18 and auto* upgrade

2001-03-14  Harlan Stenn  <stenn@whimsy.udel.edu>

	* ntpdc/ntpdc_ops.c (printpeer): No more "valid".
	* ntpd/ntp_request.c (peer_info): No more "valid".
	* ntpd/ntp_refclock.c (refclock_transmit): valid/hpoll cleanup.
	* ntpd/ntp_proto.c (transmit): valid/hpoll and peer->ttl cleanup.
	peer->valid/oreach cleanup.
	(receive): Call newpeer() with the pkt->ppoll, not
	NTP_MINDPOLL (in several places).
	In AM_NEWPASS, if we have a NULL peer, return.
	(poll_update): Added xpoll definition, fixed oldpoll definition.
	Algorithmic improvements.
	* ntpd/ntp_peer.c (newpeer): Better minpoll/maxpoll
	initialization.
	(resetmanycast): That's a poll_update() on an MDF_ACAST, not a
	poll_clear().
	* ntpd/ntp_crypto.c: include <fcntl.h>.
	(crypto_recv): Leave the crypto_flags alone when wiggling the
	peer-> stuff.
	(crypto_cert): Make room for daddy.  Do a real open() on the cert
	file.  Read the cert.  Initial hack and slash.  Better debug info.
	* ntpd/ntp_control.c: CP_VALID now does "unreach".
	(ctl_putpeer): Ditto.
	* include/ntp_request.h: info_peer gets a placeholder for "valid".
	* include/ntp_crypto.h (CRYPTO_FLAG_CERT): Comment update.
	* include/ntp.h: Lose "valid" from struct peer.
	From: Dave Mills.

2001-03-05  Harlan Stenn  <stenn@whimsy.udel.edu>

	* ntpd/ntp_proto.c (transmit): hpoll calc logic cleanup.
	(receive): New cert stuff.
	(poll_update): Improvements.
	(peer_clear): New cert stuff.
	(peer_xmit): New cert stuff.
	* ntpd/ntp_crypto.c: New cert stuff, documentation cleanup.  Lose
	extraneous poll_uopdate()s.
	* ntpd/ntp_control.c: Deal with new cert stuff.
	* ntpd/ntp_config.c (getconfig): Handle CONF_CRYPTO_CERT.
	* include/ntp_crypto.h (CRYPTO_FLAG_CERT): Added.
	(CRYPTO_CERT): Added.
	(CRYPTO_CONF_CERT): Added.
	Add declaration for struct value certif.
	* include/ntp_control.h (CS_CERTIF): Added.
	(CP_CERTIF): Added.
	* include/ntp_config.h (CONF_CRYPTO_CERT): Added.
	* include/ntp.h (TEST10,TEST11): New meaning.  Add certif to
	struct peer.
	(FLAG_PROVEN): Added.
	(MAX_EXT_LEN): Removed.
	exten grew from 672/4 to 5000/4 for PUBKEY.
	From: Dave Mills.

2001-03-03  Harlan Stenn  <stenn@whimsy.udel.edu>

	* ntpd/ntp_proto.c (transmit): Documentation cleanup.
	(receive): Watch for NULL peer->pubkey.ptr (TEST11).
	(poll_update): peer->nextdate, not ->outdate. More cleanup around
	the disabled PUBKEY chunk.
	* ntpd/ntp_crypto.c (make_keylist): ltemp might be smaller than
	sys_automax - check peer->kpoll, too.  Other ltemp cleanup.
	(crypto_recv): fstamp is a PUBKEY-only variable.
	* include/ntp.h (NTP_AUTOMAX): 13, not 12.
	From: Dave Mills.

2001-03-01  Harlan Stenn  <stenn@whimsy.udel.edu>

	* ntpd/ntp_proto.c (transmit): hpoll cleanup.  Call clock_select()
	after calling poll_update, not before.
	(receive): Call poll_update after crypto_recv if FLAG_SKEY.
	(process_packet): Set peer->ppoll Later.
	(poll_update): peer->hpoll sanity checking.  Set peer->outdate,
	not ->nextate, when burst > 0.  MDF_ACAST cleanup.
	(clock_select): Fix hpoll typo in call to poll_update().
	* ntpd/ntp_crypto.c (crypto_xmit): tstamp's value is a function of
	PUBKEY.
	* include/ntp.h (clear_to_zero): #define value is a function of
	AUTOKEY.
	From: Dave Mills.

2001-02-28  Harlan Stenn  <stenn@whimsy.udel.edu>

	* ntpd/ntp_proto.c (transmit): Documentation/code update.
	(poll_update): Sanity check peer->hpoll.  Improve debug info.
	(peer_clear): Improve debug info.  Turn off FLAG_ASSOC in addition
	to FLAG_AUTOKEY.
	(clock_select): peer->status is CTL_PST_SEL_DISTSYSPEER, and don't
	call poll_update().  Make each entry in the peer_list a
	CTL_PST_SEL_SELCAND sooner, too.  Rework similar logic later on.
	Change debug level on some info.
	(peer_xmit): Check peer->flags using FLAG_ASSOC, not
	CRYPTO_FLAG_AUTO in a couple places.  Don't call poll_update() if
	sendlen > LEN_PKT_NOMAC.
	* ntpd/ntp_loopfilter.c (local_clock): Improve debug info.
	Sanity-check sys_poll sooner.
	* ntpd/ntp_crypto.c: New artwork.
	(COOKIE_LEN,AUTOKEY_LEN,VALUE_LEN): New.
	(make_keylist): More debug info.  Use FLAG_ASSOC, not
	CRYPTO_FLAG_ASSOC.
	(crypto_recv): More debug info.  Clean up/improve sanity checks on
	CRYPTO_ASSOC and CRYPTO_RESP packets, and in other places.
	(crypto_xmit): Clean up/improve sanity checks on CRYPTO_ASSOC and
	CRYPTO_RESP packets.  Use FLAG_ASSOC, not CRYPTO_FLAG_ASSOC.  More
	debug info.
	* include/ntp.h (NTP_CANLOCK): Lose it.
	(clear_to_zero): is now "assoc".
	(FLAG_ASSOC): Added.
	From: Dave Mills

2001-02-23  Harlan Stenn  <stenn@whimsy.udel.edu>

	* ntpdate/ntpdate.h (NTP_MAXAGE): Added.
	* ntpd/ntp_refclock.c (refclock_receive): Cleanup.
	* ntpd/ntp_proto.c (transmit): Don't reset peer->ppoll in one case.
	Update peer->hpoll based on CTL_PST_SEL_CORRECT, not FLAG_SYSPEER.
	Don't update peer->ppoll based on MDF_[BM]CAST.
	(peer_clear): ppoll is initialized to maxpoll.
	(clock_select): call poll_update(peer->hpoll) earlier.
	(peer_xmit): Call poll_update later.
	* ntpd/ntp_peer.c (peer_config): Rework initial values of [hkp]poll.
	* ntpd/ntp_loopfilter.c (CLOCK_PHI): Added.  Deal with other
	(allow_*) stuff.  Treat Windows/NT the same as others regarding
	panic steps.  Deal with tinker stuff.
	* ntpd/ntp_config.c: Tinker stuff.
	* ntpd/cmd_args.c (getCmdOpts): -g now wiggles "allow_panic"
	(renamed from "correct_any").  -x now wiggles "allow_step"
	(renamed from "allow_step_backward").
	* include/ntpd.h: Add tinker variables.  Rename/rework variables
	associated with "permission to step" and "permission to make a
	panic correction"
	* include/ntp_config.h (CONFIG_TINKER): Added.
	(CONF_CLOCK_MAX): Tinker keyword
	(CONF_CLOCK_PANIC): Tinker keyword
	(CONF_CLOCK_PHI): Tinker keyword
	(CONF_CLOCK_MINSTEP): Tinker keyword
	* include/ntp.h (NTP_MINCLOCK): Tinker and other cleanup.
	From: Dave Mills

2001-02-19  Harlan Stenn  <stenn@whimsy.udel.edu>

	* ntpd/ntp_proto.c (transmit): Don't peer_clear() and reset
	minpoll unconditionally; make sure the peer is configured.
	(poll_update): When updating peer->ppoll, check on BCAST and
	MCAST, not ACAST
	(peer_clear): PUBKEY cleanup.  Zero out the peer structure
	earlier. Initialization cleanup/fixes.
	(peer_xmit): CRYPTO_FLAG_AUTO is in peer->flags now.
	(key_expire): Debug output.
	* ntpd/ntp_peer.c (unpeer): PUBKEY cleanup.
	(newpeer): peer variable setup cleanup.
	* ntpd/ntp_crypto.c (make_keylist): Keep CRYPTO_FLAG_AUTO in
	peer->flags, not crypto_flags.
	(crypto_xmit): Ditto.
	(crypto_recv): Fix up RV_TSP logic (several places).
	* include/ntp.h (clear_to_zero): Moved...
	From: Dave Mills.

2001-02-14  Harlan Stenn  <stenn@whimsy.udel.edu>

	* ntpd/ntp_proto.c (peer_xmit): Crypto-related fixes
	From Dave Mills.

	* ntpd/ntp_crypto.c (crypto_recv): Allocate space for the trailing
	NUL on the keystr.

2001-01-28  Harlan Stenn  <stenn@whimsy.udel.edu>

	* configure.in: 4.0.99k17

	* ntpd/refclock_local.c (STRATUM): 3 -> 5
	* ntpd/ntp_proto.c: sys_maxd -> sys_selerr, sys_epsil ->
	sys_syserr.  various cleanups and improvements.
	From: Dave Mills.

2001-01-19  Harlan Stenn  <stenn@whimsy.udel.edu>

	* configure.in: 4.0.99k16

	* config.h.in: Regenerated - became empty somehow.
	Reported by John.Hay@icomtek.csir.co.za

	* ntpd/ntp_proto.c (clock_select): Fix sdisp calculation.
	From Dave Mills.

	* util/ntp-genkeys.c:
	* ntpd/refclock_chu.c:
	* ntpd/refclock_atom.c:
	* ntpd/ntpd.c:
	* ntpd/ntp_loopfilter.c:
	* ntpd/ntp_io.c:
	* ntpd/cmd_args.c:
	* libntp/audio.c:
	* include/l_stdlib.h:
	* html/copyright.htm:
	Lint fixes (Thanks bunches!)
	From: Marc.Brett@westerngeco.com

2001-01-18  Harlan Stenn  <stenn@whimsy.udel.edu>

	* configure.in: 4.0.99k15

	* ntpd/ntp_proto.c (clock_select): Track error[] items sooner.
	Typo grabbing the dtemp value and in the sdisp calculation.
	From Dave Mills.

2001-01-17  Harlan Stenn  <stenn@whimsy.udel.edu>

	* configure.in: 4.0.99k14

	* ntpd/ntp_proto.c: Change description of sys_rootdelay and
	sys_rootdispersion.
	(process_packet): Fix p_del test (bad distance).
	(process_packet): Fix bad synch distance test.
	(process_packet): Fix call to clock_filter (p_disp)
	(clock_update): Fix sys_rootdelay calculation.
	(clock_filter): Initialize jit to f(sys_precision)
	(clock_filter): Update jit using distance[i] instead of
	SQUARE().  peer->jitter uses dtemp instead of SQUARE().
	(clock_filter): Updated CLOCK_SGATE checks.  When printing debug
	info, show jitter along with popcorn spike.
	(clock_select): New sdisp calc.
	(root_distance): New return value calc.
	(peer_xmit): xpkt.rootdispersion value change.
	* include/ntp.h (CLOCK_SGATE): Popcorn spike gate (Whoa, Molly!)
	From Dave Mills.

2001-01-13  Harlan Stenn  <stenn@whimsy.udel.edu>

	* config.sub (Repository): Updated.
	* config.guess (Repository): Updated.

	* ntpd/ntp_loopfilter.c (local_clock): Just use sys_jitter in the
	calculation for rootdispersion.
	From Dave Mills.

2001-01-02  Harlan Stenn  <stenn@whimsy.udel.edu>

	* ntpd/ntp_proto.c (transmit): Fix documentation. Set
	peer->outdate and call poll_update in a new place.  Sanity checks
	in the MODE_BROADCAST case.
	(clock_select): Track the old peer.  Use the old peer in
	subsequent checks, where appropriate.  Clean up unpeer() logic.
	From Dave Mills.

2001-01-01  Harlan Stenn  <stenn@whimsy.udel.edu>

	* ntpd/refclock_chu.c: Start using HAVE_AUDIO.
	* ntpd/ntp_proto.c (clock_select): If about to discard an
	ephemeral association, do it only if not the system peer.
	From Dave Mills.

	* html/pic/wingdorothy.gif:
	* html/pic/bustardfly.gif:
	* html/pic/boom3a.gif:
	* html/pic/tonea.gif:
	* html/pic/stack1a.jpg:
	* html/pic/pogoa.gif:
	* html/pic/pogo8.gif:
	* html/pic/pogo6.gif:
	* html/pic/pogo5.gif:
	* html/pic/pogo4.gif:
	* html/pic/pogo3.gif:
	* html/pic/pogo1.gif:
	* html/pic/oz2.gif:
	* html/pic/flatheads.gif:
	* html/pic/boom4.gif:
	* html/pic/boom3.gif:
	* html/pic/appletree.gif:
	* html/pic/alice51.gif:
	* html/pic/alice44.gif:
	* html/pic/alice35.gif:
	* html/pic/alice31.gif:
	* html/pic/alice15b.gif:
	* html/pic/alice13.gif:
	* html/pic/alice11.gif:
	* html/release.htm:
	* html/rdebug.htm:
	* html/prefer.htm:
	* html/porting.htm:
	* html/ntptrace.htm:
	* html/ntpq.htm:
	* html/ntpdate.htm:
	* html/monopt.htm:
	* html/kernpps.htm:
	* html/index.htm:
	* html/hints.htm:
	* html/gadget.htm:
	* html/driver7.htm:
	* html/copyright.htm:
	* html/config.htm:
	* html/build.htm:
	* html/authopt.htm:
	* html/assoc.htm:
	* html/accopt.htm:
	Cleanup from Dave Mills.

2000-12-30  Harlan Stenn  <stenn@whimsy.udel.edu>

	* configure.in: 4.0.99k13

	* ntpd/refclock_wwv.c (wwv_start): Call audio_init with DEVICE_AUDIO.
	* ntpd/refclock_irig.c (irig_start): Call audio_init with DEVICE_AUDIO.
	* ntpd/refclock_chu.c: Documentation cleanup.
	(DEVICE_AUDIO): Added.
	(fd_audio): Added.
	(chu_start): Separate audio from serial device.
	(chu_receive): Rewrite - get data from serial or audio device as
	appropriate.
	(chu_audio_receive): Renamed (from chu_receive) to allow both
	audio and serial capability.
	(chu_serial_receive): Ditto.
	(chu_decode): Do the Right Thing based on audio/serial data.
	* ntpd/ntp_refclock.c (refclock_open): Check for failure using <0
	instead of ==-1.
	* libntp/audio.c: Header cleanup, and remove
	HAVE_STRUCT_AUDIO_INFO_* related fields.
	(audio_init): Func arg is device to attempt to open.
	* include/audio.h (audio_init): Now takes a char * argument.
	From Dave Mills.

	* configure.in (ntp_refclock): HAVE_AUDIO added.  Remove
	HAVE_STRUCT_AUDIO_INFO_* stuff; Dave rewrote the audio stuff.

2000-12-28  Harlan Stenn  <stenn@whimsy.udel.edu>

	* configure.in: 4.0.99k12

2000-12-27  Harlan Stenn  <stenn@whimsy.udel.edu>

	* html/release.htm:
	* html/patches.htm:
	* html/measure.htm:
	* html/confopt.htm:
	* html/clockopt.htm:
	* html/biblio.htm:
	* html/authopt.htm:
	* html/assoc.htm:
	Updates from Dave Mills.

	* include/ntp_crypto.h: Make sure crypto_flags is visible.
	From Dave Mills.

2000-12-14  Harlan Stenn  <stenn@whimsy.udel.edu>

	* ntpd/ntp_proto.c (process_packet): pleap/pstratum.
	(peer_xmit): Use CRYPTO_FLAG_AUTO.
	* ntpd/ntp_crypto.c (make_keylist): Use CRYPTO_FLAG_AUTO. Only
	sign host name and timestamps if the clock is synched.
	* include/ntp_crypto.h (CRYPTO_FLAG_AUTO): Added.
	From: Dave Mills

2000-12-11  Harlan Stenn  <stenn@whimsy.udel.edu>

	* ntpd/ntp_proto.c (transmit): Call clock_select in a few new
	places.  BURST/IBURST cleanup.  Don't turn off FLAG_BURST at the
	EOburst.
	(receive): Set peer->unreach = 0 before we call process_packet().
	(process_packet): ditto, before calling poll_update().  Lose some
	debugging, MODE_BCLIENT/CLIENT cleanup.
	(poll_update): Bump nextupdate on FLAG_REFCLOCK, not _REFCLOCK or
	_IBURST.
	(peer_clear): Don't set IBURST on MDF_BCLNT.
	From: Dave Mills.

	* ntpdate/ntpdate.c (alarming): Appease ansi2knr.

2000-12-10  Harlan Stenn  <stenn@whimsy.udel.edu>

	* ntpd/ntp_control.c (ctl_putpeer): CP_TTL and CP_TTLMAX
	MDF_ACAST and MDF_MCAST cleanup.

	* ntpd/refclock_wwv.c (wwv_start): ttlmax/ttl cleanup.
	* ntpd/refclock_usno.c (usno_timeout): ttlmax/ttl cleanup.
	* ntpd/refclock_parse.c (CLK_REALTYPE): ttlmax/ttl cleanup.
	* ntpd/refclock_chu.c (chu_start): ttlmax/ttl cleanup.
	* ntpd/refclock_acts.c (acts_timeout): ttlmax/ttl cleanup.
	* ntpd/ntp_refclock.c (refclock_newpeer): Don't do the
	any_interface -> loopback_interface trick.
	* ntpd/ntp_proto.c (transmit): Broadcast/manycast cleanup.
	* ntpd/ntp_peer.c: Cleanup.
	* ntpd/ntp_io.c: Cleanup.
	* ntpd/ntp_crypto.c (crypto_recv): AUTOKEY based on BCLNT, not MCAST2.
	* include/ntpd.h: Declare findbcastinter().
	* include/ntp.h: struct peer's ttlmax is now max ttl/refclock
	mode.  ttl is now ttl for manycast mode.
	(FLAG_MCAST): Reworked several FLAG_ bits.
	From Dave Mills.

2000-12-05  Harlan Stenn  <stenn@whimsy.udel.edu>

	* ntpq/ntpq.c: CP_TTLMAX support.
	* ntpd/ntp_proto.c (transmit): MDF_ACAST ttl fixes.
	* ntpd/ntp_peer.c (resetmanycast): Reset ttl if MDF_ACAST.
	(peer_config): Save max ttl in ttlmax.
	* ntpd/ntp_control.c: ttlmax support.
	* include/ntp_control.h (CP_TTLMAX): Added.
	* include/ntp.h: Added ttlmax to struct peer.
	Dave Mills.

2000-12-03  Harlan Stenn  <stenn@whimsy.udel.edu>

	* ntpd/ntp_proto.c (receive): That any_interface is now an
	rbufp->dstadr.
	Various other doc and code cleanup.
	* ntpd/ntp_peer.c (findmanycastpeer): Fixes
	From Dave Mills

2000-12-02  Harlan Stenn  <stenn@whimsy.udel.edu>

	* ntpd/ntp_request.c (do_conf): call peer_config with
	any_interface, not 0.
	* ntpd/ntp_proto.c (transmit): Manycast cleanup
	* ntpd/ntp_peer.c (findmanycastpeer): manycast cleanup
	* ntpd/ntp_io.c (sendpkt): Only check ttl if we have a ttl
	(findinterface): Cleanup
	* ntpd/ntp_control.c: cleanup
	* include/ntpd.h: Added resetmanycast.
	* include/ntp_control.h (CP_TTL): disp -> ttl
	* ntpq/ntpq.c: disp -> ttl
	From Dave Mills

2000-11-26  Harlan Stenn  <stenn@whimsy.udel.edu>

	* configure.in: 4.0.99k11

	* ntpd/ntp_proto.c (transmit):
	* ntpd/ntp_peer.c:
	* ntpd/ntp_io.c:
	* ntpd/ntp_control.c (ctl_putpeer):
	* ntpd/ntp_config.c (getconfig):
	* include/ntpd.h: mcast/ucast interface cleanup.
	From: Dave Mills

	* include/ntp_request.h: Put data[] as MAXFILENAME+16.  This will
	fix the conf_peer requests again, but re-break compatibility with
	old versions of the daemon.  Sigh.

	* util/ntp-genkeys.c (cleanlinks): Don't do it if nosymlinks.

2000-11-19  Harlan Stenn  <stenn@whimsy.udel.edu>

	* ntpd/refclock_parse.c (rawdcf_init_1): make Linux happier with
	some modem control stuff.
	From: Wolfram Pienkoss <wp@bszh.de> (via Frank Kardel)

	* ntpd/refclock_pcf.c (pcf_poll): isdst fix
	From: Andreas Voegele <andreas.voegele@gmx.de>

2000-10-28  Harlan Stenn  <stenn@whimsy.udel.edu>

	* configure.in: 4.0.99k10

	* ntpd/refclock_wwvb.c (wwvb_start): Cosmetic reorder.
	* ntpd/refclock_atom.c (RANGEGATE): Cleanup.  Add ASTAGE.
	Add ppsparams to struct ppsunit.
	(atom_start): Init peer->burst to ASTAGE.
	(atom_shutdown): Multi-handle
	(atom_pps): Multi-handle
	(atom_pps): RANGEGATE cleanup
	(atom_poll): Poll count cleanup.  Error check cleanup.  Burst cleanup.
	* ntpd/ntp_refclock.c (refclock_transmit): Lose the pre-burst
	check poll_update().
	(refclock_sample): Fix the jitter calc.
	(refclock_receive): Pass the jitter to the clock_filter().

	* ntpd/ntp_proto.c (clock_update): If we lose sync, reset the poll
	to NTP_MINDPOLL.
	(poll_update): Poll wiggles.  Make sure peer->nextdate is timely.
	(clock_select): If we lose sync, reset the poll to NTP_MINDPOLL.
	* ntpd/ntp_loopfilter.c (local_clock): Show the asocid in debug
	output.  popcorn debug message changes.  Clamp the poll interval
	if the system peer has changed.  PPS wiggle changes.
	From Dave Mills.

2000-10-16  Harlan Stenn  <stenn@whimsy.udel.edu>

	* ntpd/refclock_pcf.c (pcf_start):
	* html/driver35.htm:
	The radio clock transmits 69 bits with a period of 2.5
	milliseconds per bit. Thus the driver now sets the default
	calibration offset to 0.1725 (69 * 2.5 = 172.5).
	Its now possible to disable the check of the radio clock's
	synchronisation status bit. Several users requested this option.
	From: Andreas Voegele <andreas.voegele@gmx.de>

	* html/refclock.htm:
	* html/rdebug.htm:
	* html/prefer.htm:
	* html/pps.htm:
	* html/ntpdc.htm:
	* html/miscopt.htm:
	* html/ldisc.htm:
	* html/kern.htm:
	* html/index.htm:
	* html/exec.htm:
	* html/driver22.htm:
	* html/clockopt.htm:
	Updates from Dave Mills

	* ntpd/ntp_intres.c (request): Sanity check the size of the response

2000-10-15  Harlan Stenn  <stenn@whimsy.udel.edu>

	* ntpq/ntpq_ops.c (dopeers): Dave didn't like the patch to show
	the units on the times...
	* ntpdc/ntpdc_ops.c (doset): SYS_FLAG_PPS cleanup
	* ntpd/refclock_wwv.c (wwv_newchan): Update the peer refid if
	we're talking to a stratum 0 source
	* ntpd/refclock_trak.c: Needs PPS
	* ntpd/refclock_oncore.c: Disable for now
	* ntpd/refclock_mx4200.c: Needs PPSAPI, not PPS
	Header cleanup.  PPS interface cleanup.
	Process sentences with a switch
	Cleanup and sanity checks
	* ntpd/refclock_datum.c: header cleanup, light body cleanup
	* ntpd/refclock_conf.c: CLOCK_TRAK needs PPS
	MX4200 needs PPSAPI, not PPS
	Disable ONCORE for now
	* ntpd/refclock_bancomm.c: Surgery
	* ntpd/refclock_atom.c: Cleanup
	(atom_control): added
	(atom_ppsapi): added
	* ntpd/ntp_request.c (setclr_flags): SYS_FLAG_PPS cleanup
	* ntpd/ntp_refclock.c: stropts.h back in in TTYCLK and
	HAVE_SYS_CLKDEFS_H
	Get ntp_syscall if KERNEL_PLL
	Define cal_enable
	(refclock_receive): Cleanup
	(refclock_control): sanity check procptr
	* ntpd/ntp_proto.c (init_proto): pps_enable
	(proto_config): Turn on/off PPS discipline
	* ntpd/ntp_loopfilter.c: pps_enable
	(local_clock): record_loop_stats() if !ntp_enable
	(local_clock): Turn off PPS if it's not enabled
	Other cleanup/fixes
	* ntpd/ntp_config.c: pps and calibrate keywords.  Initialize
	pps_assert to 0, not 1 (swap assert/clear?)
	* include/ntpd.h: We have pll_status if KERNEL_PLL
	Added pps_enable and cal_enable
	* include/ntp_request.h (SYS_FLAG_PPS): Renamed from
	SYS_FLAG_AUTHENTICATE
	* include/ntp.h (PROTO_PPS): Added
	(PROTO_CAL): Added
	From: Dave Mills

2000-09-23  Harlan Stenn  <stenn@whimsy.udel.edu>

	* include/ntp_refclock.h (stropts.h, sys/clkdefs.h): Harmful and
	useless file include's turned off.
	* libntp/iosignal.c (netinet/in.h, sys/sockio.h): Duplicate file
	include's turned off.
	* ntpd/ntp_refclock.c (ntp_tty.h): File included.
	(refclock_open, refclock_ioctl): Use `TTY' from ntp_tty.h.
	* ntpd/refclock_atom.c: Grab a few headers regardless; if we don't
	CLOCK_ATOM we provide a stub pps_sample() routine so the WHARTON
	can be compiled/used.
	* ntpq/ntpq_ops.c (dopeers, doopeers): Print the units for
	each column header.
	Tue Sep 12 16:25:51 2000  Philippe De Muyter  <phdm@macqel.be>

	* ntpd/refclock_atom.c (atom_start): Lose "temp", because we now
	initially either CAPTUREASSERT or CAPTURECLEAR.
	(atom_pps): pps_info_t is our friend.  Update comments to reflect
	reality.  DTRT with pps_info.  Do some overflow checks.
	From: Dave Mills.

2000-09-21  Harlan Stenn  <stenn@whimsy.udel.edu>

	* configure.in: Much improved Solaris patch-level check for the
	FLL bug test.
	From: Marc.Brett@westgeo.com

2000-09-19  Harlan Stenn  <stenn@whimsy.udel.edu>

	* include/Makefile.am (noinst_HEADERS): Added ntp_tty.h
	Reported by Dave Mills

2000-09-16  Harlan Stenn  <stenn@whimsy.udel.edu>

	* ntptrace/ntptrace.c:
	* ntpdate/ntptimeset.c (receive):
	* ntpdate/ntpdate.c (receive):
	STRATUM cleanup
	* ntpd/refclock_atom.c (atom_poll): Autostratum.  Lose the leap.
	* ntpd/ntp_proto.c: sys_prefer
	(process_packet): stratum cleanup
	(clock_select): Autostratum the ATOM
	* ntpd/ntp_loopfilter.c: pps_update/pps_stratum wiggle.
	* include/ntpd.h: Lose pps_update, gain sys_prefer
	* include/ntp.h: STRATUM variable cleanup
	From Dave Mills

2000-09-13  Harlan Stenn  <stenn@whimsy.udel.edu>

	* ntpd/refclock_oncore.c (oncore_get_timestamp): Print debug
	messages being aware of HAVE_STRUCT_TIMESPEC.

	* ntpd/refclock_atom.c: Have pps_params tag along in the ppsunit
	structure, where it really belongs.
	(atom_pps): Use PPS_CAPTURE{ASSERT,CLEAR}
	From: Dave Mills.

2000-09-12  Harlan Stenn  <stenn@whimsy.udel.edu>

	* configure.in (ac_cv_var_atom_ok): Cleanup ATOM/PPSAPI stuff...

	* scripts/ntp-close: Find "close" ntp servers.
	From: Neal McBurnett <neal@bcn.boulder.co.us>

	* ntpd/refclock_conf.c:
	* ntpd/refclock_oncore.c: Re-enabled oncore driver for HAVE_PPSAPI
	case only.

2000-09-12  Philippe De Muyter  <phdm@macqel.be>

        * ntpd/refclock_parse.c (we400a_pollinfo): Useless variable removed.
        [WHARTON slot]: Set NO_POLL, NO_INIT and NO_DATA; fix `fixed format'
        and `offset' fields.

	* include/ntp_tty.h: New file
	* libntp/icom.c: Use it.

	* ntp_update (UPDATE_OPTIONS): Use -d, too.  Fix Pass 1 comment.

2000-09-12  Harlan Stenn  <stenn@whimsy.udel.edu>

	* ntpd/refclock_oncore.c: shmem_fname added.  oncore_init_shmem()
	updated.
	(oncore_start): Comment cleanup
	(oncore_read_config): Move call to oncore_shmem_init()
	(oncore_init_shmem): Prototype change
	(oncore_init_shmem): Don't exit on errors
	(oncore_msg_any): timespec/timeval cleanup
	(oncore_msg_Cj_id): shmem_fname changes
	(oncore_msg_BaEaHa): saw_At bugfix
	(oncore_get_timestamp): Added current_mode/current_params.  Commented.
	Added time_pps_getcap() calls.
	From: Reg Clemens <reg@dwf.com>

	* ntpd/ntp_io.c (input_handler): Better recvfrom() error message
	From: Dean Gibson <timekeeper@tcp-udp.net>

	* ntpdc/ntpdc.c (passwd): Get them working again.
	From: Benjamin Greenwald <beng@lcs.mit.edu>

2000-09-11  Harlan Stenn  <stenn@whimsy.udel.edu>

	* ntpd/refclock_atom.c:
	(atom_start):
	* ntpd/ntp_refclock.c: Comment cleanup.  PPS/PPSAPI cleanup
	(refclock_open): PPS/PPSAPI cleanup
	From: Dave Mills

	* ntpd/refclock_oncore.c:
	* ntpd/refclock_mx4200.c:
	HAVE_TIMESPEC -> HAVE_STRUCT_TIMESPEC

	* configure.in: ATOM requires struct timespec, not PPSAPI.  Clean
	up dependencies accordingly.

2000-09-09  Harlan Stenn  <stenn@whimsy.udel.edu>

	* configure.in (ac_cv_var_atom_ok): Improve ATOM configure message
	PARSE requires ATOM.

	* ntpd/ntpd.c (set_process_priority): Clean up debug messages.

2000-09-07  Harlan Stenn  <stenn@whimsy.udel.edu>

	* configure.in: ac_cv_atom_ok, depends on HAVE_PPSAPI.
	I notice the PARSE clocks require ATOM.  Could be interesting...

2000-09-06  Harlan Stenn  <stenn@whimsy.udel.edu>

	* Makefile.in (distdir): Seems to be a bug in an automake library
	somewhere...

2000-09-05  Harlan Stenn  <stenn@whimsy.udel.edu>

	* ntpd/ntp_loopfilter.c (loop_config): V3 API needs MOD_BITS when
	initializing ntv.modes.  Initialize ntv.{maxerror,esterror,status}
	earlier.  Clean up KERNEL_PLL code.

2000-09-04  Harlan Stenn  <stenn@whimsy.udel.edu>

	* ntpq/ntpq.c: report offset as "offset", not "phase".  Lose
	compliance.
	* ntpd/refclock_local.c (local_poll): variance -> jitter
	* ntpd/refclock_chu.c (chu_major): Lose variance.
	* ntpd/ntp_util.c (hourly_stats): sys_error -> sys_jitter
	(record_loop_stats): ditto
	* ntpd/ntp_request.c (peer_info): variance -> jitter
	* ntpd/ntp_refclock.c (refclock_sample): variance -> jitter
	(refclock_receive): variance -> jitter
	* ntpd/ntp_proto.c (process_packet): variance -> jitter
	(clock_filter): variance -> jitter
	(clock_select): variance -> jitter
	(root_distance): variance -> jitter
	* ntpd/ntp_peer.c (newpeer): variance -> jitter
	* ntpd/ntp_loopfilter.c: Cleanup pll_nano selection bogon.
	Centralize the kernel API data.
	(local_clock): Lose sys_error.
	(loop_config): Code cleanup.
	* ntpd/ntp_control.c: Call offset "offset" and not "phase". Lose
	CS_COMPLIANCE.  Deal with variance/jitter rename.
	* include/ntp_refclock.h: Rename variance to jitter in struct
	refclockproc.
	* include/ntp_control.h (CS_COMPLIANCE): Lose it.
	* include/ntp.h: Rename variance to jitter in struct peer.
	From: Dave Mills

2000-09-01  Harlan Stenn  <stenn@whimsy.udel.edu>

	* ntpd/refclock_atom.c: Use the new ppsunit.  Cleanup and improve
	documentation.
	* ntpd/ntp_refclock.c (refclock_sample): Don't accumulate
	variance.
	From Dave Mills

2000-08-31  Harlan Stenn  <stenn@whimsy.udel.edu>

	* html/driver22.htm: Update the docs.
	* ntpd/refclock_atom.c (atom_start): Open the device if it hasn't
	been opened already.
	(pps_sample): Make it more visible.
	From Dave Mills.

	* configure.in: 4.0.99k8

	Revert to the older automake.

	* configure.in: The PPSAPI headers use "inline", so require a STDC
	compiler.

	* ntpd/refclock_atom.c (atom_shutdown): Typo
	From Dave Mills

	* configure.in: Convert to autoconf-2.49

	* ntpd/refclock_atom.c: Header cleanup Comment cleanup.  Lose the
	TTYCLK stuff.  Convert to PPSAPI.
	* ntpd/ntp_refclock.c (refclock_newpeer): Move refclock_unpeer().
	From: Dave Mills

2000-08-29  Harlan Stenn  <stenn@whimsy.udel.edu>

	* configure: Fix the autoconf problem...

2000-08-20  Harlan Stenn  <stenn@whimsy.udel.edu>

	* configure.in: 99k7

	* util/ntptime.c (main): Report TAI stuff
	* ntpq/ntpq.c: CS_COMPLIANCE/CS_JITTER cleanup
	* ntpd/ntp_loopfilter.c (local_clock): sys_error/sys_jitter cleanup.
	kernel PPL cleanup.
	* ntpd/ntp_crypto.c: Check NTP_API if we're doing KERNEL_PLL so we
	can get the TAI stuff.
	* ntpd/ntp_control.c: CS_COMPLIANCE now reports "error" instead of
	"jitter".  CS_JITTER now reports jitter.
	* include/ntpd.h: Added sys_jitter
	* include/ntp_control.h (CS_JITTER): Added
	From: Dave Mills

	* ntpd/cmd_args.c (getCmdOpts): Crack -N at pre-scan, as we do the
	priority wiggle before the final scan.
	From: Tom Smith <smith@cag.lkg.dec.com>
	We might do better to move the priority wiggle to after the final
	scan.  Especially if we want to permit command-line options to
	have decent control over the priority.  When we rewrite the config
	file stuff we might go to a multi-scan to solve some of these
	problems.

2000-08-19  Harlan Stenn  <stenn@whimsy.udel.edu>

	* configure.in: '99k6, and manually fix configure.

	* include/ntp_request.h (NTP_MAXHOSTNAME): 144 -> 32

2000-08-18  Harlan Stenn  <stenn@whimsy.udel.edu>

	* util/ntp-genkeys.c (main): Don't call fclose if stream is NULL.

2000-08-17  Harlan Stenn  <stenn@whimsy.udel.edu>

	* html/driver35.htm:
	* ntpd/refclock_pcf.c: Updates and improvements
	From: Andreas Voegele <andreas.voegele@gmx.de>

	* configure.in (ac_cv_struct_ntptimeval): Lose the TAI check - we
	don't need it since we can check NTP_API.  Re-hack the generated
	configure script.

	* configure: Manual hack to the ntptimeval.time.tv_nsec stuff
	because we're running an old autoconf.

2000-08-16  Harlan Stenn  <stenn@whimsy.udel.edu>

	* util/ntptime.c: Use: HAVE_STRUCT_NTPTIMEVAL_TIME_TV_NSEC, it's
	the standard name.

	* configure.in: Look for struct ntptimeval.tai in sys/timex.h
	Cleanup struct tptimeval member tests.

	* util/ntp-genkeys.c: New command-line arguments

2000-08-14  Harlan Stenn  <stenn@whimsy.udel.edu>

	* util/ntp-genkeys.c (main): More small steps...

2000-08-13  Harlan Stenn  <stenn@whimsy.udel.edu>

	* ntpd/ntp_crypto.c (crypto_rsa): Now that we're using
	NTP_KEYSDIR, make sure there is a '/ between the dir and the file.

	* util/ntp-genkeys.c (main): More small steps...

2000-08-12  Harlan Stenn  <stenn@whimsy.udel.edu>

	* util/ntp-genkeys.c (main): Another small step...

	* configure.in: 99k5

	* include/ntp_request.h: Make data[] member of req_pkt 32 again.
	Bump the version number...

	* ntpd/ntp_loopfilter.c (local_clock): Change 0. to 0 in a couple
	of places.
	From Dave Mills

2000-08-11  Harlan Stenn  <stenn@whimsy.udel.edu>

	* util/ntp-genkeys.c (main): Minimal progress...

2000-08-06  Harlan Stenn  <stenn@whimsy.udel.edu>

	* ntpd/check_y2k.c: Make debug definition match ntpd.h's declaration

	* ntpd/Makefile.am (check-local): Use test in favor of [

2000-08-05  Harlan Stenn  <stenn@whimsy.udel.edu>

	* configure.in (NTP_KEYSDIR): Typo

2000-08-04  Harlan Stenn  <stenn@whimsy.udel.edu>

	* ElectricFence/Makefile.am (check-local): use test instead of [

	* configure.in: AC_REPLACE_FUNCS(strdup)
	* libntp/strdup.c (strdup): Added.
	* libntp/Makefile.am (EXTRA_libntp_a_SOURCES): Added strdup.c

	* util/Makefile.am (ntp_genkeys_DEPENDENCIES): Use $U on .o files
	(ntp_genkeys_LDADD): ditto.

	* ntpd/ntp_crypto.c: Use NTP_KEYSDIR

	* util/ntp-genkeys.c (snifflink): Ignore ENOENT, too.

	* ntpd/ntp_proto.c (peer_xmit): Crypto cleanup
	* ntpd/ntp_crypto.c: Cleanup
	* ntpd/ntp_control.c: Join the club
	* ntpd/ntp_config.c: Call crypto_config() instead; we got rid of
	crypto_flags.
	* include/ntp_crypto.h (CRYPTO_FLAG_ENAB): New crypto flags, rework
	* include/ntp_control.h (CS_FLAGS): Wiggle in.
	* include/ntp.h: Added crypto peer status to struct peer
	From Dave Mills

2000-08-03  Harlan Stenn  <stenn@whimsy.udel.edu>

	* util/ntp-genkeys.c: Initialize path_keysdir to NTP_KEYSDIR.

	* configure.in (NTP_KEYSDIR): Added
	* acinclude.m4: Added AC_DEFINE_DIR macro

	* util/ntp-genkeys.c (main): Sanity checks on the file paths.

2000-08-02  Harlan Stenn  <stenn@whimsy.udel.edu>

	* util/ntp-genkeys.c (crypto_config): Only #ifdef PUBKEY
	(PATH_MAX): Try harder...

2000-08-01  Harlan Stenn  <stenn@whimsy.udel.edu>

	* util/ntp-genkeys.c (main): Use snifflink()
	(snifflink): Implement...

	* configure.in: Check for readlink()

2000-07-31  Harlan Stenn  <stenn@whimsy.udel.edu>

	* util/ntp-genkeys.c (main): Use strdup on the tokens returned
	from ntp_config...
	(crypto_config): Fix a typo...
	(crypto_config): Even more...
	(usage): Flesh it out.

	* include/ntp_config.h:
	* ntpd/ntp_config.c: Move a whack of #defines to ntp_config.h so
	ntp-genkeys.c can see them, too.

	* util/ntp-genkeys.c: Add stubs to work with ../ntpd/ntp_config.o,
	start hooking things up.
	(main): debugging
	(crypto_config): better implementation


	* ntpd/ntp_config.c (getconfig):
	* ntpd/ntpd.c: Initialize "debug" here, not in ntp_config.c

	* util/Makefile.am (ntp_genkeys_LDADD): Added ../ntpd/ntp_config.o
	* util/Makefile.am (ntp_genkeys_DEPENDENCIES): Added.

2000-07-30  Harlan Stenn  <stenn@whimsy.udel.edu>

	* configure.in: 4.0.99k4
	* util/ntp-genkeys.c: Start hacking for new functionality.
	* include/Makefile.am (noinst_HEADERS): Added ntp_cmdargs.h and
	ntp_config.h .
	* ntpd/ntp_config.c: Grab ntp_cmdargs.h.  Make some new globals
	(ugh), move ntpd-specific variables and code to cmd_args.c .
	* ntpd/cmd_args.c: Move command argument processing functions from
	ntp_config.c to this file.
	* ntpd/Makefile.am (ntpd_SOURCES): Added cmd_args.c
	* include/ntpd.h: Move getstartup() to ntp_cmdargs.h
	* include/ntp_cmdargs.h: New file
	Begin the hacking fest to make it easier for ntp-genkeys to use
	ntpd's config processing code.  I really hope this is the lesser
	of the evils...

2000-07-28  Harlan Stenn  <stenn@whimsy.udel.edu>

	* util/ntp-genkeys.c (usage): Added.

	* ntpd/ntp_crypto.c: Cleanup
	* ntpd/ntp_proto.c (transmit): Add some parens.
	(peer_xmit): Add ntohl when grabbing sndauto.seq for broadcast.
	* ntpd/ntp_peer.c (findpeer): Cleanup
	* ntpd/ntp_loopfilter.c (local_clock): Typo
	From Dave Mills

	* include/ntp_config.h: Created

	* util/ntp-genkeys.c: Always build, but realize we may not have
	RSAREF.  Compile parts appropriately.

	* util/Makefile.am (bin_PROGRAMS): Always make ntp-genkeys
	(ntp-genkeys_LDADD): Use $LIBRSAREF instead of the "real path"
	* configure.in: Lose MAKE_NTP_GENKEYS

	* configure.in:
	* util/ntp-genkeys.c:
	* util/Makefile.am:
	Renamed ntp_genkeys to ntp-genkeys.

2000-07-27  Harlan Stenn  <stenn@whimsy.udel.edu>

	* ntpdate/ntpdate.c (ntpdatemain): Cleanup error message.

	* ntpdate/ntpdate.c (ntpdatemain): Add missing authtrust() call
	From: Jason Heiss <jheiss@cruzeiro.ugcs.caltech.edu>

	* ntpd/refclock_ulink.c (ulink_receive):
	* ntpd/ntp_crypto.c:
	* libntp/authparity.c:
	Lint/noise cleanup
	From: Marc Brett <mbrett@rgs0.london.waii.com>

	* ntpd/ntp_proto.c: Specifically track manycastserver and
	survivors
	From: Dave Mills

2000-07-26  Sven Dietrich  <sven_dietrich@trimble.com>

	* ntpd/ntpd.c: remove WINNT priority adjustment to the ports/winnt area
	where it does not clutter up the main distribution.

2000-07-24  Harlan Stenn  <stenn@whimsy.udel.edu>

	* ntpd/ntp_proto.c (receive): dstadr_sin needs  higher visibility
	From: Dave Mills

	* flock-build: Added baldwin

	* ntpd/ntp_request.c:
	* ntpd/ntp_proto.c:
	* ntpd/ntp_peer.c:
	* ntpd/ntp_io.c:
	* ntpd/ntp_intres.c:
	* ntpd/ntp_crypto.c (make_keylist):
	* ntpd/ntp_control.c:
	* ntpd/ntp_config.c (CONF_MOD_IBURST, save_resolve):
	* include/ntpd.h (findpeerbyassoc, newpeer, peer_config, *_interface):
	* include/ntp_request.h (CONF_FLAG_IBURST):
	* include/ntp_crypto.h (crypto_xmit, make_keylist):
	* include/ntp.h (FLAG_IBURST):
	* html/release.htm:
	* html/confopt.htm:
	* html/assoc.htm:
	Add iburst option, fix broadcast/multicast and some types.
	From: Dave Mills

2000-07-20  Harlan Stenn  <stenn@whimsy.udel.edu>

	* scripts/Makefile.am (bin_SCRIPTS): Install ntp-wait

	* configure.in: 4.0.99k

2000-07-19  Harlan Stenn  <stenn@whimsy.udel.edu>

	* ntpd/ntp_proto.c (peer_xmit): PUBKEY cleanup

2000-07-18  Harlan Stenn  <stenn@whimsy.udel.edu>

	* configure.in: 4.0.99j5

	* html/ntpd.htm (HREF): Document other missing command-line options

	* html/ntpd.htm (HREF): Document
	* html/confopt.htm (href): Undocument
	* ntpd/ntp_config.c (getconfig): -N high for high-priority.
	Lose the ntp.conf way of setting priority.

	* ntpd/ntp_crypto.c: PUBKEY/AUTOKEY cleanup
	From Dave Mills

2000-07-17  Harlan Stenn  <stenn@whimsy.udel.edu>

	* html/confopt.htm (href): Document it.
	* ntpd/ntp_config.c (getconfig): CONFIG_PRIORITY support
	* ntpd/ntpd.c (set_process_priority): Use it.

	* ntpd/ntp_crypto.c: Crypto key stuff
	* ntpd/ntp_proto.c: pubkey -> pubkey.ptr
	* ntpd/ntp_control.c (ctl_putpeer): fstamp -> pubkey.fstamp
	* ntpd/ntp_peer.c:
	* include/ntpd.h:
	* include/ntp_types.h:
	* include/ntp_request.h:
	* include/ntp_crypto.h:
	* include/ntp_control.h:
	* include/ntp.h: Type cleanup
	From: Dave Mills

2000-07-14  Harlan Stenn  <stenn@whimsy.udel.edu>

	* ElectricFence/Makefile.am (check-local): Don't run the tests if
	we didn't build the programs...
	(check-local): Same, but watch the return codes...

	* ElectricFence/page.c: #include config.h if it's there.
	Properly handle the sys_errlist declaration.

	* html/ntpq.htm:
	* html/index.htm:
	* html/debug.htm:
	* html/authopt.htm:
	Reality check.
	From Dave Mills

2000-07-13  Harlan Stenn  <stenn@whimsy.udel.edu>

	* Makefile.am (SUBDIRS): Added ElectricFence
	* configure.in (AC_CONFIG_FILES): Added ElectricFence support
	* ElectricFence: Imporpted.

2000-07-12  Harlan Stenn  <stenn@whimsy.udel.edu>

	* util/ntp_genkeys.c (main): Cleanup
	* ntpd/refclock_wwv.c (wwv_qrz): sqrt -> SQRT
	* ntpd/refclock_chu.c (chu_rf): sqrt -> SQRT
	* ntpd/ntpd.c (set_process_priority): Disable  high-priority for now.
	PUBKEY cleanup.
	* ntpd/ntp_timer.c: sys_revoketime cleanup.
	* ntpd/ntp_proto.c (receive): PUBKEY cleanup.  Comment and code
	cleanup.
	(process_packet): Comment and code (PUBKEY) cleanup.
	(peer_xmit): Comment and code cleanup.
	(fast_xmit): Comment and code cleanup.
	* ntpd/ntp_peer.c (expire_all): revoketime cleanup.  PUBKEY cleanup.
	* ntpd/ntp_crypto.c: Comment reorg.  DH parameters are now
	file-static instead of local to subroutines.
	(make_keylist): peer->pcookie.key cleanup/fix
	(crypto_recv): Subroutine documentation cleanup, other cleanup
	(crypto_xmit): Cleanup/document.
	(crypto_setup): Cleanup/document.
	(crypto_agree): Cleanup/document.
	(crypto_rsa): now static
	(crypto_dh): now static.  Comment cleanup.  Code cleanup.
	(crypto_tai): now static.  Code and comment cleanup.
	(crypto_config): Deal with CRYPTO_CONF_LEAP.
	* ntpd/ntp_control.c (CS_DHPARAMS): Rename corresponding token to
	"params".  Remove CS_TAI from def_sys_var[].
	(ctl_putsys): CS_HOST, CS_DHPARAMSm CS_REVTIME, and CS_LEAPTIME
	bugfix.  CS_TAI cleanup.
	* ntpd/ntp_config.c (CONF_CRYPTO_LEAP): Added
	(getconfig): Added CONF_CRYPTO_LEAP support.
	* include/ntp_syslog.h: Lose GIZMO stuff.
	* include/ntp_crypto.h (CRYPTO_CONF_LEAP): Added
	* include/ntp.h: struct autokey, cookie,value, and pkt changes for
	signature field.  Update the inline docs on pkt's exten field.
	From: Dave Mills


2000-07-08  Harlan Stenn  <stenn@whimsy.udel.edu>

	* ntpd/ntp_util.c (stats_config): If we read a bogus old_drift,
	use 0 instead of failing.

2000-07-03  Harlan Stenn  <stenn@whimsy.udel.edu>

	* README.cvs: Cleanup.

	* ntpd/refclock_datum.c (datum_pts_poll): index -> unit_index
	* ntpd/ntp_resolver.c (findhostaddr): const cleanup
	* libntp/recvbuff.c:
	* libntp/msyslog.c:
	* libntp/emalloc.c:
	* libntp/authreadkeys.c:
	Fix header order.
	From: Simon Burge <simonb@netbsd.org>

	* ntpd/ntp_util.c (stats_config): Use HAVE_FINITE and HAVE_ISFINITE
	* configure.in (ac_cv_struct_ntptimeval_timespec): isfinite()
	checks for HP-UX11.
	From: Albert Chin-A-Young <china@thewrittenword.com>

2000-07-02  Harlan Stenn  <stenn@whimsy.udel.edu>

	* flock-build (LIST): Lose malarky, update some machine/OS descriptions

	* configure.in: 4.0.99j4

	* ntpq/ntpq.c: Lose PUBKEY stuff - older ntpq's will complain when
	they see the info in a packet.
	* ntpd/ntp_proto.c (peer_xmit): TAI changes.
	* ntpd/ntp_crypto.c: Fix host/network byteorder stuff.  Follow
	global->struct changes.  TAI changes.  Bugfixes.
	* ntpd/ntp_control.c: Follow field reorder/rename.
	* include/ntp_crypto.h: Move crypto stuff from separate globals
	into structs.
	* include/ntp_control.h (CS_HOST): Reorder/rename some fields
	From: Dave Mills

2000-06-30  Harlan Stenn  <stenn@whimsy.udel.edu>

	* ntpd/ntp_peer.c (unpeer): Moved keystr cleanup inside ifdef PUBKEY

	* configure.in: 4.0.99j3

	* html/release.htm:
	* html/ntpq.htm:
	* html/authopt.htm:
	Updates from Dave Mills

	* ntpd/ntp_request.c (dns_a): Don't call crypto_public for now...
	* ntpd/ntp_proto.c (receive): Follow the TEST wiggles
	(peer_xmit): TAI support
	* ntpd/ntp_crypto.c: TAI support
	* ntpd/ntp_control.c: CS_VERSION  and CS_TAI support
	* include/ntp_crypto.h (CRYPTO_FLAG_TAI): Added.
	* include/ntp_control.h (CS_VERSION): Added.
	* include/ntp.h (TEST4,TEST5,TEST8,TEST9): Wiggle.
	From: Dave Mills

	* ntpd/Makefile.am (ntpd_SOURCES): Lose refclock_ulink331.c
	because the new refclock_ulink.c handles it.

2000-06-28  Harlan Stenn  <stenn@whimsy.udel.edu>

	* ntpd/ntp_config.c (getconfig): Sanity check the right variable
	From: Dave Mills.

2000-06-25  Harlan Stenn  <stenn@whimsy.udel.edu>

	* configure.in: 4.0.99j2

	* ntpd/ntp_proto.c:
	* ntpd/ntp_peer.c:
	* ntpd/ntp_crypto.c:
	* include/ntp_crypto.h:
	* include/ntp.h:
	AUTOKEY/PUBKEY/DH/crypto changes
	From: Dave Mills

2000-06-23  Harlan Stenn  <stenn@whimsy.udel.edu>

	* html/driver34.htm:
	* ntpd/refclock_ulink.c:
	* ntpd/refclock_ulink331.c: (removed)
	Updated for 320/330 series refclocks
	From: joseph lang <tcnojl1@earthlink.net>

	* ntpd/refclock_oncore.c: Patches/improvements
	* html/driver30.htm: New release
	From: Reg Clemens <reg@orion.dwf.com>

2000-06-17  Harlan Stenn  <stenn@whimsy.udel.edu>

	* configure.in: 4.0.99j1

	* ntpdc/ntpdc.c (getcmds):
	* configure.in:
	Readline support.
	From: Aaron Sherman <ajs@narn.ajs.com>

	* ntpd/refclock_ulink331.c: Added.
	Sent in by Doug Grosso <dgrosso@mint.net>
	* ntpd/Makefile.am (ntpd_SOURCES): Added refclock_ulink331.c

	* libntp/snprintf.c: Added stdio.h
	From: Marc Brett <mbrett@rgs0.london.waii.com>

	* include/ntp.h: struct autokey's siglen is u_int32.  So is the
	siglen in struct cookie.  So is siglen and value length in struct
	value. Add fstamp to struct peer.  Resize the exten AUTOKEY field
	in struct pkt.
	* include/ntp_crypto.h: crypto_enable -> crypto_flags and a
	variety of other cleanups.
	* ntpd/ntp_config.c: crypto_enable -> crypto_flags, and some
	key/fudge cleanup.
	* ntpd/ntp_control.c: Much cleanup.
	* ntpd/ntp_crypto.c: Many changes that Harlan is too tired to
	properly document.
	* ntpd/ntp_peer.c: crypto_enable -> crypto_flags
	(peer_config): Hold off on crypto_public() until some resolver
	issue is fixed.
	* ntpd/ntp_proto.c (receive): Disable the reverse DNS lookup for now.
	(process_packet): Don't record_raw_stats() for now.
	crypto_enable was renamed to crypto_flags.
	(peer_xmit): In MODE_ACTIVE or MODE_PASSIVE, only call
	crypto_xmit() if the peer->cmmd is not CRYPTO_AUTO.  Reset
	peer->cmmd to 0 when we're thru.
	Don't reset peer->cmmd to 0 until the end of MODE_CLIENT.
	* ntpd/ntpd.c: Lose the call to crypto_init().  Instead, call
	crypto_setup() later on if we have crypto_flags.
	* util/ntp_genkeys.c: Lose GENLEN; use PRIMELEN/2 .
	From Dave Mills.

	* ntpd/ntp_crypto.c (crypto_rsa):
	(crypto_dh):
	Do some debug logging if readlink() fails with something other
	than EINVAL (file isn't a symlink).

2000-06-04  James R. Van Zandt  <jrv@vanzandt.mv.com>

	* html/miscopt.htm (trap): punctuation

	* html/ntpd.htm (-g): typo

	* html/miscopt.htm (logconfig): List the "clock" event class.
	"allprefix" should be two words.

2000-05-31  Harlan Stenn  <stenn@whimsy.udel.edu>

	* ntpd/ntp_timer.c: Protect <unistd.h>

2000-05-30  Harlan Stenn  <stenn@whimsy.udel.edu>

	* ntpd/Makefile.am: Document what we expect from -lm

2000-05-29  Harlan Stenn  <stenn@whimsy.udel.edu>

	* configure.in: 4.0.99j

2000-05-22  Harlan Stenn  <stenn@whimsy.udel.edu>

	* html/ntptime.htm: More fixes
	From: Kazu TAKAMUNE <takamune@avrl.mei.co.jp>

2000-05-16  Harlan Stenn  <stenn@whimsy.udel.edu>

	* build (KEYSUF):
	* flock-build:
	* configure.in: Lose the "md5" options from the --with-crypto
	check; Dave hates it.

	* ntpd/ntp_util.c (stats_config):
	* ntpd/ntp_loopfilter.c (loop_config):
	* libntp/systime.c (adj_systime):
	* include/ntp_proto.h (NTP_MAXFREQ):
	Renamed MAX_FREQ to NTP_MAXFREQ

	* ntpd/ntpd.c (ntpdmain):
	* ntpd/ntp_proto.c (receive):
	(poll_update):
	* ntpd/ntp_intres.c (addentry):
	* ntpd/ntp_config.c (getconfig):
	Lint cleanup
	From: Marc Brett <mbrett@rgs0.london.waii.com>

	* include/ntp_stdlib.h:
	* libntp/systime.c (adj_systime):
	* ntpd/ntp_loopfilter.c (loop_config):
	* ntpd/ntp_util.c (stats_config):
	* ports/winnt/ntpd/nt_clockstuff.c (adj_systime):
	MAXFREQ -> MAX_FREQ
	* include/ntp_proto.h: Define MAX_FREQ

2000-05-15  Harlan Stenn  <stenn@whimsy.udel.edu>

	* include/ntp_stdlib.h:
	* libntp/systime.c (adj_systime):
	* ntpd/ntp_loopfilter.c (loop_config):
	* ntpd/ntp_util.c (stats_config):
	* ports/winnt/ntpd/nt_clockstuff.c (adj_systime):
	sys_maxfreq -> MAXFREQ
	Per Dave Mills.

2000-05-14  Harlan Stenn  <stenn@whimsy.udel.edu>

	* acinclude.m4: Typo...

2000-05-13  Harlan Stenn  <stenn@whimsy.udel.edu>

	* libntp/gpstolfp.c (GPSORIGIN): Try new ULONG_CONST macro

	* ntpdate/ntptimeset.c:
	* ntpdate/ntpdate.h:
	* ntpd/refclock_oncore.c (oncore_msg_En):
	* ntpd/ntp_util.c (stats_config):
	* ntpd/ntp_request.c:
	* ntpd/ntp_intres.c (findhostaddr):
	* ntpd/ntp_config.c (getconfig):
	* libntp/systime.c (adj_systime):
	* libntp/lib_strbuf.c:
	* libntp/authparity.c:
	* libntp/audio.c:
	Header/lint cleanup
	From/reported by: Simon Burge <simonb@netbsd.org>

	* ntpd/ntp_resolver.c (findhostaddr): Compiler noise cleanup

	* ntpd/ntp_intres.c: Compiler noise cleanup

	* html/ntptime.htm: Document reality check
	From: Kazu TAKAMUNE <takamune@avrl.mei.co.jp>

2000-05-12  Harlan Stenn  <stenn@whimsy.udel.edu>

	* ntpd/ntp_intres.c (ntp_intres): Quiet some debug messages
	Reported by: Brian Bergstrand <brianb@mac.com>

2000-05-11  Harlan Stenn  <stenn@whimsy.udel.edu>

	* scripts/mkver.in (ConfStr): Use -r if we're using RSAREF,
	otherwise use -a if we're using autokey, otherwise use no extra
	suffix.

2000-05-11  Sven Dietrich  <sven_dietrich@trimble.com>

	* ports/winnt/include/config.h: New defines to support AUTOKEY
	* ports/winnt/include/unistd.h: Added another dummy placeholder.h
	* ports/winnt/ntpd/ntpd.dsp: Added ntp_crypt.c to makefile
	* ports/winnt/ntpd/ntpd.c: service_main needs a local hostname[]
	* html/hints/winnt.htm: Add remark about 4.0.99i not compiling.
	These changes got WINNT running again. No idea if the keys stuff
	works however.

2000-05-10  Harlan Stenn  <stenn@whimsy.udel.edu>

	* configure.in: 4.0.99i9

	* ntpd/ntp_crypto.c: tstamp and autokey cleanup
	From: Dave Mills

	* ntpd/ntp_proto.c (clock_update): Only call expire_all() if
	AUTOKEY
	From many folks, including Reg Clemens <reg@dwf.com>

2000-05-07  Harlan Stenn  <stenn@whimsy.udel.edu>

	* configure.in: 4.0.99i8

	* flock-build: Use new --with-crypto choices
	* build (KEYSUF): Deal with new --with-crypto
	* configure.in: --with-crypto={md5,autokey,rsaref};
	lose --enable-autokey

2000-05-06  Harlan Stenn  <stenn@whimsy.udel.edu>

	* build (KEYSUF): Catch --disable-autokey first.

2000-05-05  Harlan Stenn  <stenn@whimsy.udel.edu>

	* flock-build: If we don't use autokey, don't use rsaref either.

	* configure.in: 4.0.99i7

	* build (KEYSUF):
	* flock-build:
	It's --disable-autokey now

	* configure.in: MD5 is not optional (but AUTOKEY is)
	* include/ntp_stdlib.h:
	* libntp/a_md5encrypt.c:
	* libntp/authkeys.c:
	(authhavekey):
	(MD5auth_setkey):
	(auth_delkeys):
	(authencrypt):
	(authdecrypt):
	* libntp/authreadkeys.c:
	(authreadkeys):
	* ntpd/ntp_proto.c (init_proto):
	* libntp/authusekey.c:
	MD5 is required.

2000-05-04  Harlan Stenn  <stenn@whimsy.udel.edu>

	* configure.in: 4.0.99i6

	* ntpd/ntp_proto.c (transmit): Fix up the UNREACH code.
	(receive): Lose some debug code.
	(clock_update): expire_all() if LEAP_NOTINSYNC
	crypto_xmit() a CRYPTO_AUTO if !FLAG_AUTOKEY instead of recauto.tstamp
	crypto_xmit() a CRYPTO_PRIV (not CRYPTO_AUTO) based on pcookie.tstamp
	crypto_xmit() a CRYPTO_AUTO (not CRYPTO_PRIV) based on FLAG_MCAST2
	and !FLAG_AUTOKEY
	* ntpd/ntp_crypto.c (crypto_recv): Clean up debug output.
	Don't AUTOKEY if FLAG_MCAST2
	From: Dave Mills

	* flock-build: Also make obe withouyt md5 (no AUTOKEY)
	* build (BDIR): Handle -noautokey build directory suffix
	* configure.in: Prepare for AUTOKEY in mkver.in
	* scripts/mkver.in (ConfStr): Indicate in the version string if
	we're not using AUTOKEY.

2000-05-03  Harlan Stenn  <stenn@whimsy.udel.edu>

	* scripts/ntp-wait.in: Fun things with backspaces

	* configure.in: 4.0.99i5

	* ntptrace/ntptrace.c: Protect sys/ioctl.h; grab config.h

	* ntpd/ntp_proto.c (transmit): AUTOKEY and tstamp fixes.
	(clock_update): Check oleap against LEAP_NOTINSYNC
	(peer_clear): Free pubkey when we're done
	Check peer's keynumber against the seq in MODE_BROADCAST.
	Reorder tstamp changes.
	* ntpd/ntp_crypto.c (crypto_recv): Check the packet if we get a
	CRYPTO_RESP and reorder the update of tstamp.
	(crypto_recv): Don't expire the peer until we're thru with it.
	* include/ntp.h: AUTOKEY and pkeyid changes
	From Dave Mills

	* ntpdate/ntpdate.c: Protect sys/ioctl.h

2000-05-01  Harlan Stenn  <stenn@whimsy.udel.edu>

	* configure.in: 4.0.99i4

	* include/ntp.h:
	* include/ntp_crypto.h:
	* include/ntpd.h:
	* ntpd/ntp_crypto.c:
	* ntpd/ntp_proto.c:
	* ntpd/ntpd.c:
	* util/ntp_genkeys.c:
	Dave Mills closed some potential vulnerabilities in the key protocol.

2000-04-28  Harlan Stenn  <stenn@whimsy.udel.edu>

	* configure.in: 4.0.99i3

	* ntpd/ntp_proto.c: Just check tstamp, forget about sndauto.seq
	* ntpd/ntp_crypto.c (crypto_recv): Lose inappropriate ntohl()
	conversion on tstamp.
	AUTOKEY if tstamp>0, not !=
	Stash tstamp before we check pcookie.key (several places)
	* ntpd/ntp_control.c (ctl_putpeer): In CP_INITSEQ, check
	recauto.key, not keylist.
	From: Dave Mills

2000-04-27  Harlan Stenn  <stenn@whimsy.udel.edu>

	* configure.in: 4.0.99i2

	* ntpq/ntpq.c: PUBKEY stuff
	* ntpd/ntp_proto.c (clock_select): nreach, and better survivor pick.
	* ntpd/ntp_peer.c (newpeer): Better nextdate choice.
	* ntpd/ntp_control.c (ctl_putsys): Buglet in CS_HOSTNAM code.
	From Dave Mills.

2000-04-24  Harlan Stenn  <stenn@whimsy.udel.edu>

	* build (IAM): Show hostname if we trip a buildkey check.

2000-04-23  Harlan Stenn  <stenn@whimsy.udel.edu>

	* build: deal with optional 1st argument (SIG), which must match
	the contents of .buildkey

	* flock-build: Generalize, implement SIG and .buildkey, and drive
	list from LIST, which the user can override.

2000-04-21  Harlan Stenn  <stenn@whimsy.udel.edu>

	* configure.in: 4.0.99i1
	Dave updated some docs, implemented the kpoll variable, and
	wiggled a host/network byte order thing in the crypto key code.

2000-04-16  Harlan Stenn  <stenn@whimsy.udel.edu>

	* ntpd/refclock_wwvb.c (wwvb_receive): Grab any character (instead
	of just a space) before the DSTchar.
	From: Dave Mills

2000-04-11  Harlan Stenn  <stenn@whimsy.udel.edu>

	* configure.in: 4.0.99i

	Dave made some documentation updates.

2000-04-08  Harlan Stenn  <stenn@whimsy.udel.edu>

	* flock-build: Add malarky.  By default, --enable-parse-clocks.
	Start 2 builds, one with and the other without rsaref.

	* configure.in: 4.0.99h6
	Dave improved the crypto stuff some more.

2000-04-05  Harlan Stenn  <stenn@whimsy.udel.edu>

	* ntpd/refclock_acts.c (acts_receive): Do a better job with year
	conversions and leap-year checks.  The PTB stuff caught this.
	Reported by: Daniel.Aeby@eam.admin.ch

2000-04-02  Harlan Stenn  <stenn@whimsy.udel.edu>

	* ntpd/refclock_atom.c (atom_pps): Bugfix
	From: Philippe Charnier <charnier@xp11.frmug.org>

2000-03-30  Harlan Stenn  <stenn@whimsy.udel.edu>

	* libparse/clk_wharton.c (cvt_wharton_400a): Do not return
	CVT_NONE when receiving the early warning bit set.
	From: Philippe De Muyter  <phdm@macqel.be>

	* configure.in: 4.0.99h5
	Dave made more changes to the auth key stuff.

2000-03-29  Harlan Stenn  <stenn@whimsy.udel.edu>

	* configure.in: 4.0.99h4
	Dave made a bunch of changes/fixes to the auth key stuff.

2000-03-22  Harlan Stenn  <stenn@whimsy.udel.edu>

	* ntpd/ntp_resolver.c: Typos.

2000-03-21  Harlan Stenn  <stenn@whimsy.udel.edu>

	* configure.in: 4.0.99h3

	* ntpd/ntp_intres.c: Use LOG_INFO instead of LOG_DEBUG.
	* ntpd/ntp_resolver.c: Ditto.

2000-03-20  Harlan Stenn  <stenn@whimsy.udel.edu>

	* util/Makefile.am (ntp_genkeys_LDADD): Might need snprintf (-lntp)

	* librsaref/Makefile.am (stamp-rsaref): nodist_HEADERS are not
	supoprted yet.  Hack around it.

	* ntpd/ntp_resolver.c (findhostaddr): hstrerror isn't always available.

	* configure.in: Look for hstrerror.

	* util/ntp_genkeys.c (main): Use snprintf, not sprintf.

	* ntpd/ntp_crypto.c: Use gethostname, not uname
	* util/ntp_genkeys.c: Ditto
	From: Dave Mills

2000-03-19  Harlan Stenn  <harlan@pfcs.com>

	* ntpd/ntp_proto.c (receive): Rename ntp_res_send() to
	  ntp_res_name() and adjust the number of arguments.
	* ntpd/ntp_resolver.c (ntp_res_name): Ditto
	* include/ntpd.h: Ditto

	* ntpd/ntp_resolver.c: Add de_done to the dns_entry structure.

2000-03-18  Harlan Stenn  <stenn@whimsy.udel.edu>

	* configure.in: 4.0.99h2

	* libparse/Makefile.am (info_trimble.c): Use $(srcdir)/foo.sed
	instead of foo.sed .

	* librsaref/Makefile.am (stamp-rsaref): Copy each file to the build
	directory, not to the source directory.  This sucks; it wastes
	space (but it's more portable).

	* configure.in (ac_busted_vpath_in_make): Add FreeBSD.  I bet all
	systems that use pmake will need this.
	(ac_busted_vpath_in_make): Remove FreeBSD - I found a workaround.

	* Makefile.am: General cleanup

	* configure.in: 4.0.99h1

	* ntpd/ntp_resolver.c: Lose unneeded header.

2000-03-17  Harlan Stenn  <stenn@whimsy.udel.edu>

	* libntp/snprintf.c: #include <config.h>

	* libntp/Makefile.am (EXTRA_libntp_a_SOURCES): Use it correctly...

2000-03-16  Harlan Stenn  <stenn@whimsy.udel.edu>

	* libntp/Makefile.am (EXTRA_DIST): Added snprintf.c

	* configure.in: Look for (and provide if it's missing) snprintf()

	* ntpd/ntp_request.c (dns_a): Call crypto_public with the resolved
	name and the peer pointer.
	(dns_a): crypto_public() is only available if PUBKEY is #defined.

	* ntpd/ntp_crypto.c (crypto_public): sprintf is Evil.  Use snprintf.
	(crypto_setup): Ditto
	(crypto_read): Ditto

	* ntpd/ntp_resolver.c (ntp_res_send): Lose some debugging noise.

	* ntpd/ntp_config.c (getconfig): Lose testing code.

	* ntpd/ntp_request.c (dns_a): Fix buglet in hostname length check.

2000-03-16  Harlan Stenn  <harlan@pfcs.com>

	* ntpd/ntp_request.c (dns_a): Start cracking the returned information.

2000-03-15  Harlan Stenn  <stenn@whimsy.udel.edu>

	* ntpd/ntp_resolver.c (ntp_res): Authenticate the keyid.

	* ntpd/ntp_crypto.c (crypto_line): Fix definition
	(crypto_read): Ditto.

	* ntpd/ntp_config.c (getconfig): Move req_keyid generation here.

	* librsaref/Makefile.am (BUILT_SOURCES): Cleanup more nodist_ stuff.

2000-03-14  Harlan Stenn  <stenn@whimsy.udel.edu>

	* build (RSASUF): If we have rsaref2/ and are building
	--without-rsaref, note it as a build-directory suffix.

	* configure.in: 4.0.99h
	Crypto merge

	* librsaref/Makefile.am (nodist_librsaref_a_SOURCES): Added nodist_

2000-02-28  Harlan Stenn  <stenn@whimsy.udel.edu>

	* configure.in: Lose the changequote calls and fix the quoting.
	Reported by: Akim Demaille <akim@epita.fr>

	* ntpd/ntp_request.c: Log various error conditions.

2000-02-27  Harlan Stenn  <stenn@whimsy.udel.edu>

	* configure.in: 4.0.99g

	* ntpd/ntpd.c: Only log EINTR if debug > 2.

2000-02-25  Harlan Stenn  <stenn@whimsy.udel.edu>

	* scripts/mkver.in (ConfStr): Use `-r' when configured with crypto.

	* ntpd/refclock_wwvb.c (wwvb_receive): Undo the previous chagne.

2000-02-24  Harlan Stenn  <stenn@whimsy.udel.edu>

	* ntpd/refclock_wwvb.c (wwvb_receive): LENWWVB0 can return 6 or 7
	fields.
	From: Michael Sinatra <msinatra@uclink4.berkeley.edu>
	with a cleanup from Ulrich.

	* scripts/mkver.in (ConfStr): Make RSAREF appear as part of the
	version.

2000-02-21  Sven Dietrich <sven_dietrich@trimble.com>

	* ports/winnt/include/config.h: Enable MD5 and RANDOM by default
	* ports/winnt/libntp/SetSystemTime.c: Fix warning and const declaration
	From: Carl Byington <carl@five-ten-sg.com>

2000-02-21  Harlan Stenn  <stenn@whimsy.udel.edu>

	* Makefile.am (SUBDIRS): Make librsaref right after includes so we
	can copy any needed header files over.

	* libntp/Makefile.am (INCLUDES): Also look in librsaref for des.h
	* ntpd/Makefile.am (INCLUDES): Ditto
	* util/Makefile.am (INCLUDES): Ditto

	* librsaref/Makefile.am (librsaref_a_SOURCES): Use the des.h from
	the rsaref2 distribution.

	* include/Makefile.am (noinst_HEADERS): No, we don't want des.h

2000-02-20  Harlan Stenn  <stenn@whimsy.udel.edu>

	* include/Makefile.am (noinst_HEADERS): Add des.h

2000-02-19  Harlan Stenn  <stenn@whimsy.udel.edu>

	* ntpd/ntp_config.c (do_resolve_internal): Try Real Hard to
	generate a full random key.
	From: Carl Byington <carl@five-ten-sg.com>

	* include/ntp.h: Now we know we have either mrand48() or random().
	* configure.in: If we have mrand48, use it.  Otherwise, use (and
	provide if necessary) random().
	* libntp/Makefile.am (EXTRA_DIST): random.c
	* libntp/random.c: Added.

2000-02-18  Harlan Stenn  <stenn@whimsy.udel.edu>

	* librsaref/Makefile.am (stamp-rsaref): Typo

	* configure.in (ac_cv_func_ctty_for_f_setown): Yes for OpenBSD
	(ac_cv_var_ntp_syscalls): Fix quoting of description
	From: Jonathan Rozes <jrozes@vinton.com>

	* librsaref/Makefile.am: Fix stamp-rsaref dependency order.

	* configure.in: 4.0.99f

2000-02-17  Harlan Stenn  <stenn@whimsy.udel.edu>

	* ntpd/refclock_mx4200.c: Remove the DOP-weighted position
	averaging code and revert to a simple mean average.  The weighted
	average consistently produced a *worse* result.  Go figure.
	* html/mx4200data.htm: Cleanup, reflect current reality.
	* html/driver9.htm: Cleanup, reflect current reality.
	* html/copyright.htm: Cleanup, and credit where credit is due.
	From: Marc.Brett@westgeo.com

	* ntpd/refclock_oncore.c: Cleanup/fixes
	* html/driver30.htm: Cleanup
	* html/Oncore-SHMEM.htm: Cleanup
	From: Reg Clemens <reg@dwf.com>

2000-02-16  Sven Dietrich <sven_dietrich@trimble.com>

	* winnt/scripts/mkver.bat:    Frederick Czajka [w2k@austin.rr.com]
	  winnt/ntpq/ntpq.dsp:        modified mkver.bat to eliminate the
	  winnt/ntpd/ntpd.dsp:	      need to have Perl installed and the
	  winnt/ntpdc/ntpdc.dsp:      PERL environment variable to be set.
	  winnt/ntpdate/ntpdate.dsp:
	  winnt/ntptrace/ntptrace.dsp:    Thanks, Frederick!

	* ntpd/refclock_nmea.c: Correctly interpret the quality indicator.

2000-02-15  Harlan Stenn  <stenn@whimsy.udel.edu>

	* ntpd/refclock_nmea.c: Correctly interpret the quality indicator.
	Deal with the time supplied in centiseconds.  GPGCA/GPGGA cleanup.
	From: Andrew Hood <ajhood@fl.net.au>

	* libparse/Makefile.am (K_CFLAGS): Use instead.  Add NEED_NTP_BOPS.

2000-02-10  Harlan Stenn  <stenn@whimsy.udel.edu>

	* scripts/ntp-wait.in: Intensify, including some suggestions from
	Ulrich.

	* configure.in: 4.0.99e

	* scripts/ntp-wait.in: Lose cruft, sleep after each try.

	* scripts/ntp-restart: It's ntpd now.  Also, call ntp-wait.

	* configure.in (AC_CONFIG_*): New scripts that use PATH_PERL

	* scripts/Makefile.am (noinst_SCRIPTS): Added ntp-wait
	(noinst_SCRIPTS): Added all of the scripts that now use PATH_PERL

	* configure.in: Get the path to perl
	(AC_CONFIG_*): Added scripts/ntp-wait

	* ntptrace/ntptrace.c (DoTrace): If the server's srcadr is 0.0.0.0
	then we haven't synced yet.  Note and punt.
	Reported by: Bdale Garbee <bdale@gag.com>,http://bugs.debian.org/56551

2000-02-09  Harlan Stenn  <stenn@whimsy.udel.edu>

	* ports/winnt/include/config.h: Typo (CLOCK_PALISADE comment)
	From: Carl Byington <carl@five-ten-sg.com>

	* configure.in: Disable kernel_fll_bug for Generic_105181-17 under
	Solaris-2.6
	From: Juergen Georgi <georgi@belwue.de>

2000-02-07  Harlan Stenn  <stenn@whimsy.udel.edu>

	* configure.in: 4.0.99d

	* html/Oncore-SHMEM.htm: New document
	* html/driver30.htm: Cleanup and improvements
	From: Reg Clemens <reg@dwf.com>

2000-01-30  Harlan Stenn  <stenn@whimsy.udel.edu>

	* ntpd/refclock_oncore.c: Patches/improvements
	From: Reg Clemens <reg@dwf.com>

2000-01-29  Harlan Stenn  <stenn@whimsy.udel.edu>

	* configure.in: 4.0.99c

2000-01-28  Harlan Stenn  <stenn@whimsy.udel.edu>

	* configure.in: Autoconf update...

	* ntpdate/ntpdate.c (ntpdatemain): Typo
	From: Jack Bryans <jbryans@csulb.edu>

	* Makefile.am (EXTRA_DIST): Add flock-build.  Probably UDel specific...

2000-01-23  Harlan Stenn  <stenn@whimsy.udel.edu>

	* ntpd/check_y2k.c (main): Reformat for ansi2knr

	* configure.in (AC_OUTPUT): Revert to obsolete form until automake
	catches up.

2000-01-22  Harlan Stenn  <stenn@whimsy.udel.edu>

	* configure.in: Use AC_CHECK_TYPES((s_char)) instead of
	AC_CHECK_TYPE.
	(ac_cv_var_kernel_fll_bug): Generic_106541-08 is apparently OK, too.

	* scripts/Makefile.am (EXTRA_DIST): Need to explicitly distribute
	mkver.in and ntpver.in now, apparently.
	* configure.in: Search for the various audio_info members so the
	printing in audio_show is less of a circus.  This required an
	autoconf upgrade.  Major sigh.

	* libntp/audio.c (audio_show): Clean up (more) properly.

2000-01-21  Sven Dietrich <sven_dietrich@trimble.com>

	* Add pointer to html/hints/winnt.htm to INSTALL file
	* Fix NT makefiles to accomodate at least one weird
	  version of Visual C that can't handle the LFs without
	  the DOS CR also.

2000-01-20  Sven Dietrich <sven_dietrich@trimble.com>

	* Update Copyright in Palisade driver to 2000
	* Fix Palisade MIN & MAX POLL to optimal values

2000-01-19  Harlan Stenn  <stenn@whimsy.udel.edu>

	* html/driver7.htm: Patches from Dave Mills
	* html/driver36.htm: Patches from Dave Mills

	* html/copyright.htm: Added Kamal Mostafa

2000-01-19  Harlan Stenn  <stenn@whimsy.udel.edu>

	* configure.in: 4.0.99b

2000-01-18  Harlan Stenn  <stenn@whimsy.udel.edu>

	* ntpd/refclock_chu.c: NCHAN is used with generic ICOM.

	* ntpd/refclock_wwv.c: Use new audio stuff
	* ntpd/refclock_irig.c: Use new audio stuff
	* ntpd/refclock_chu.c: Use new audio stuff
	* ntpd/ntp_proto.c: Clean up
	* ntpd/ntp_loopfilter.c (local_clock): Clean up error message
	* include/icom.h: Number of arguments changed
	* libntp/Makefile.am (libntp_a_SOURCES): Added audio.c
	* libntp/audio.c: New file
	* include/Makefile.am (noinst_HEADERS): audio.h added
	* include/audio.h: New file
	From: Dave Mills <mills@udel.edu>

	* scripts/freq_adj: Added.  FreeBSD frequency adjustment script.

	* configure.in: Do a better job on my oncore_ok check for SCO.

2000-01-15  Harlan Stenn  <stenn@whimsy.udel.edu>

	* configure.in: 4.0.99a

	* scripts/ntpsweep: New version
	* html/copyright.htm: Added Hans Lambermont
	From: Hans Lambermont <Hans.Lambermont@nl.origin-it.com>

2000-01-14  Harlan Stenn  <stenn@whimsy.udel.edu>

	* ntpd/refclock_oncore.c (oncore_start): Only dance with the
	pps_device if it's there.
	From: reg@dwf.com

	* configure.in: ONCORE is OK if ac_cv_hdr_def_tiocdcdtimestamp=yes

	* build: Just overwrite the log file each time; sometimes NFS goes
	a little goofy.

	* ntpd/refclock_fg.c: Syntax/punctuation cleanup

2000-01-13  Harlan Stenn  <stenn@whimsy.udel.edu>

	* scripts/ntpsweep: New version
	From: Hans Lambermont <Hans.Lambermont@nl.origin-it.com>

	* ntpd/refclock_fg.c: New version
	* html/driver37.htm: New version
	From: Dmitry Smirnov <das@online.nsk.su>

2000-01-12  Harlan Stenn  <stenn@whimsy.udel.edu>

	* README.des: Cleanup

2000-01-12  Harlan Stenn  <stenn@whimsy.udel.edu>

	* configure.in: 4.0.99

	* html/driver36.htm: Cleanup
	* html/monopt.htm: Ditto
	From: Dave Mills <mills@udel.edu>

	* ntpd/ntp_intres.c (ntp_intres): Put "NTP_INTRES running" at a
	higher debug level

2000-01-11  Harlan Stenn  <stenn@whimsy.udel.edu>

	* ntpd/refclock_wwv.c: More improvements
	From: Dave Mills <mills@udel.edu>

2000-01-10  Harlan Stenn  <stenn@whimsy.udel.edu>

	* ntpd/refclock_wwv.c: Bugfixes/improvements
	From: Dave Mills <mills@udel.edu>

	* configure.in: Get the quoting right on the sys_errlist check.
	From documentation by: Akim Demaille <akim@epita.fr>

2000-01-08  Harlan Stenn  <stenn@whimsy.udel.edu>

	* configure.in: <netinet/ip.h> cannot be detected...
	* ntpd/ntp_io.h: ...but every OS has it
	* ntpd/refclock_oncore.c: Lint removal
	* ntpq/ntpq_ops.c: Lint removal
	* ntpq/refclock_chu.c: chu_major() is not an audio routine (?), lint
	* libntp/icom.c: AIX doesn't have <sys/termios.h>
	From: Marc.Brett@westgeo.com

	* ntpd/refclock_chu.c: NetBSD needs sys/ioctl.h
	(chu_debug): NetBSD-specific debug output.
	From: Frederick Bruckman <fb@enteract.com>

2000-01-06  Harlan Stenn  <stenn@whimsy.udel.edu>

	* configure.in: 4.0.98m
	I skipped `l' - it looks like a `1'.

	* html/driver7.htm: Doc update
	* html/driver36.htm: Ditto
	* html/audio.htm: Ditto

	* ntpd/refclock_wwv.c: Dvae snuck another fix/change in on me.

	* configure.in: 4.0.98k

	* ntpd/refclock_chu.c (chu_start): Call icom_init with the speed
	* ntpd/refclock_wwv.c (wwv_start): Ditto, plus other improvements.
	* libntp/icom.c (icom_init): Add speed parameter
	* include/icom.h: Update declaration
	From: Dave Mills <mills@udel.edu>

	* include/Makefile.am (noinst_HEADERS): Added icom.h
	From: Frederick Bruckman <fb@enteract.com>

2000-01-05  Harlan Stenn  <stenn@whimsy.udel.edu>

	* configure.in: 4.0.98j

	* ntpd/refclock_wwv.c (timecode): Make definition == declaration
	(wwv_newchan): Ditto
	(wwv_corr4): Dave fixed the declaration.

	* flock-build: Add rackety to the flock - it runs SunOS 4.1.3/cc

	* ntpd/refclock_wwv.c: Undo that declaration cleanup for now...

	* ntpd/ntp_io.c (open_socket): TOS support
	From: Marc.Brett@westgeo.com

2000-01-04  Harlan Stenn  <stenn@whimsy.udel.edu>

	* ntpd/refclock_wwv.c: Declaration cleanup
	* ntpd/refclock_fg.c (fg_receive): Not all sprintf's are created
	equal...
	From: Marc.Brett@westgeo.com

	* ntpd/refclock_wwv.c: Dave Cleaned and Improved things.
	* ntpd/ntp_loopfilter.c (local_clock): Dave fixed something.

	* ntpd/refclock_wwv.c: Rename max to p_max or s_max as appropriate
	to avoid native SunOS compiler collision.
	(wwv_epoch): Make declaration == definition
	(wwv_rsec): Ditto
	(wwv_newchan): Ditto
	(wwv_qsy): Ditto
	(timecode): Ditto

	* ntpd/refclock_oncore.c (oncore_init_shmem): Use a cast to widen
	mmap's NIL offset.

	* ntpd/refclock_chu.c (chu_rf): Make declaration == definition.
	Rename min/max to es_min/es_max to avoid native SunOS compiler
	collision.
	(chu_uart): Make declaration == definition.

	* libntp/icom.c (sndpkt): Make declaration and definition equivalent.
	(doublefreq): Ditto.

	* ntpd/refclock_oncore.c (MAP_FAILED): Some systems do not #define
	this.

	* ntpd/refclock_wwv.c:
	* ntpd/refclock_chu.c:
	* libntp/icom.c:
	* libntp/Makefile.am:
	* include/icom.h:
	* html/driver7.htm:
	* html/driver36.htm:
	Support for ICOM.  The WWV/H driver, by the way, is getting truly
	awesome.  The CHU autotune function works okay as it is.  I'd like
	to find somebody else to test the audio drivers just to make sure
	I haven't done something stupid.  There is a new define ICOM
	intended for the driver autotune function; however, I crafted the
	thing in much the same way as the refclock_atom.c thing - it tries
	to open /dev/icom and, if that fails, goes quietly to sleep.
	From: Dave Mills <mills@udel.edu>

2000-01-03  Harlan Stenn  <stenn@whimsy.udel.edu>

	* ntpd/refclock_oncore.c (oncore_read_config): Patches and cleanup
	From: Poul-Henning Kamp <phk@critter.freebsd.dk>
	more isascii() stuff from HMS.

	* ntpd/refclock_fg.c (fg_receive): Cast.
	From: Tom Smith <smith@cag.lkg.dec.com>

	* ntpd/map_vme.c (map_vme): tx.access_result indicates failure on
	< 0, not <= 0.  A fix that apparently did not get brought over
	from the ntp3 base.
	From: Michael Barone <michael.barone@lmco.com>

	* configure.in: Move the ONCORE_SHMEM_STATUS check and definition
	here.

	* ntpd/refclock_oncore.c (oncore_init_shmem): Some systems do not
	have MAP_HASSEMAPHORE.

	* ntpd/refclock_oncore.c: Drive ONCORE_SHMEM_STATUS based on
	HAVE_SYS_MMAN_H .  If this needs finer checks, do it in
	configure.in .
	(oncore_read_config): Add the isascii() checks; older versions of
	Unix don't guarantee correct behavior of is*() without it.

	* ntpd/refclock_oncore.c: Add proof-of-concept support for
	  delivering receiver data stream to other processes through
	  a memory-mapped file.
	  From: Poul-Henning Kamp <phk@FreeBSD.org>

2000-01-02  Harlan Stenn  <stenn@whimsy.udel.edu>

	* configure.in (ac_refclock_chu): Provide the CHU driver by
	default, and by default prefer the AUDIO version.  We used to
	limit this to SunOS or Solaris; now we drive by the availability
	of the audioio header file.
	Select the IRIG and WWV audio drivers the same way.

	* flock-build: build ignores the -l flag; lose it.
	(BUILD_ARGS): added.
	* build: Remove unused -l stuff (LOG variable).

	* ntpd/ntp_refclock.c: HAVE_PPSAPI header cleanup
	From: Reg Clemens <reg@dwf.com>

2000-01-01  Harlan Stenn  <stenn@whimsy.udel.edu>

	* configure.in (CLOCK_WWV): Require <sys/audioio.h> or <sun/audioio.h>

1999-12-29  Harlan Stenn  <stenn@whimsy.udel.edu>

	* configure.in: 4.0.98i

	* ntpd/refclock_gpsvme.c: Fixes
	From: Michael Barone <michael.barone@lmco.com>
	Patch severely hacked by HMS to "make it conform".  I hope I
	didn't break anything.

	* scripts/ntpsweep: Nifty utility
	From: Hans.Lambermont@nl.origin-it.com

	* ntpd/refclock_fg.c:
	* ntpd/refclock_conf.c:
	* ntpd/ntp_control.c:
	* ntpd/Makefile.am:
	* libntp/clocktypes.c:
	* include/ntp.h:
	* html/refclock.htm:
	* html/driver37.htm:
	* configure.in:
	* acconfig.h:
	Forum Graphic GPS clock support
	From: Dmitry Smirnov <das@online.nsk.su>

	* configure.in: Default to compile the IRIG, CHU and WWV/H
	drivers and compile the CHU driver for audio, not modem.
	Requested by Dave Mills.

	* html/audio.htm:
	* html/driver36.htm:
	* html/qth.htm:
	Dave wrote these to go along with the changes I checked in yesterday.

1999-12-28  Harlan Stenn  <stenn@whimsy.udel.edu>

	* ntpd/refclock_wwv.c:
	* ntpd/refclock_conf.c:
	* ntpd/refclock_chu.c:
	* ntpd/ntp_refclock.c:
	* ntpd/ntp_loopfilter.c:
	* html/refclock.htm:
	* html/pps.htm:
	* html/index.htm:
	* html/driver7.htm:
	* html/driver6.htm:
	* html/copyright.htm:

	I indulged an old agenda to polish up some programs originally
	written for a DSP evaluation board. The result is a really hot
	audio driver for the NIST WWV/WWVH time/frequency station plus a
	makeover for the CHU audio driver. Currently, they and their IRIG
	audio driver buddy use the SunOS/Solaris audio interface, which is
	clean and simple. I hook the line in jack to a shortwave radio and
	these drivers (driver 7 for CHU and driver 36 for WWV) and the
	drivers do the rest. The WWV/H driver is really hot - I am
	currently watching the ionosphere move from the doppler that shows
	up on the tick modulation tracked by the program. During midday
	when the F2 layer settles down, the program closes in on a few
	tens of microseconds of spare jitter and wander.  This watch on
	whichever 15/20 MHz signal sounds the best. At night on 5/10 MHz
	and even 2.5 HMz where the multipath, interference and noise are
	much worse, the driver bangs around somewhat more.

	The CHU driver makeover discovered a few broken bones after all
	these years, but its majority decoder is back in business. For
	various reasons to icky to reveal here, its 103-modem demodulator
	is not quite as good as the chip, but it comes close and hey,
	2025/2125 FSK is just not a good idea for HF radio. This driver is
	not nearly as sophisitcated as the WWV/H driver, but here a few
	hundred miles south of Ottawa, it does a passably good job.

	I tell you this in the hopes of getting somebody interested in
	porting the audio interface to other machines, in particular
	Linux, FreeBSD and anything else with a sound card. When the
	ionosphere stays cool, the WWV/H driver is as good as anything
	else around here and with much less jitter than a serial port. The
	only downside is all the audio drivers chew up a modest fraction
	of cycles for the DSP routines - a few percent on the newer
	silicon, up to half the cycles on an old Sparc IPC. Whattheheck,
	these old machines aren't doing anything else around here except
	serving time, and even when sucking cycles for DSP they still mind
	the PPS microseconds.

	The audio driver documentation had a makeover, too.
	From: Dave Mills <mills@udel.edu>

1999-12-20  Harlan Stenn  <stenn@whimsy.udel.edu>

	* configure.in: 4.0.98h

1999-12-19  Harlan Stenn  <stenn@whimsy.udel.edu>

	* libntp/syssignal.c: Small cleanup to Marc's patch.

	* ntpd/ntp_refclock.c:
	* ntpd/refclock_atom.c: Header cleanup
	* html/driver30.htm: Cleanup and improvements.
	From: Reg Clemens <reg@dwf.com>

	* ntpd/ntp_refclock.c:
	* ntpd/refclock_jupiter.c:
	* ntpd/refclock_msfees.c:
	* ntpd/refclock_mx4200.c:
	Portability (Solaris) patches
	* ntpd/refclock_mx4200.c:
	Self-survey improvements, cleanup for, PPS re-activation
	* libntp/syssignal.c:
 	Fix for "interrupted system call" (EINTR) failure of the PPS
	ioctl(TIOCGPPSEV) call in Solaris.  Not sure why it was
	interrupted, but this works around the failure.  Not sure if
	the (now silent) interrupt affects the timing accuracy.
		THERE IS A CHANCE THIS PART OF THE PATCH MAY ADVERSELY
		AFFECT OTHER SYSTEMS!
	* scripts/ntp-status: Added.
	From: Marc.Brett@westgeo.com

	* ntpdate/ntpdate.c: Deal with multiple addresses.
	From: Jeffrey C Honig <jch@bsdi.com>

	* ntpd/refclock_conf.c: Replaced macro SHM with CLOCK_SHM.
	* ntpd/refclock_shm.c (shm_poll): Take clock time in UTC.
		pp->day starts at 1, t->tm_yday starts at 0.
	From: Jakob Stoklund Olesen <stoklund@taxidriver.dk>

1999-12-16  Harlan Stenn  <stenn@whimsy.udel.edu>

	* NEWS: Updated ONCORE instructions
	From: Kamal A Mostafa <kamal@whence.com>

1999-12-13  Harlan Stenn  <stenn@whimsy.udel.edu>

	* configure.in: 4.0.98g

	* ntpd/refclock_oncore.c: Cleanup and fixes
	From: Reg Clemens <reg@dwf.com> and Kamal A Mostafa <kamal@whence.com>

1999-12-11  Harlan Stenn  <stenn@whimsy.udel.edu>

	* ntpd/refclock_wwv.c: Cleanup/checkin of the current state of affairs.
	From: Dave Mills <mills@udel.edu>

	* ntpd/refclock_oncore.c: #elif conversion.  I can only hope I did
	it right.

	* ntpd/refclock_oncore.c: Various patches
	From: Reg Clemens <reg@dwf.com> and Kamal A Mostafa <kamal@whence.com>

1999-12-09  Harlan Stenn  <stenn@whimsy.udel.edu>

	* ntpd/ntp_proto.c (default_get_precision): Use the right arg type
	to pass "sizeof freq" to sysctlbyname().
	From: Ollivier Robert <roberto@eurocontrol.fr>

	* ntpd/refclock_wwv.c: Cleanup and fixes.
	From: Dave Mills <mills@udel.edu>

1999-12-08  Harlan Stenn  <stenn@whimsy.udel.edu>

	* ntpd/refclock_wwv.c: Cleanup and fixes
	* ntpd/refclock_conf.c: WWV declaration cleanup.
	From: Dave Mills <mills@udel.edu>

1999-12-07  Harlan Stenn  <stenn@whimsy.udel.edu>

	* libparse/clk_rawdcf.c (cvt_rawdcf): Buglet.
	From: Frank Kardel <kardel@acm.org>

1999-12-06  Harlan Stenn  <stenn@whimsy.udel.edu>

	* ntpd/Makefile.am (ntpd_SOURCES): Added refclock_wwv.c

	* ntpd/refclock_wwvb.c:
	* ntpd/refclock_wwv.c:
	* ntpd/refclock_conf.c:
	* ntpd/refclock_chu.c:
	* libntp/clocktypes.c:
	* include/ntp.h: Dave cleaned some things up
	Dave cleaned some things up (WWVB -> SPECTRACOM, CHU -> CHU_AUDIO,
	WWV_AUDIO)

	* acconfig.h: REFCLOCK_WWVB -> REFCLOCK_SPECTRACOM, added REFCLOCK_WWV
	* configure.in: Deal with it.

1999-12-05  Harlan Stenn  <stenn@whimsy.udel.edu>

	* ntpd/ntp_refclock.c (refclock_open): More PPS cleanup
	From: Dave Mills <mills@udel.edu>

	* ntpq/ntpq.c:
	* ntpq/ntpq_ops.c:
	Make `ntpq -pn' independent of DNS, ad advertised.
	From: Kamal A Mostafa <kamal@whence.com>

	* ntpd/refclock_mx4200.c (mx4200_start): make missing 3rd
	parameter a 0.

1999-12-04  Harlan Stenn  <stenn@whimsy.udel.edu>

	* ntpd/ntp_refclock.c (refclock_open): "flags" processing cleanup
	(refclock_open): PPS device initialization cleanup
	* include/ntp_refclock.h (LDISC_CHU):
	(LDISC_PPS): Clean up comments
	From: Dave Mills <mills@udel.edu>

1999-12-03  Sven Dietrich <sven_dietrich@trimble.com>

	* libntp/mexit.c: Moved WINNT port specific file to ports/winnt/libntp
	* ports/winnt/libntp/libntp.dsp: Fix WinNT makefile for new source loc.

1999-12-03  Harlan Stenn  <stenn@whimsy.udel.edu>

	* libntp/Makefile.am (libntp_a_SOURCES): Lose mexit.c - Sven will
	move it to the winnt port area.

1999-12-03  Sven Dietrich <sven_dietrich@trimble.com>

	* libntp/systime.c: Removed adjtime hack for WINNT
	* ports/winnt/ntpd/nt_clockstuff.c: Winnt double precision adjtime
	* ports/winnt/inlcude/clockstuff.h: Remove no longer needed externs

1999-12-02  Harlan Stenn  <stenn@whimsy.udel.edu>

	* libparse/Makefile.in: Manually hacked to remove the
	libparse_kernel.a.[co] cruft

	* libparse/Makefile.am (k*.o): Generate these form the Makefile,
	not from separate .c files

	* html/tickadj.htm:
	* html/notes.htm:
	* html/hints/solaris.html:
	Point to the new dosynctodr report.

	* html/hints/solaris.xtra.S99ntpd:
	Update.  Should be rewritten to take advantage of the new -g
	switch and perhaps a loop to wait until ntpd hits a reasonable
	"state".

	* html/hints/solaris-dosynctodr.html: New information
	From: "John W. Sopko Jr." <sopko@cs.unc.edu>

1999-12-01  Harlan Stenn  <stenn@whimsy.udel.edu>

	* libntp/authkeys.c (auth_moremem): Clear memory allocated for sk.
	From: Hugo Mildenberger <hugo.mildenberger@topmail.de>

1999-12-01  Sven Dietrich <sven_dietrich@trimble.com>

	* libntp/recvbuff.c: Unused functions cleanup
	* ntpd/ntpd.c: ProcessorAffinity, IO cleanup
	* ports/winnt/instsrv/instsrv.c: Service name changed to NTP

	NT port shouldn;t hop between CPUs. Set affinity to first processor.
	Service name was NetworkTimeProtocol. Too long. Now NTP.

1999-12-01  Harlan Stenn  <stenn@whimsy.udel.edu>

	* scripts/plot_summary.pl: Improved option parsing.  Fixed one
	minor Perl compatibility error.
	* scripts/summary.pl: Official revision for NTPv4: Parse new
	statistic file formats correctly, provide error checking for bad
	input files, and guard against negative arguments to sqrt()
	because of numeric effects.  Use one pattern to select valid
	statistic files.  Add selectable output directory
	(``--output-directory'') and improved option parsing.  Directory
	with statistic files (now settable also with
	``--input-directory'') defaults to ``/var/log/ntp''.
	From: Ulrich Windl  <Ulrich.Windl@rz.uni-regensburg.de>

	* html/driver8.htm:
	* libparse/clk_computime.c:
	* libparse/clk_dcf7000.c:
	* libparse/clk_hopf6021.c:
	* libparse/clk_meinberg.c:
	* libparse/clk_rawdcf.c:
	* libparse/clk_rcc8000.c:
	* libparse/clk_schmid.c:
	* libparse/clk_trimtaip.c:
	* libparse/clk_trimtsip.c:
	* libparse/data_mbg.c:
	* libparse/kclk_computime.c:
	* libparse/kclk_dcf7000.c:
	* libparse/kclk_hopf6021.c:
	* libparse/kclk_meinberg.c:
	* libparse/kclk_rawdcf.c:
	* libparse/kclk_rcc8000.c:
	* libparse/kclk_schmid.c:
	* libparse/kclk_trimtaip.c:
	* libparse/kclk_trimtsip.c:
	* libparse/kparse.c:
	* libparse/kparse_conf.c:
	* libparse/parse.c:
	* libparse/parse_conf.c:
	* libparse/parsesolaris.c:
	* libparse/parsestreams.c:
	* ntpd/refclock_parse.c:
	Mods and updates
	From: Frank Kardel <kardel@acm.org>

	* acconfig.h: PCF refclock
	* configure.in:
	* html/driver35.htm:
	* html/refclock.htm:
	* include/ntp.h:
	* libntp/clocktypes.c:
	* ntpd/Makefile.am:
	* ntpd/ntp_control.c:
	* ntpd/refclock_conf.c:
	* ntpd/refclock_pcf.c:
	From: Andreas Voegele <andreas.voegele@gmx.de>

	* acconfig.h: DECL_STIME_1

	* configure.in (iCFLAGS): Use -std1 for alpha*-dec-osf* if we are
	using "cc".
	Reported by: Tom Smith <smith@cag.lkg.dec.com>

1999-11-30  Harlan Stenn  <stenn@whimsy.udel.edu>

	* include/l_stdlib.h: DECL_SYSTIME_1 --- a long *
	* configure.in: Use it for DEC OSF[45]
	Reported by: Tom Smith <smith@cag.lkg.dec.com>

	* ntpd/refclock_parse.c: Add missing declarations
	* ntptrace/ntptrace.c: Ditto
	* ntpd/ntp_proto.c: Ditto
	* ntpd/refclock_palisade.c: Ditto
	From: Jonathan Stone <jonathan@dsg.stanford.edu>

1999-11-18  Sven Dietrich  <sven_dietrich@trimble.com>
	* Win NT port updates
	* ntpd.dsp: makefile only builds supported refclocks
	* config.h: cleanup, undefine unsupported clock_atom
	* win32_io, clock_NMEA: foundation for future refclock support
	* recvbuff, transmitbuff, IOcompletionport: streamline packet handler
	* html/hints/winnt.htm: Added up-to-date html docs for WINNT

1999-11-17  Harlan Stenn  <stenn@whimsy.udel.edu>

	* html/copyright.htm: Credit Jack for his work.

	* html/pic/*: Save a *ton* of space on the pictures.
	From: Jack Sasportas <jack@innovativeinternet.com>

1999-11-16  Harlan Stenn  <stenn@whimsy.udel.edu>

	* configure.in :  changequote for osf[45] test.
	Reported by: Tom Smith <smith@cag.lkg.dec.com>

	* ntp_update: Ignore stuff in any A.* directory.

1999-11-15  Harlan Stenn  <stenn@whimsy.udel.edu>

	* configure.in: Clean up header checks for sys/syssgi.h and
	sys/select.h .  Originally, we did not check for sys/select.h
	under some versions of SCO (see xntp3-5).  Somewhere in ntp4 we
	dropped the SCO check and added the check for sys/syssgi.h,
	exclusive of checking for sys/select.h.  Marc Brett can't think of
	a reason why we should not be checking for sys/select.h, so let's
	look for it now.

1999-11-13  Harlan Stenn  <stenn@whimsy.udel.edu>

	* ntpdate/ntpdate.c: Add the ability for ntpdate to query a
	multicast address.  We use the response to the multicast address
	to learn new servers which we then add to the peer list and query.
	In changing this I made the list of peers a linked list.

	To be complete I should detect a broadcast address and make it
	behave the same way.  But that requires a scan of the interface
	list which is more complicated that I want to deal with...

	Fix a bug, allowing ntpdate to compile if SLEWALWAYS and STEP_SLEW
	are both defined.

	From: Jeffrey C Honig <jch@bsdi.com>

	* ntpd/ntp_refclock.c: sys/sio.h and SCO5_CLOCK cleanup
	From: Kamal A Mostafa <kamal@whence.com>

	* ntpd/ntp_loopfilter.c: Let -g do a "correct any" for the first
	time adjustment.
	From: Dave Mills <mills@udel.edu>

	* configure.in: sys/sio.h needs to be checked independently.
	Reported by: Kamal A Mostafa <kamal@whence.com>

1999-11-11  Harlan Stenn  <stenn@whimsy.udel.edu>

	* configure.in: 4.0.98f

	* configure.in: DECL_PLOCK_0 and DECL_STIME_0 are for dec-osf5*, too
	* ntpd/ntpd.c: 	DEC OSF cleanup (editorial comments by HMS)
	From: Tom Smith <smith@cag.lkg.dec.com>

	* ntpd/ntp_refclock.c: MAXUNIT bugfix
	From: Marc.Brett@westgeo.com

	* ntpd/ntp_refclock.c:
	* ntpd/ntpd.c:
	* ntpd/refclock_arc.c:
	* ntpd/refclock_as2201.c:
	* ntpd/refclock_atom.c:
	* ntpdc/ntpdc.c:
	* ntpq/ntpq.c:
	Code cleanup.
	From: Marc.Brett@westgeo.com

	* include/ntp_stdlib.h:
	* libntp/systime.c:
	* ntpd/ntp_proto.c:
	Replaced the 'sco5_oldclock' variable with 'systime_10ms_ticks'.
	Cleared libntp/systime.c and include/ntp_stdlib.h of references
	to SCO5_CLOCK and RELIANTUNIX_CLOCK (moved to ntpd/ntp_proto.c).
	From: Kamal A Mostafa <kamal@whence.com>

	* configure.in: alpha-dec-osf4* -> alpha*-dec-osf4*|alpha*-dec-osf5*
	From: Tom Smith <smith@cag.lkg.dec.com>

	* configure.in: Look for <sys/sio.h>.  If TIOCDCDTIMESTAMP is
	there, we have TTYCLK.
	* acconfig.h: Lose old AIOCTIMESTAMP stuff
	Reported by: Kamal A Mostafa <kamal@whence.com>

1999-11-10  Harlan Stenn  <stenn@whimsy.udel.edu>

	* ntpd/ntpd.c (set_process_priority): Clean up nice() and setpriority()

1999-11-09  Harlan Stenn  <stenn@whimsy.udel.edu>

	* Makefile.am (EXTRA_DIST): Added README.cvs
	Reported by: Kamal A Mostafa <kamal@whence.com>

1999-11-08  Harlan Stenn  <stenn@whimsy.udel.edu>

	* configure.in: 4.0.98e

1999-11-07  Harlan Stenn  <stenn@whimsy.udel.edu>

	* configure.in: Lose AIOCTIMESTAMP tests

	* ntpd/ntpd.c: lose select() EINTR debug warning
	* ntpd/ntp_refclock.c: AIOCTIMESTAMP -> TIOCDCDTIMESTAMP.  Watch
	CLK_SETSTR.
	* ntpd/refclock_atom.c: fdpps is only there for PPS or PPSAPI.
	AIOCTIMESTAMP is gone now.
	From: Kamal A Mostafa <kamal@whence.com>

	* configure.in (HAVE_MLOCKALL): Deal with dec-osf5 realities
	* ntpd/refclock_ulink.c (ulink_poll): Fix cast.
	* libntp/machines.c (ntp_set_tod): Use a long* for the argument to
	stime().
	Reported by: Tom Smith <smith@cag.lkg.dec.com>

	* ntpd/ntpd.c (set_process_priority): Use whatever we have until
	something works.

	* ntpd/ntp_loopfilter.c: Keep clock_frequency changes in a temp
	variable so we can record it to loopstats (near as HMS can tell).
	From: Dave Mills <mills@udel.edu>

1999-11-06  Harlan Stenn  <stenn@whimsy.udel.edu>

	* acconfig.h: RELIANTUNIX_CLOCK
	* configure.in (ac_cv_var_tickadj): RELIANTUNIX_CLOCK
	* libntp/systime.c (adj_systime): Reliant patches
	From: Andrej Borsenkow <Andrej.Borsenkow@mow.siemens.ru>

1999-11-05  Harlan Stenn  <stenn@whimsy.udel.edu>

	* ntpd/refclock_parse.c (parse_start): ASYNC_PPS_CD_NEG cleanup
	* configure.in (ac_cv_make_ntptime): OK on Linux
	From: <Ulrich.Windl@rz.uni-regensburg.de>

	* configure.in: NetBSD has PPSAPI now
	F_SETOWN is needed for NetBSD
	From: Jonathan Stone <jonathan@dsg.stanford.edu>

1999-11-02  Harlan Stenn  <stenn@whimsy.udel.edu>

	* configure.in: 4.0.98d

	* ntpd/refclock_parse.c: Cleanup/fixes
	From: John Hay <jhay@mikom.csir.co.za>

	* ntpd/refclock_parse.c: Lose #include "ntp_select.h"
	* ntpd/ntpd.c: Lose #include "ntp_select.h"
	* ntpd/ntp_io.c: Lose #include "ntp_select.h"
	* ntpd/ntp_intres.c: Lose #include "ntp_select.h"
	* libntp/iosignal.c: Lose #include "ntp_select.h"
	* include/ntpd.h: #include "ntp_select.h" for declaration of activefds
	Reported by: Christian Krackowizer <kra1@technodat.co.at>

1999-11-01  Harlan Stenn  <stenn@whimsy.udel.edu>

	* configure.in: 4.0.98c

	* libntp/syssignal.c: Don't warn about SA_RESTART
	* libntp/recvbuff.c: Fix free buffer count
	From: Jeffrey C Honig <jch@bsdi.com>

	* html/pps.htm:
	* html/howto.htm:
	* html/confopt.htm:
	* html/clockopt.htm:
	* html/uthopt.htm:
	Updates.
	From: Dave Mills <mills@udel.edu>

	* ntpd/refclock_wwvb.c: burst fixes
	* ntpd/refclock_ulink.c: burst fixes
	* ntpd/refclock_tpro.c: burst and NSTAGE fixes
	* ntpd/refclock_pst.c: burst fixes
	* ntpd/refclock_irig.c: SAMPLE -> SAMPLES
	* ntpd/refclock_heath.c: burst fixes
	* ntpd/refclock_dumbclock.c: burst fixes
	* ntpd/refclock_chronolog.c: burst fixes
	* ntpd/refclock_bancomm.c: burst fixes
	* ntpd/refclock_atom.c: burst fixes
	* ntpd/refclock_as2201.c: burst fixes
	* ntpd/ntp_refclock.c: PPSAPI, code, and comment cleanup/fixes
	* ntpd/ntp_proto.c: Broadcast/restrict cleanup
	* ntpd/ntp_loopfilter.c: Cleanup and fixes
	* libntp/gpstolfp.c: Lose the UL qualifiers - old compilers hate them
	From: Dave Mills <mills@udel.edu>

1999-10-31  Harlan Stenn  <stenn@whimsy.udel.edu>

	* configure.in: TIOCSPPS cleanup

1999-10-20  Harlan Stenn  <stenn@whimsy.udel.edu>

	* configure.in: 4.0.98b

	* ntpd/refclock_atom.c: AIOCTIMESTAMP patch
	* ntpd/ntpd.c: SCO clock patch
	* ntpd/ntp_request.c: noselect patch
	* ntpd/ntp_refclock.c: AIOCTIMESTAMP patch
	* ntpd/ntp_proto.c: noselect patch
	* ntpd/ntp_intres.c: noselect patch
	* ntpd/ntp_config.c: noselect patch
	* include/ntp_request.h: noselect patch
	* include/ntp.h: noselect patch
	From: Kamal A Mostafa <kamal@whence.com>

	* configure.in:
	* acconfig.h: TTYCLK_AIOCTIMESTAMP
	Stuff for Kamal

	* ntpd/refclock_atom.c (atom_pps): make "result" initialization
	uglier, but more bulletproof.

	* configure.in (sys/timepps.h): Fixed.
	From: John Hay <jhay@mikom.csir.co.za>

1999-10-19  Harlan Stenn  <stenn@whimsy.udel.edu>

	* ntpd/refclock_oncore.c: Rename instance.state to instance.o_state

	* refclock_oncore.c:
	* refclock_mx4200.c:
	* refclock_chu.c:
	* refclock_atom.c:
	* ntp_refclock.c:
	* ntp_peer.c:
	* ntp_loopfilter.c:
	* include/ntp_refclock.h:
	Various cleanup and fixes
	From: Dave Mills <mills@udel.edu>

1999-10-17  Harlan Stenn  <stenn@whimsy.udel.edu>

	* ntpd/ntp_config.c (CONFIG_FILE): NT changes
	From: Sven Dietrich <Sven_Dietrich@trimble.com>

1999-10-16  Harlan Stenn  <stenn@whimsy.udel.edu>

	* configure.in: sys/timepps.h verification changes

	* ntpd/refclock_atom.c (atom_poll): PPS cleanup
	From: Dave Mills <mills@udel.edu>
	(atom_pps): Portability patch
	From: John Hay <jhay@mikom.csir.co.za>


	* libntp/msyslog.c:
	* libntp/gpstolfp.c:
	Lint cleanup
	From: Jonathan Stone <jonathan@dsg.stanford.edu>

	* parseutil/dcfd.c:  abs() -> l_abs(), time.h (AIX 4.3.2 patches)
	From: Dana Kaempen <decay@flash.net>

	* ntpd/refclock_oncore.c:
	* ntpd/refclock_atom.c:
	* ntpd/ntp_refclock.c:
	PPS cleanup
	From: John.Hay@mikom.csir.co.za

	* util/ntptime.c:
	* ntpdate/ntptimeset.c:
	* ntpdate/ntpdate.c:
	* ntpd/refclock_trak.c:
	* ntpd/refclock_oncore.c:
	* ntpd/refclock_mx4200.c:
	* ntpd/refclock_msfees.c:
	* ntpd/refclock_atom.c:
	* ntpd/ntp_control.c:
	* ntpd/ntp_config.c:
	* configure.in:
	* configure:
	PPS, Solaris 7, cleanup patches
	From: Marc.Brett@westgeo.com

	* ports/winnt/ntptrace/ntptrace.dsp:
	* ports/winnt/ntpq/ntpq.dsp:
	* ports/winnt/ntpdc/ntpdc.dsp:
	* ports/winnt/ntpdate/ntpdate.dsp:
	* ports/winnt/ntpd/refclock_trimbledc.c:
	* ports/winnt/ntpd/ntpd.dsp:
	* ports/winnt/ntpd/ntp_iocompletionport.c:
	* ports/winnt/ntpd/nt_clockstuff.c:
	* ports/winnt/libntp/util_clockstuff.c:
	* ports/winnt/libntp/libntp.dsp:
	* ports/winnt/libntp/SetSystemTime.c:
	* ports/winnt/instsrv/instsrv.c:
	* ports/winnt/include/sys/ioctl.h:
	* ports/winnt/include/termios.h:
	* ports/winnt/include/config.h:
	* ports/winnt/include/clockstuff.h:
	* ports/winnt/ntp.dsw:
	* ntpd/refclock_shm.c:
	* ntpd/refclock_palisade.c:
	* ntpd/ntpd.c:
	* ntpd/ntp_timer.c:
	* ntpd/ntp_refclock.c:
	* libntp/systime.c:
	* libntp/machines.c:
	NT patches
	From: Sven Dietrich <Sven_Dietrich@trimble.com>

1999-10-15  Harlan Stenn  <stenn@whimsy.udel.edu>

	* ntpd/refclock_wwvb.c:
	* ntpd/refclock_usno.c:
	* ntpd/refclock_ulink.c:
	* ntpd/refclock_tpro.c:
	* ntpd/refclock_pst.c:
	* ntpd/refclock_parse.c:
	* ntpd/refclock_palisade.c:
	* ntpd/refclock_oncore.c:
	* ntpd/refclock_mx4200.c:
	* ntpd/refclock_msfees.c:
	* ntpd/refclock_jupiter.c:
	* ntpd/refclock_irig.c:
	* ntpd/refclock_heath.c:
	* ntpd/refclock_chu.c:
	* ntpd/refclock_atom.c:
	* ntpd/refclock_as2201.c:
	* ntpd/refclock_arc.c:
	* ntpd/refclock_arbiter.c:
	* ntpd/refclock_acts.c:
	* ntpd/ntp_refclock.c:
	* include/ntp_refclock.h:
	Bunches of fixes.
	From: Dave Mills <mills@udel.edu>

1999-10-10  Harlan Stenn  <stenn@whimsy.udel.edu>

	* html/driver16.htm: New version
	* ntpd/refclock_bancomm.c: New version
	From: "Cliff, Gary" <gary.cliff@cdott.com>
	"Ramasivan, Ganesh" <ganesh.ramasivan@cdott.com>

	* ntpd/refclock_ulink.c (ulink_receive): Cleanup
	(ulink_poll): Cleanup
	* ntpd/refclock_atom.c (atom_pps): SunOS timespec/timeval cleanup
	From: Marc.Brett@westgeo.com

	* INSTALL: Point NT folks at ports/winnt
	Reported by: Stephen Gildea <gildea@intouchsys.com>

	* include/ntp_stdlib.h: Noise abatement
	* include/ntpd.h: Noise abatement
	Reported by: "W. David Higgins" <wdh@grouper.ccur.com>

	* configure.in: DECL_STDIO_0 with gcc under solaris.

	* include/l_stdlib.h: DECL_TOUPPER_0
	DECL_STRERROR_0

	* configure.in: Fix a bunch of implicit declarations for SunOS

	* html/release.htm: cleanup - we still provide MD5.
	Reported by: Winslowe Lacesso <lacesso@cs.ubc.ca>

1999-10-09  Harlan Stenn  <stenn@whimsy.udel.edu>

	* ntpd/refclock_oncore.c:
	* ntpd/refclock_atom.c:
	* ntpd/ntp_refclock.c:
	PPS API code updated to the current spec
	From: Dave Mills

	* configure.in (ac_cv_make_tickadj): Don't make tickadj starting
	with solaris2.5
	Requested by: Dave Mills

1999-10-04  Harlan Stenn  <stenn@whimsy.udel.edu>

	* configure.in: We might need -lsocket for the -lnsl check.

1999-09-19  Harlan Stenn  <stenn@whimsy.udel.edu>

	* ntpd/refclock_ulink.c: Typos in C++ comment
	Reported by: Thomas.Tornblom@Sun.SE

	* configure.in: 4.0.98a

	* ntpd/ntp_config.c (getconfig): Fix typo.
	From: "David E. Myers" <dem@skyline.rtp.nc.us>
	From: David Godfrey <dave@delta.demon.co.uk>
	From: Geoffrey Sisson <geoff@nominet.org.uk>

1999-09-17  Harlan Stenn  <stenn@whimsy.udel.edu>

	* configure.in: 4.0.98

	NetInfo support:

	* config.guess
	* config.sub
	Add Mac OS (versions 10 and up).

	* acconfig.h
	* config.h.in
	* configure.in
	Check for NetInfo API; add HAVE_NETINFO macro and friends.

	* include/ntp.h
	* ntpd/ntp_config.c
	* ntpdate/ntpdate.c
	Add support for reading configuration from NetInfo.

	* ntpd/ntp_config.c
	Get rid of unnecessary eol variable in tokenizer.

	* html/notes.htm
	* html/ntpd.htm
	* html/ntpdate.htm
	Document NetInfo functionality.

	* util/tickadj.c
	Use HAVE_KVM_OPEN conditional around kvm.h include.

	From: Wilfredo Sanchez <wsanchez@apple.com>

1999-09-15  Harlan Stenn  <stenn@whimsy.udel.edu>

	* acconfig.h:
	* config.h.in:
	* configure.in:
	* html/driver34.htm:
	* html/refclock.htm:
	* include/ntp.h:
	* libntp/clocktypes.c:
	* ntpd/Makefile.am:
	* ntpd/ntp_control.c:
	* ntpd/refclock_conf.c:
	* ntpd/refclock_ulink.c:
	Ultralink driver
	From: Dave Strout <dstrout@linuxfoundary.com>

1999-09-14  Harlan Stenn  <stenn@whimsy.udel.edu>

	* configure.in: ReliantUNIX patches
	From: Andrej Borsenkow <Andrej.Borsenkow@mow.siemens.ru>

	* ntpd/refclock_atom.c: PPS cleanup
	* ntpd/ntp_refclock.c (refclock_ioctl): PPS cleanup
	From: Dave Mills <mills@udel.edu>

	* ntptrace/ntptrace.c (ReceiveBuf): addserver() can return NIL.
	Reported by: "Alan J. Wylie" <alanw@cyrano.com>

	* libntp/ieee754io.c:
	* ntpd/ntp_proto.c:
	* ntpd/ntp_refclock.c:
	Lint cleanup.
	From: Marc.Brett@westgeo.com

1999-09-12  Harlan Stenn  <stenn@whimsy.udel.edu>

	* ntpd/ntp_refclock.c (refclock_ioctl): Declaration cleanup.

	* ntpd/ntp_proto.c (init_proto): msyslog kern_enable at LOG_DEBUG.

	* ntpd/refclock_atom.c: Add missing declaration.

1999-09-11  Harlan Stenn  <stenn@whimsy.udel.edu>

	* configure.in (ac_cv_make_ntptime): Just look for struct
	ntptimeval, not timespec or nsec (Solaris 2.7 should get ntptime
	and it uses msec).
	(ac_cv_var_oncore_ok): Reorder so it's a "normal" clock

	* configure.in: Solaris Kernel FLL bug fixed in 106541-07

1999-09-02  Harlan Stenn  <stenn@whimsy.udel.edu>

	* configure.in: 4.0.97f

	* ntptrace/ntptrace.c:
	* ntpdate/ntptimeset.c:
	* ntpdate/ntptime_config.c:
	* ntpdate/ntpdate.c:
	* util/ntptime.c:
	* parseutil/dcfd.c:
	* libparse/parsestreams.c:
	* libparse/parse_conf.c:
	* libparse/parse.c:
	* libparse/clk_varitext.c:
	* libparse/clk_trimtsip.c:
	* libparse/clk_trimtaip.c:
	* libparse/clk_schmid.c:
	* libparse/clk_rcc8000.c:
	* libparse/clk_rawdcf.c:
	* libparse/clk_meinberg.c:
	* libparse/clk_hopf6021.c:
	* libparse/clk_dcf7000.c:
	* libparse/clk_computime.c:
	* libntp/msyslog.c:
	* libntp/iosignal.c:
	* libntp/syssignal.c:
	* adjtimed/adjtimed.c:
	* ntpd/refclock_shm.c:
	* ntpd/refclock_parse.c:
	* ntpd/refclock_palisade.c:
	* ntpd/refclock_mx4200.c:
	* ntpd/refclock_jupiter.c:
	* ntpd/refclock_datum.c:
	* ntpd/ntpd.c:
	* ntpd/ntp_util.c:
	* ntpd/ntp_timer.c:
	* ntpd/ntp_request.c:
	* ntpd/ntp_refclock.c:
	* ntpd/ntp_monitor.c:
	* ntpd/ntp_loopfilter.c:
	* ntpd/ntp_io.c:
	* ntpd/ntp_intres.c:
	* ntpd/ntp_filegen.c:
	* include/l_stdlib.h:
	<errno.h> and errno declaration cleanup.

	* ntpd/map_vme.c: cleanup some spacing.

1999-09-01  Harlan Stenn  <stenn@whimsy.udel.edu>

	* configure.in: 4.0.97e

	* configure.in (ac_cv_struct_sigaction_has_sa_sigaction):
	* acconfig.h: Ditto
	* parseutil/dcfd.c (main): Use it.
 	From: HOSAKA Eiichi <HOSAKA.Eiichi@dd.anritsu.co.jp>

1999-08-29  Harlan Stenn  <stenn@whimsy.udel.edu>

	* configure.in: 4.0.97d

	* include/ntp_stdlib.h: Clean up previous NeXT patch.
	From: Jack Bryans <jbryans@csulb.edu>

	* ntpd/refclock_parse.c: Permit RTS to power a DCF77.
	From: Carsten Paeth <calle@calle.in-berlin.de>

	* ntpd/refclock_oncore.c (oncore_start): This makes the Oncore run
	on systems without hardpps().
	From: Poul-Henning Kamp <phk@freebsd.org>

1999-08-28  Harlan Stenn  <stenn@whimsy.udel.edu>

	* configure.in: 4.0.97c

	* configure.in (ac_cv_make_ntptime):  Typo.
	From: Ulrich Windl <ulrich.windl@rz.uni-regensburg.de>

1999-08-26  Harlan Stenn  <stenn@whimsy.udel.edu>

	* configure.in: 4.0.97b

	* libntp/iosignal.c:
	* ntpd/ntp_peer.c:
	* ntpd/refclock_nmea.c:
	* ntpdate/ntptime_config.c:
	* ntpdate/ntptimeset.c:
	AIX, Irix, and SunOS lint cleanup
	From: Marc.Brett@westgeo.com

1999-08-24  Harlan Stenn  <stenn@whimsy.udel.edu>

	* configure.in 4.0.97a

	* configure.in (AC_OUTPUT): added scripts/Makefile
	* Makefile.am (SUBDIRS): Added scripts
	* scripts/Makefile.am: Added

1999-08-23  Harlan Stenn  <stenn@whimsy.udel.edu>

	* ntpd/refclock_nmea.c: Patches for:
        Trimble OEM Ace-II receiver. Low cost PCB with single
        voltage input, external active antenna and two serial
        ports with either NMEA and ITAPs output. Programmable
        to be tuned for 'time' accuracy in fixed station config.
	From: Nick Hibma <nick.hibma@jrc.it>

1999-08-21  Harlan Stenn  <stenn@whimsy.udel.edu>

	* ntpd/ntp_config.c: Added listen_to_virtual_ips support (-L flag)
	* ntpd/ntp_io.c: Ditto

1999-08-19  Harlan Stenn  <stenn@whimsy.udel.edu>

	* ntpd/ntp_intres.c (request): Lint cleanup
	* ntpd/ntp_control.c (ctl_putclock): Ditto
	* libntp/recvbuff.c (getrecvbufs): Ditto
	(get_free_recv_buffer): Ditto
	* libntp/systime.c (adj_systime): Ditto

1999-08-18  Harlan Stenn  <stenn@whimsy.udel.edu>

	* configure.in: 4.0.97

	* libntp/systime.c:
	* ntpd/ntp_loopfilter.c:
	* ntpd/ntpd.c:
	* ports/winnt/libntp/nt_clockstuff.c:
	From: Sven Dietrich <Sven_Dietrich@trimble.com>

	* README.cvs: Updated.

	* configure.in:
	* include/ntp_machine.h:
	* libntp/mexit.c:
	* ntpd/ntp_config.c:
	* ntpd/ntp_peer.c:
	* ntpd/ntp_restrict.c:
	* ntpd/refclock_arc.c:
	* ntpdate/ntpdate.c:
	Irix, SunOS, AIX, lint patches
	From: Marc.Brett@westgeo.com

	* util/ansi2knr.c: New release (fix for bug reported by Marc Brett)
	From: "L. Peter Deutsch" <ghost@aladdin.com>

	* include/ntp_stdlib.h: NeXT portability patch
	From: Jack Bryans <jbryans@csulb.edu>

	* configure.in:
	* dot.emacs: (cleanup)
	* ntpdate/Makefile.am:
	* ntpdate/ntpdate.h:
	* ntpdate/ntptime_config.c:
	* ntpdate/ntptimeset.c:
	ntptimeset patches.
	From: Jeffrey Hutzelman <jhutz@cmu.edu>

	* ntpd/refclock_parse.c (local_input): ts.l_ui -> ts.fp.l_ui

1999-08-11  Harlan Stenn  <stenn@whimsy.udel.edu>

	* configure.in: 4.0.96p1

	* ntpd/ntpd.c (sys/resource.h): Include this file only #if
 	HAVE_SYS_RESOURCE_H.
	(set_process_priority): Use TIOCNOTTY only if it is #define'd.
	* ntpd/refclock_parse.c (STREAM): STREAM does not imply HAVE_TERMIOS.
	(termios.h, termio.h, fcntl.h): Do not include those files here;
	they are already included by ntp_refclock.h or ntp_io.h.
	* ntpd/refclock_leitch.c (sgtty.h, termios.h, termio.h): Do not
	include those files here; they are already included by ntp_refclock.h.
	* ntpdate/ntpdate.c (sys/resource.h) : Include that file only #if
	HAVE_RESOURCE_H.
	From: Philippe De Muyter <phdm@macqel.be>

	* ntptrace/ntptrace.c (input_handler): Make it a "normal" function
	definition.
	Reported by: GIANNI_CATANIA@hp-italy-om6.om.hp.com

	* configure.in:  pc-cygwin32 -> pc-cygwin* because of a change in
	B20.
	From: Stephen Gildea <gildea@intouchsys.com>

1999-08-09  Harlan Stenn  <stenn@whimsy.udel.edu>

	* configure.in: 4.0.96

	* parseutil/dcfd.c (main): Replace SA_ONSTACK and SV_ONSTACK with
	HAVE_SIGACTION and HAVE_SIGVEC, respectively.  HP-UX provides both
	of the former but only one of the latter...

1999-08-08  Harlan Stenn  <stenn@whimsy.udel.edu>

	* configure.in: Better tests for -lnsl and -lsocket
	From: Albert Chin-A-Young <china@thewrittenword.com>

	Works for me - handle openlog() and -lgen the same way.

	* Makefile.am (EXTRA_DIST): Add in the y2k notes

	* parseutil/dcfd.c: Renamed drift_comp to accum_drift

	* configure.in: Added MAKE_CHECK_Y2K support; check_y2k needs libparse.
	* ntpd/Makefile.am (check_PROGRAMS): Use MAKE_CHECK_Y2K
	* ntpd/Makefile.am (check-local): Added.
	* parseutil/Makefile.am (check-local): Added.

	* include/ntp.h: Y2KFixes
	* libparse/parse.c: Ditto
	* ntpd/Makefile.am (check_PROGRAMS): Ditto
	* ntpd/refclock_acts.c: Ditto
	* ntpd/refclock_arc.c (arc_receive): Ditto
	* ntpd/refclock_heath.c: Ditto
	* ntpd/refclock_hpgps.c: Ditto
	* parseutil/Makefile.am (check-local): Ditto
	* parseutil/dcfd.c (check_y2k): Ditto
	* NOTES.y2kfixes: Ditto
	* readme.y2kfixes: Ditto
	* results.y2kfixes: Ditto
	* ntpd/check_y2k.c: Ditto
	From: y2k@y2k.labs.att.com

1999-08-07  Harlan Stenn  <stenn@whimsy.udel.edu>

	* configure.in: Look for sys/ppstime.h.

1999-07-31  Harlan Stenn  <stenn@whimsy.udel.edu>

	* ntpd/ntp_io.c (create_sockets): Typo.
	From: Doug Wells <dmw@contek.com>

1999-07-29  Harlan Stenn  <stenn@whimsy.udel.edu>

	* configure.in (ac_cv_struct_ntptimeval): Explicitly look for
	struct ntptimeval.
	(ac_cv_var_kernel_pll): Require struct ntptimeval.
	Linux.  Grrr.
	Reported by: Ronald Kuetemeier <ronaldk@smginc.com>

1999-07-27  Harlan Stenn  <stenn@whimsy.udel.edu>

	* configure.in: 4.0.95

	* ports/winnt: New release
	From: Sven Dietrich <Sven_Dietrich@trimble.com>

1999-07-26  Harlan Stenn  <stenn@whimsy.udel.edu>

	* libntp/machines.c (ntp_set_tod): Bugfix
	From: Andrej Borsenkow <Andrej.Borsenkow@mow.siemens.ru>

1999-07-25  Harlan Stenn  <stenn@whimsy.udel.edu>

	* configure.in: 4.0.94b

	* acconfig.h:
	* configure.in:
	* libparse/Makefile.am:
	* libparse/parse_conf.c:
	* libparse/clk_varitext.c:
	* libparse/kclk_varitext.c:
	* ntpd/refclock_parse.c: VARITEXT parse clock
	* ntpdate/ntpdate.c: bugfix
	From: Tony McConnell <tonym@datel-technology.co.uk>

1999-07-24  Harlan Stenn  <stenn@whimsy.udel.edu>

	* include/ntp_syscall.h (ntp_gettime): Make it static
	* configure.in: Added AC_C_INLINE
	Reported by: "Charles C. Fu" <ccwf@klab.caltech.edu>

1999-07-23  Harlan Stenn  <stenn@whimsy.udel.edu>

	* include/ntpd.h:
	* libntp/machines.c:
	* libntp/systime.c:
	* ntpd/ntp_config.c:
	* ntpd/ntp_filegen.c:
	* ntpd/ntp_io.c:
	* ntpd/ntp_proto.c:
	* ntpd/ntp_timer.c:
	* ntpdate/ntpdate.c: Windows NT port cleanup
	From: Sven Dietrich <Sven_Dietrich@trimble.com>

1999-07-22  Harlan Stenn  <stenn@whimsy.udel.edu>

	* libntp/authkeys.c:
	* libntp/ieee754io.c:
	* libntp/iosignal.c:
	* libntp/machines.c:
	* libntp/mexit.c:
	* libntp/recvbuff.c:
	* ntpd/ntp_filegen.c:
	* ntpd/ntp_loopfilter.c:
	* ntpd/ntp_request.c:
	* ntpd/ntp_timer.c:
	* ntpd/ntpd.c: Compile/lint cleanup
	From: Allen Smith <easmith@beatrice.rutgers.edu>

1999-07-21  Harlan Stenn  <stenn@whimsy.udel.edu>

	* configure.in: 4.0.94a

	* configure.in (ac_cv_make_ntptime): Add tv_nsec check.

	* include/Makefile.am (noinst_HEADERS): Forgot ntp_syscall.h
	From: John.Hay@mikom.csir.co.za

	* configure.in: 4.0.94

	* Makefile.am (SUBDIRS): librsaref
	(dist-hook): Lose CVS subdirs in the distribution tarball

	* include/Makefile.am (noinst_HEADERS): Added iosignal.h, recvbuff.h

	* Makefile.am (dist-hook): Don't call dos2unix anymore

1999-07-20  Harlan Stenn  <stenn@whimsy.udel.edu>

	* acconfig.h:
	* util/ntptime.c: FreeBSD nano patches
	From: Per Hedeland <per@erix.ericsson.se> and
	Allen Smith <easmith@beatrice.rutgers.edu>

	* include/ntp.h:
	include/ntp_fp.h:
	include/ntp_io.h:
	include/ntp_machine.h:
	include/ntp_refclock.h:
	include/ntp_stdlib.h:
	include/ntpd.h:
	libntp/Makefile.am:
	libntp/emalloc.c:
	libntp/machines.c:
	libntp/mexit.c:
	libntp/msyslog.c:
	libntp/statestr.c:
	libntp/syssignal.c:
	libntp/systime.c:
	libparse/parse.c:
	libparse/parse_conf.c:
	ntpd/ntp_control.c:
	ntpd/ntp_intres.c:
	ntpd/ntp_io.c:
	ntpd/ntp_proto.c:
	ntpd/ntp_refclock.c:
	ntpd/ntp_request.c:
	ntpd/ntp_timer.c:
	ntpd/ntp_util.c:
	ntpd/ntpd.c:
	ntpd/refclock_nmea.c:
	ntpd/refclock_palisade.c:
	ntpd/refclock_palisade.h:
	ntpd/refclock_shm.c:
	ntpdate/ntpdate.c:
	ntptrace/ntptrace.c: Cleanup
	* libntp/recvbuff.c:
	libntp/iosignal.c:
	include/iosignal.h:
	include/recvbuff.h: Added
	From: Sven_Dietrich@Trimble.COM

	* README: Add README.cvs

	* configure.in (ac_cv_var_struct_ntptime_val_timespec): Typo.
	From: John Hay <jhay@mikom.csir.co.za>

1999-07-19  Harlan Stenn  <stenn@whimsy.udel.edu>

	* Makefile.am (EXTRA_DIST): Lose ntpmak; "build" does a better job.

	* ntpq/Makefile.am (version.o): Use mkver
	* ntptrace/Makefile.am (version.o): Ditto
	* ntpdate/Makefile.am (version.o): Ditto
	* ntpd/Makefile.am (version.o): Ditto
	* ntpdc/Makefile.am (version.o): Ditto

	* configure.in (AC_OUTPUT): scripts/mkver

	* scripts/mkver.in: Created.  Note RSAREF in the version string

1999-07-18  Harlan Stenn  <stenn@whimsy.udel.edu>

	* README.des: Updated.

	* ntpq/Makefile.am (LDADD): Add LIBRSAREF

	* ntpdc/Makefile.am (LDADD): Add LIBRSAREF

	* ntpdate/Makefile.am (LDADD): Add LIBRSAREF

	* ntpd/Makefile.am (LDADD): Add LIBRSAREF

	* configure.in (AC_OUTPUT): Added librsaref/Makefile
	Added tests for making/using librsaref.a
	Lose old DES stuff; AC_DEFINE(DES) if we find the rsaref stuff.

1999-07-11  Harlan Stenn  <stenn@whimsy.udel.edu>

	* ntpd/refclock_trak.c (trak_receive): disambiguate expression.
	At least now it is unambiguous.  It may even still be correct.
	Reported by: Tom Smith <smith@cag.lkg.dec.com>

	* ntp_update (UPDATE_OPTIONS): Typo.

1999-07-07  Harlan Stenn  <stenn@whimsy.udel.edu>

	* ntp_update: Check out copyright.htm before COPYRIGHT

	* ntpd/ntp_config.c: Support for PPS assert/clear/hardpps
	* ntpd/ntp_refclock.c (refclock_ioctl): Ditto
	(refclock_gtlin): Ditto
	* html/clockopt.htm: Document.
	From: John Hay <jhay@mikom.csir.co.za>

        * html/monopt.htm: We have four types of files now
        * ntpd/refclock_oncore.c: If debug is on, tell when
        we are waiting for a valid almanac
	From: Poul-Henning Kamp <phk@critter.freebsd.dk>

	* include/ntp_machine.h (HAVE_TERMIOS): STREAMS does not imply
	HAVE_TERMIOS !!!
	* include/parse.h (timercmp): Macro defined if needed.
	* ntpd/ntp_config.c (SIGCHLD): Macro defined as SIGCLD if needed.
	(sys/wait.h): File included only if HAVE_SYS_WAIT_H.
	* configure.in (sys/wait.h): File added to AC_CHECK_HEADERS list.
	From: Philippe De Muyter  <phdm@macqel.be>

1999-06-23  Harlan Stenn  <stenn@whimsy.udel.edu>

	* ntpd/refclock_irig.c (irig_debug): NetBSD patches
	From: Frederick Bruckman <fb@enteract.com>

	* util/ntptime.c (main): ntx.freq bugfix (-f option)
	From: Frederick Bruckman <fb@enteract.com>

1999-06-22  Harlan Stenn  <stenn@whimsy.udel.edu>

	* configure.in: Fix typo with DECL_H_ERRNO test

	* ntpd/ntp_loopfilter.c: Lose syscall decl, it's handled in
	l_stdlib.h now.
	* ntpd/ntp_request.c: Ditto
	* util/ntptime.c: Ditto

Mon May 31 18:49:49 1999  Rainer Orth  <ro@TechFak.Uni-Bielefeld.DE>

	* ntpd/ntp_proto.c (proto_config): Don't set sys_bclient on
	PROTO_MULTICAST_ADD, only caller can decide; remove wrong set on
	PROTO_MULTICAST_DEL.

Mon May 31 18:49:49 1999  Rainer Orth  <ro@TechFak.Uni-Bielefeld.DE>

	* ntpd/refclock_parse.c (stream_receive): Cast size_t to int to
	match format.
	(local_receive): Likewise.
	(trimbletaip_event): Likewise.
	(stream_receive): Cast struct timeval members to long to match
	format.
	(local_receive): Likewise.

	* ntpd/ntp_util.c (stats_config): Cast size_t to int to match
	format.

	* libparse/clk_rawdcf.c (cvt_rawdcf): Cast ptr difference to int
	to match format.
	* ntpd/refclock_parse.c (gps16x_poll): Likewise.

	* ntpd/ntp_filegen.c (filegen_open): Use long format, cast arg to
	match.

	* ntpd/refclock_parse.c (list_err): Use long format to match arg.
	(parse_statistics): Likewise.
	(gps16x_message): Likewise.
	(cvt_ts): Use long format, cast args to match.
	(parse_start): Add missing arg.
	(gps16x_message): Swap args to match format.

	* ntpd/ntpd.c (ntpdmain): Cast uid to long, adapt format.

	* ntpd/ntp_intres.c (readconf): Use long format to match arg.
	* ntpd/ntp_io.c (getrecvbufs): Likewise.
	* ntpd/ntp_proto.c (default_get_precision): Likewise.

	* ntpd/ntp_loopfilter.c (local_clock): Cast clock_panic to int to
 	match format.

	* ntpd/ntp_io.c (io_multicast_add): Print s_addr member, not
	struct in_addr, to match format.

	* include/ntp_stdlib.h: Declare msyslog() as printf-like for gcc
	format checking.

Fri May 28 16:39:35 1999  Rainer Orth  <ro@TechFak.Uni-Bielefeld.DE>

	* ntpdc/ntpdc_ops.c (iostats): Align timereset line.

	* ntpq/ntpq_ops.c (doopeers): Properly align header.

	* ntpdc/ntpdc_ops.c (debug): Removed declaration, already in
	ntp_stdlib.h.
	* ntpq/ntpq_ops.c: Likewise.

	* ntpdate/ntpdate.c (debug): Declare volatile to match
	ntp_stdlib.h.
	* ntpdc/ntpdc.c, ntpq/ntpq.c, ntptrace/ntptrace.c, util/tickadj.c,
	util/ntptime.c: Likewise.

	* include/parse.h (debug): Don't declare to avoid clash with
	ntp_stdlib.h.

	* include/Makefile.am (noinst_HEADERS): Add new ntp_syscall.h.

	* configure.in: Also check for -lrt for POSIX.1c functions.

Wed May 26 21:03:30 1999  Rainer Orth  <ro@TechFak.Uni-Bielefeld.DE>

	* configure.in: Removed -Wwrite-strings from CFLAGS.

	* ntpdc/ntpdc.c (help): Remove superfluous cast.
	* ntpq/ntpq.c (help): Likewise.

Tue May 25 18:00:49 1999  Rainer Orth  <ro@TechFak.Uni-Bielefeld.DE>

	* ntpq/ntpq_ops.c (struct varlist): name cannot be const char *
	since it may be malloc'ed.

	* ntpdc/ntpdc.c (sendrequest): Declare pass as const char *, don't
	loose const in cast.
	* ntpq/ntpq.c (sendrequest): Likewise.

	* ntpd/ntp_control.c (ctl_getitem): Remove superfluous cast.
	* include/ntpd.h (struct ctl_var): text cannot be const char *
	since it's malloc'ed.

1999-06-22  Harlan Stenn  <stenn@whimsy.udel.edu>

	* include/l_stdlib.h: Don't include <netinet/in.h>, add	forward
	declaration of struct in_addr instead.
	From: Rainer Orth <ro@TechFak.Uni-Bielefeld.DE>

	Patch:

	* include/l_stdlib.h: Fixed syscall() declaration.
	* configure.in: Updated test to match.

	* configure.in: Check if we need to declare errno and h_errno.
	Check for <resolv.h> which may provide a h_errno declaration and
	<arpa/nameserv.h> which the latter needs.
	* acconfig.h: Provide the necessary templates.

	* include/ntp_syscall.h: New file, hides various implementations
	of ntp_adjtime() and ntp_gettime() syscalls.
	* ntpd/ntp_loopfilter.c: Use it.
	* ntpd/ntp_request.c: Likewise.
	* ntpd/refclock_local.c: Likewise.
	* util/ntptime.c: Likewise.

	* include/l_stdlib.h: Include <netinet/in.h>, declare inet_ntoa if
	necessary.
	Moved syscall() declaration here.

	* kernel/sys/parsestreams.h: Include <sys/termios.h> for it's
	definition of struct ppsclockev.
	Include <sys/ppsclock.h> unconditionally for definition of
	CIOGETEV via TIOCGPPSEV.
	* kernel/sys/ppsclock.h: Protect struct ppsclockev from
	redefinition.

	* include/ntp_refclock.h: Protect it from multiple inclusion.
	* include/ntp_fp.h: Likewise.
	* include/ntp.h: Likewise.

	* include/ntpd.h: Include ntp_refclock.h for MAXDIAL declaration.
	* libntp/authkeys.c: Include ntpd.h for current_time declaration.

	* include/ntpd.h (getauthkeys, auth_agekeys, rereadkeys): Moved
	prototypes to ntp_stdlib.h

	* include/ntp_stdlib.h: Declare variables exported by libntp.
	* include/ntpd.h: Likewise for ntpd.

	* libntp/authkeys.c (key_hash, authnokey, authfreekeys,
	cache_flags): Made static.
	* libntp/systime.c (tvu_maxslew, tsf_maxslew, sys_clock_offset,
	sys_residual): Likewise.
	* ntpd/ntp_intres.c (confentries): Likewise.
	* ntpd/ntp_loopfilter.c (clock_offset, clock_panic): Likewise.
	(pll_nano): Likewise. Removed duplicate definition.
	* ntpd/ntp_peer.c (peer_free, current_association_ID,
	assocpeer_calls, init_peer_starttime): Likewise.
	* ntpd/ntp_proto.c (sys_offset, sys_authdly): Likewise.
	* ntpd/ntp_request.c (numrequests, numresppkts, errorcounter):
	Likewise.
	* ntpd/ntp_restrict.c (res_calls, res_found, res_not_found,
	res_timereset, res_limited_refcnt): Likewise.
	* ntpd/ntpd.c (was_alarmed, worker_thread): Likewise.

	* ntpq/ntpq_ops.c: Moved declaration of external variable from
	ntpq.c to file scope.

	* adjtimed/adjtimed.c: Moved declarations of external variables to
	ntpd.h and ntp_stdlib.h.
	* clockstuff/propdelay.c: Likewise.
	* libntp/a_md5encrypt.c, libntp/authencrypt.c, libntp/authkeys.c,
	libntp/mfp_mul.c, libntp/msyslog.c, libntp/systime.c: Likewise.
	* ntpd/ntp_config.c, ntpd/ntp_control.c, ntpd/ntp_filegen.c,
	ntpd/ntp_intres.c, ntpd/ntp_io.c, ntpd/ntp_loopfilter.c,
	ntpd/ntp_monitor.c, ntpd/ntp_peer.c, ntpd/ntp_proto.c,
	ntpd/ntp_refclock.c, ntpd/ntp_request.c, ntpd/ntp_restrict.c,
	ntpd/ntp_timer.c, ntpd/ntp_util.c, ntpd/ntpd.c,
	ntpd/refclock_acts.c, ntpd/refclock_arbiter.c, ntpd/refclock_arc.c,
	ntpd/refclock_as2201.c, ntpd/refclock_atom.c,
	ntpd/refclock_bancomm.c, ntpd/refclock_chronolog.c,
	ntpd/refclock_chu.c, ntpd/refclock_datum.c,
	ntpd/refclock_dumbclock.c, ntpd/refclock_gpsvme.c,
	ntpd/refclock_heath.c, ntpd/refclock_hpgps.c, ntpd/refclock_irig.c,
	ntpd/refclock_jupiter.c, ntpd/refclock_leitch.c,
	ntpd/refclock_local.c, ntpd/refclock_msfees.c,
	ntpd/refclock_mx4200.c, ntpd/refclock_nmea.c,
	ntpd/refclock_oncore.c, ntpd/refclock_palisade.h,
	ntpd/refclock_parse.c, ntpd/refclock_pst.c, ntpd/refclock_shm.c,
	ntpd/refclock_tpro.c, ntpd/refclock_trak.c, ntpd/refclock_true.c,
	ntpd/refclock_usno.c, ntpd/refclock_wwvb.c: Likewise.
	* ntpdate/ntpdate.c: Likewise.
	* ntpdc/ntpdc.c, ntpdc/ntpdc_ops.c: Likewise.
	* ntpq/ntpq.c: Likewise.
	* ntptrace/ntptrace.c: Likewise.
	* util/ntptime.c, til/tickadj.c: Likewise.
	From: Rainer Orth <ro@TechFak.Uni-Bielefeld.DE>

	* include/ntp_machine.h: Removed superfluous yy/mm/dd comments.
	* include/ntpd.h: Likewise.
	* libntp/authencrypt.c: Likewise.
	* libntp/a_md5encrypt.c: Likewise.
	* libntp/caljulian.c: Likewise.
	* libntp/ymd2yd.c: Likewise.
	* libntp/syssignal.c: Likewise.
	* libntp/ymd2yd.c: Likewise.
	* ntpd/ntp_control.c: Likewise.
	* ntpd/ntp_io.c: Likewise.
	* ntpd/ntp_timer.c: Likewise.
	* ntpdate/ntpdate.c: Likewise.
	* ntpq/ntpq_ops.c: Likewise.
	* ntpd/ntp_peer.c (findpeer): Wrap debug output in DEBUG/debug.
	From: Rainer Orth <ro@TechFak.Uni-Bielefeld.DE>

	* dot.emacs: Removed wrong indentation of substatements.
	Wrap in c-style.
	From: Rainer Orth <ro@TechFak.Uni-Bielefeld.DE>

	* ntpd/refclock_palisade.c: Patches from Marc Brett
	* ntpd/refclock_palisade.h: Ditto.
	* util/hist.c: Ditto.

Tue Jun  1 00:40:04 1999  Harlan Stenn  <stenn@pogo.udel.edu>

	* build: mips-dec-ultrix4.4 hates "set -e"

	* flock-build: Created

	* build: added -l option

Mon May 31 20:28:40 1999  Harlan Stenn  <stenn@pogo.udel.edu>

	* README: Removed auto{make,conf}.patch files

Tue May 25 01:20:53 1999  Harlan Stenn  <stenn@whimsy.udel.edu>

	* Makefile.am ($(srcdir)/COPYRIGHT): Added
	(EXTRA_DIST): Remove auto*.patches

Thu May 20 01:03:00 1999  Harlan Stenn  <stenn@whimsy.udel.edu>

	* Makefile.am (dist-hook): Call dos2unix on the .htm files

	* ntpd/refclock_palisade.h: Clean up declarations.

	* configure.in (ac_cv_struct_ntptimeval_timespec): Added.
	(ac_cv_make_ntptime): Only if ntptimeval does not use timespec.

	* util/tickadj.c: Linux Patches
	From: Reg Clemens <reg@dwf.com>

Wed May 19 01:18:24 1999  Harlan Stenn  <stenn@whimsy.udel.edu>

	* configure.in: 4.0.93a

	* ntpd/refclock_palisade.h: Restore some lost patches
	From: Kamal A Mostafa <kamal@whence.com>

Sun May 16 13:18:32 1999  Philippe De Muyter  <phdm@macqel.be>

	* libparse/clk_wharton.c (cvt_wharton_400a, inp_wharton_400a): Expect
	serial output format number 1, not 5.
	(clock_wharton_400a) : Likewise.
	* ntpd/refclock_parse.c (parse_clockinfo): For Wharton 400a clock,
	do not poll, but expect a message every second.
	* html/parsedata.htm : Entry added for Wharton 400a clock.
	* html/driver8.htm : Entry fixed for Wharton 400a clock.

Sun May 16 02:59:46 1999  Harlan Stenn  <stenn@whimsy.udel.edu>

	* configure.in: 4.0.93

Sat May 15 18:53:47 1999  Harlan Stenn  <stenn@whimsy.udel.edu>

	* configure.in (ntp_refclock): ONCORE requires PPSAPI, CIOGETEV,
	or TIOCGPPSEV.
	Reported by: Reg Clemens <reg@dwf.com>

Fri May 14 23:58:35 1999  Harlan Stenn  <stenn@whimsy.udel.edu>

	* configure.in: 4.0.92h2

	* configure.in (ac_cv_make_ntptime): Not under Linux.  Yes, it
	works for some people.  We're tired of the complaints from the
	others.

Fri May 14 18:58:59 1999  Rainer Orth  <ro@TechFak.Uni-Bielefeld.DE>

	* libntp/authreadkeys.c (authreadkeys): Reject autokey keys.
	Include ntp.h for NTP_MAXKEY definition, ntp_fp.h for types used
	in ntp.h.

Wed May 12 23:02:22 1999  Rainer Orth  <ro@TechFak.Uni-Bielefeld.DE>

	* libntp/authkeys.c (auth_delkeys): Don't remove autokey keys,
	leave info on KEY_TRUSTED flag alone.
	Include ntp.h for NTP_MAXKEY definition.

Thu May 13 02:19:02 1999  Harlan Stenn  <stenn@whimsy.udel.edu>

	* configure.in: 4.0.92h1

	* configure.in: patch for ReliantUNIX
 	From: Andrej Borsenkow <borsenkow.msk@sni.de>

	* ntpd/refclock_oncore.c: Patches
	From: Reg Clemens <reg@dwf.com>

Thu Apr 29 14:01:04 1999  Rainer Orth  <ro@TechFak.Uni-Bielefeld.DE>

	* html/*.htm: Remove unnecessary &nbsp;.  Cleanup <pre></pre>
	sections.

	* configure.in: Properly align configure --help output.
	* html/config.htm: Include this version, removing Netscape &nbsp;
	cruft.

Wed Apr 28 15:08:55 1999  Rainer Orth  <ro@TechFak.Uni-Bielefeld.DE>

	* kernel/sys/parsestreams.h: Only include <sys/ppsclock.h> if
	struct ppsclockev is missing from system headers.

	* util/tickadj.c (getoffsets): Define kernels[] only if used.
	(openfile): Rename fd to avoid shadowing global fd.
	(writevar): Likewise.
	(readvar): Likewise.

	* parseutil/dcfd.c (read_drift): drift_file is const char *.
	(update_drift): Likewise.
	(adjust_clock): Likewise.
	(main): Likewise.

	* ntpd/refclock_parse.c (gps16x_poll): Adapt format to match
	parse->localstate type.

	* ntpd/ntp_refclock.c (refclock_gtlin): Only define gotit label
	if used.

	* include/l_stdlib.h (openlog, syslog): char * args are const.

	* configure.in (*-*-osf4*): Enable declaration of stime().

	* ntpd/refclock_oncore.c (oncore_msg_any): Cast args to long to
	match prototype.
	(oncore_msg_En): Likewise.

	* include/ntp_refclock.h (struct refclockstat): Declare p_lastcode
	as const char *.

	* ntpq/ntpq_ops.c (struct varlist): Define name as const.

	* ntpdc/ntpdc.c (tokenize): Define cp as const char *, remove
	wrong cast instead.

	* ntpd/ntp_util.c (record_clock_stats): Make text arg const.
	* include/ntpd.h (record_clock_stats): Adapt declaration.
	* ntpd/refclock_oncore.c (oncore_start): Removed superfluous casts.
	(oncore_msg_Cf): Likewise.
	(oncore_msg_Fa): Likewise.
	(oncore_msg_Cj): Likewise.
	(oncore_msg_Ea): Likewise.
	(oncore_msg_Bj): Likewise.

	* configure.in (*-*-solaris2.4): Enable declarations of
	gettimeofday(), settimeofday(); they are `protected' by
	__cplusplus in <sys/time.h>.

Tue Apr 27 21:14:47 1999  Rainer Orth  <ro@TechFak.Uni-Bielefeld.DE>

	* scripts/summary.pl: Use . as default statsdir.
	(do_loop): Accept new loopstats format with additional sys_error
	and clock_stability fields.
	(do_peer): Accept new peerstats format with additional skew field.

Mon Apr 26 01:50:38 1999  Harlan Stenn  <stenn@whimsy.udel.edu>

	* Upgraded automake (1.4a) and autoconf (2.14.1)

	* configure.in (ac_refclock_irig): We no longer need stropts.h.
	* ntpd/refclock_irig.c: Ditto

Mon Apr 26 17:33:33 1999  Rainer Orth  <ro@TechFak.Uni-Bielefeld.DE>

	* configure.in (*-*-irix6*): Don't pass MIPSpro cc-only flag -n32
	to gcc.

Thu Apr 22 15:06:40 1999  Rainer Orth  <ro@TechFak.Uni-Bielefeld.DE>

	* ntpd/ntp_config.c (getconfig): IN_CLASSD() expects address in
	host byte order, but struct sockaddr_in.s_addr is in network byte
	order.
	* ntpd/ntp_io.c (io_multicast_del): Likewise.

Sat Apr 24 01:00:53 1999  Harlan Stenn  <stenn@whimsy.udel.edu>

	* configure.in: 4.0.92h

	* ntptrace/ntptrace.c: -m maxhost patch
	From: "R. Gary Cutbill" <rgary@chrysalis.com>

	* util/ntptime.c: Patches.
	From: Ulrich Windl <Ulrich.Windl@rz.uni-regensburg.de>

	* html/accopt.htm, html/assoc.htm, html/authopt.htm,
	html/biblio.htm, html/build.htm, html/clockopt.htm,
	html/confopt.htm, html/copyright.htm, html/debug.htm,
	html/exec.htm, html/extern.htm, html/hints.htm, html/index.htm,
	html/kern.htm, html/miscopt.htm, html/monopt.htm, html/notes.htm,
	html/ntpd.htm, html/ntpdate.htm, html/ntpdc.htm, html/ntpq.htm,
	html/ntptime.htm, html/ntptrace.htm, html/patches.htm,
	html/porting.htm, html/pps.htm, html/rdebug.htm,
	html/refclock.htm, html/release.htm, html/tickadj.htm,
	html/hints/solaris.html: Fixed many typos and problems.
	* acconfig.h (DECL_CFSETISPEED_0, DECL_MRAND48_0, DECL_NLIST_0,
	DECL_SRAND48_0, DECL_STIME_0): New templates.
	* include/l_stdlib.h: Include termios.h to get definition of
	speed_t.
	(cfsetispeed, cfsetospeed, mrand48, nlist, srand48, stime): New
	declarations.
	(openlog): Declare 2- or 3-argument form.
	* configure.in: Enable declarations of functions missing from
	Ultrix V4.3 system headers.
	* ntpd/refclock_oncore.c: Include <sys/types.h>, Ultrix V4.3
	<sys/stat.h> needs it for dev_t.
	From: Rainer Orth <ro@techfak.uni-bielefeld.de>

	* ntpdc/ntpdc_ops.c: Reality checks.

	* configure.in: netbsd has stubs for the timer_* stuff and doesn't
	support PPSAPI.  IRIG requires <stropts.h> .
	From: Frederick Bruckman <fb@enteract.com>

	* ntpdc/ntpdc_ops.c: (kerninfo)  Report in seconds regardless of
	kernel precision.  Report kernel flags as text.
	From: Poul-Henning Kamp <phk@critter.freebsd.dk>

Sun Apr 18 14:26:51 1999  Harlan Stenn  <stenn@whimsy.udel.edu>

	* configure.in: 4.0.92g

	* ntpd/ntp_refclock.c (refclock_ioctl): We don't want
	PPS_HARDPPSONASSERT by default.
	* ntpd/refclock_oncore.c: Prefer timepps.h over sys/timepps.h
	From: Poul-Henning Kamp <phk@freebsd.org>

Tue Apr 13 17:32:35 1999  Harlan Stenn  <stenn@whimsy.udel.edu>

	* configure.in: 4.0.92f

	* ntpd/ntp_refclock.c (refclock_open): VMIN should be 1, not 0
	From: Reg Clemens <reg@dwf.com>

Sun Apr 11 18:26:44 1999  Harlan Stenn  <stenn@whimsy.udel.edu>

	* ntpd/refclock_mx4200.c: Patches/improvements
	* ntpd/ntpd.c (set_process_priority): Lint
	From: Marc.Brett@westgeo.com

	* util/ntptime.c: Lint, bit definition cleanup
	From: Ulrich Windl <ulrich.windl@rz.uni-regensburg.de>

Wed Apr  7 03:02:23 1999  Harlan Stenn  <stenn@whimsy.udel.edu>

	* ntpd/refclock_oncore.c: Use timepps.h or sys/timepps.h
	* configure.in: Look for either timepps.h or sys/timepps.h
	From: Poul-Henning Kamp <phk@critter.freebsd.dk>

	* ntpd/ntp_io.c (create_sockets): Don't warn about ENXIO.
	(Several places)
	From: Andrej Borsenkow <borsenkow.msk@sni.de>

	* libntp/mfp_mul.c (mfp_mul): Lint.
	Marc.Brett@westgeo.com

Sun Apr  4 03:23:53 1999  Harlan Stenn  <stenn@whimsy.udel.edu>

	* configure.in: 4.0.92e
	Dave redesigned the clock state machine.

1999-02-28  Frank Kardel  <kardel@acm.org>

	* parseutil/dcfd.c: added DCF77 module powersetup

	* ntpd/refclock_parse.c (parse_control): using gmprettydate instead of prettydate()
	(mk_utcinfo): new function for formatting GPS derived UTC information
	(gps16x_message): changed to use mk_utcinfo()
	(trimbletsip_message): changed to use mk_utcinfo()
	ignoring position information in unsynchronized mode
	(parse_start): augument linux support for optional ASYNC_LOW_LATENCY

	* ntpd/ntp_control.c (ctl_putclock): cleanup of end of buffer handling

	* libparse/parse.c (timepacket): removed unnecessary code

	* libparse/clk_trimtsip.c (struct trimble): new member t_utcknown
	(cvt_trimtsip): fixed status monitoring, bad receiver states are
 	now recognized

	* libntp/prettydate.c (gmprettydate): new function for format date
 	and time with respect to UTC

	* libntp/gpstolfp.c (GPSWRAP): update GPS rollover to 990 weeks

	* include/trimble.h (CMD_RUTCPARAM): control variable name unification

	* include/ntp_fp.h: added prototype for gmprettydate()

Sat Feb 27 00:03:16 1999  Harlan Stenn  <stenn@whimsy.udel.edu>

	* libntp/systime.c: definition
	* ntpd/ntp_proto.c: sco5_oldclock declaration
	* configure.in: SCO5_CLOCK for *-*-sco3.2v5*
	* util/tickadj.c (main): SCO5_OLDCLOCK -> SCO5_CLOCK
	From: Kees Hendrikse <kees@echelon.nl>

	* ntpd/ntp_config.c (getconfig): Indentation cleanup
	Deal with 'P' case better
	* ntpd/ntpd.c: Declare set_process_priority()
	* ntpd/refclock_dumbclock.c: Lint cleanup
	From: Marc.Brett@westgeo.com

Wed Feb 24 10:22:51 1999  Harlan Stenn  <stenn@whimsy.udel.edu>

	* configure.in: 4.0.92d

	* configure.in: Dave says we can't enable PARSE clocks by default.
	Also, Solaris 2.7 still has its kernel bug - disable kernel FLL
	there.
	Reported by: Dave Mills <dlm@udel.edu>

Tue Feb 23 23:37:44 1999  Harlan Stenn  <stenn@whimsy.udel.edu>

	* libparse/Makefile.am (parsesolaris.o): Devious hack to deal
	with bug in sys/systm.h .
	Suggested by: Chaim Frenkel <chaimf@pobox.com>

Tue Feb 23 20:46:31 1999  Frank Kardel  <kardel@acm.org>

	* ntpd/refclock_parse.c: fixed #endifs
	(stream_receive): fixed formats

Mon Feb 22 00:35:06 1999  Harlan Stenn  <stenn@whimsy.udel.edu>

	* configure.in: 4.0.92c

	* ntpd/refclock_chronolog.c: Lint
	* ntpd/refclock_dumbclock.c: Ditto
	* ntpd/refclock_oncore.c: Ditto
	From: Marc.Brett@westgeo.com

	* ntpd/refclock_oncore.c (oncore_msg_any): Call GETTIMEOFDAY, not
	gettimeofday().
	From: david.higgins@mail.ccur.com

	* configure.in (MCAST): Not in i386-sequent-sysv4
	Reported by: Joseph Geter <joe.geter@somills.com>

	* util/ntptime.c: Linux cleanup.
	From: Reg Clemens <reg@dwf.com>

	* configure.in: Rename SCO5_OLDCLOCK to SCO5_CLOCK
	* acconfig.h: Ditto

	* ntpd/ntp_proto.c: SCO5_CLOCK stuff
	(init_proto): Use the SCO5_CLOCK stuff
	* libntp/systime.c: SCO5_CLOCK stuff
	(get_systime): Use the SCO5_CLOCK stuff
	(adj_systime): Use the SCO5_CLOCK stuff
	From: Kees Hendrikse <kees@echelon.nl>

	* ntpd/ntp_config.c: Added -P option and associated baggage.
	(getstartup): Update help text
	(getconfig): Process -P option
	(getconfig): Update help text
	* ntpd/ntpd.c (set_process_priority): Created.
	(service_main): remove process priority stuff - we want to do at
	after we start up the resolver, so call set_process_priority()
	after getconfig().
	From: Kamal A Mostafa <kamal@whence.com>

1999-02-21  Frank Kardel  <kardel@acm.org>

	* ntpd/ntp_util.c (hourly_stats): removed unused variable

	* libntp/ieee754io.c: renamed index to fieldindex to avoid index() name clash

	* ntpd/refclock_parse.c (parse_start): add initialization for Linux PPSkit

Sun Feb 21 17:53:33 1999  Harlan Stenn  <stenn@whimsy.udel.edu>

	* ntpd/ntp_io.c (create_sockets): Skip interfaces that are really
	just aliases.
	From: "Erik R. Leo" <erikl@sover.net>

	* configure.in: 4.0.92b

	* ntpd/ntpd.c (service_main): Check for an error return from
	sched_get_priority_max().

Wed Feb 17 03:48:47 1999  Harlan Stenn  <stenn@whimsy.udel.edu>

	* configure.in: 4.0.92a

	* configure.in: configure.in requires autoconf 2.13 or later.
	Reported by Ulrich Windl <ulrich.windl@rz.uni-regensburg.de>

Wed Feb 17 00:12:11 1999  Harlan Stenn  <stenn@whimsy.udel.edu>

	* acconfig.h: TERMIOS_NEEDS__SVID3
	* configure.in: Ditto
	* ntpd/refclock_palisade.h: Ditto
	* include/ntp_refclock.h: Ditto
	* ntpd/ntpd.c (service_main): We want sched_get_priority_max().
	From: Kamal A Mostafa <kamal@whence.com>

	* ntpd/ntp_refclock.c (refclock_open): Zero the entire c_cc[] array.
	From: Reg Clemens <reg@dwf.com>

Tue Feb 16 23:37:49 1999  Harlan Stenn  <stenn@whimsy.udel.edu>

	* Updated ansi2knr
	Reported by: Marc Brett

Mon Feb 15 02:55:28 1999  Harlan Stenn  <stenn@whimsy.udel.edu>

	* configure.in: 4.0.92

	* ntpd/ntp_refclock.c: Added refclock_chronolog and
	refclock_dumbclock.
	From: Robert McMillin <rlm@syseca-us.com>

Sun Feb 14 15:57:53 1999  Harlan Stenn  <stenn@whimsy.udel.edu>

	* dropped SCO3 support #defines.
	* changed SCO5_TICKADJ #define to SCO5_OLDCLOCK
	* Added code in libntp/systime.c to accumulate changes until a whole
	  tick can be added or dropped. Adjusted gettimeofday() output
	  to include the contents of the accumulator.
	* cleaned up util/tickadj.c; tickadj -As now does the right thing.
	From: Kees Hendrikse <kees@echelon.nl>

	* ntpq/ntpq.c: Rename delay() to auth_delay()
	Reported by: Andrej Borsenkow <borsenkow.msk@sni.de>

	* ntpd/refclock_palisade.h: Cleanup.
	From: Marc.Brett@westgeo.com

	* ntpd/ntp_refclock.c (refclock_ioctl): Typo.
	From: Reg Clemens <reg@dwf.com>

	* ntpd/ntp_io.c (create_sockets): Only bind a given network once.
	From: Wolfgang Rupprecht <wolfgang@wsrcc.com>

Sat Jan 30 11:48:37 1999  Harlan Stenn  <stenn@whimsy.udel.edu>

	* configure.in: 4.0.91f

Thu Jan 28 22:58:40 1999  Harlan Stenn  <stenn@whimsy.udel.edu>

	* ntpd/refclock_parse.c (CLK_REALTYPE): We really want ttl, not hmode.
	* ntpd/ntp_config.c (getconfig): "mode" really should update the
	ttl member, not the hmode member.

	* ntpd/refclock_local.c: More offset cleanup from Dave.

Thu Jan 28 00:15:20 1999  Harlan Stenn  <stenn@whimsy.udel.edu>

	* configure.in: 4.0.91e

	* ntpd/refclock_local.c: Bugfix.
	From: Dave Mills

	* ntpd/refclock_palisade.c: Lint/IRIX portability cleanup
	* ntpd/refclock_palisade.h: Re-enable the declaration of float()
	* ntpd/ntp_io.c (create_sockets): Initialize size to 0
	From: Marc.Brett@westgeo.com

	* ntpd/refclock_parse.c (CLK_REALTYPE): Use hmode, not ttl.
	* configure.in (ac_cv_var_no_parenb_ignpar): Not under Linux.
	Reported by: Thomas Quinot <thomas@Cuivre.FR.EU.ORG>

	* ntpdc/ntpdc.c (my_delay): Renamed, from delay.
	Reported by: Andrej Borsenkow <borsenkow.msk@sni.de>

Tue Jan 26 00:56:10 1999  Harlan Stenn  <stenn@whimsy.udel.edu>

	* configure.in: 4.0.91d

	* ntpq/ntpq.c: Y2K patches
	From: Marc.Brett@westgeo.com

	* html/driver29.htm: New version
	* ntpd/refclock_palisade.c: Ditto
	* ntpd/refclock_palisade.h: Ditto
	From: Sven_Dietrich@Trimble.COM

	* upgrade ansi2knr.c

	* Some stuff that Dave did.

	* configure.in: 4.0.91c

	* ntpd/refclock_oncore.c: Prototype cleanup.  Enum cleanup.
	* ntpd/ntp_proto.c (clock_select): Fix memory leak.
	* configure.in (ac_cv_struct_ppsclockev): Might need sys/time.h to
	check for struct clockppsev.  Return pce->serial, not 0;
	From: Marc.Brett@westgeo.com

	* ntpd/refclock_oncore.c (oncore_msg_En): Clean up.
	From: John.Hay@mikom.csir.co.za

Mon Jan 25 11:50:29 1999  Philippe De Muyter  <phdm@macqel.be>

	* libparse/parse_conf.c (clockformats): Entry added for
 	clock_wharton_400a.
	* libparse/clk_wharton.c: New file.
	* libparse/Makefile.am (libparse_a_SOURCES): clk_wharton.c added;
	(libparse_kernel_a_SOURCES): kclk_wharton.c added.
	(kclk_wharton.o): New dependency rule.
	* ntpd/refclock_parse.c (parse_clockinfo): Entry added for the
	WHARTON clock (mode 15).
	* acconfig.h (CLOCK_WHARTON_400A): New configuration macro.
	* configure.in (CLOCK_WHARTON_400A): Macro defined like other
	CLOCK_xxx macros.

Sun Jan 24 13:51:30 1999  Harlan Stenn  <stenn@whimsy.udel.edu>

	* ntpd/ntp_config.c (do_resolve_internal): Missing #ifdef DEBUG
	From: Sven Dietrich <Sven_Dietrich@Trimble.COM>

	* Makefile.am (SUBDIRS): Lose authstuff
	* configure.in: Ditto

Sat Jan 23 15:28:03 1999  Harlan Stenn  <stenn@whimsy.udel.edu>

	* configure.in: 4.0.91b

Sat Jan 23 15:02:25 1999  Harlan Stenn  <stenn@whimsy.udel.edu>

	* ntpd/refclock_oncore.c: use HAVE_STRUCT_PPSCLOCKEV
	* acconfig.h: HAVE_STRUCT_PPSCLOCKEV
	* configure.in (ac_cv_struct_ppsclockev): Added test

Thu Jan 21 15:35:25 1999  Harlan Stenn  <stenn@whimsy.udel.edu>

	* configure.in: 4.0.91a

	* ntpd/refclock_nmea.c (nmea_receive): Call refclock_process()
	every second (or each time a nmea string is received).
	From: John Hay <jhay@mikom.csir.co.za>

	* ntpd/ntp_refclock.c (refclock_ioctl): Use TIOCPPS if we have it.
	(refclock_ioctl): Use LDISC_CLKPPS, not LDISC_PPS when deciding
	how to set str.
	* ntpd/ntp_loopfilter.c: Lose unused ntp_gettime() stuff.
	* ntpd/ntp_request.c: Ditto.
	* ntpd/refclock_local.c: Ditto.
	* ntpd/refclock_shm.c (shm_poll): Fix the refclock_process() call.
	* ntpd/refclock_oncore.c: patches and cleanup
	* configure.in: ioctl/PPS checks, ONCORE cleanup
	* acconfig.h: ONCORE cleanup
	From: Reg Clemens <reg@dwf.com>

	* configure.in (CFLAGS): cc on Sequent wants -Wc,+abi-socket.
	We also need to figure out why -lsocket isn't being detected;
	-lsocket is needed.
	From: Dana Kaempen <decay@flash.net>

	* include/ntp_stdlib.h: AIX portability patches, header cleanup.
	* ntptrace/ntptrace.c: Ditto.
	* ntpdate/ntpdate.c: Ditto.
	* ntpd/refclock_true.c: Ditto.
	* ntpd/refclock_mx4200.c: Ditto.
	* ntpd/refclock_jupiter.c: Ditto.
	* libntp/msyslog.c: Ditto.
	From: Marc.Brett@waii.com

Sun Jan 10 15:15:07 1999  Harlan Stenn  <stenn@whimsy.udel.edu>

	* configure.in: 4.0.91

Sat Jan  9 00:11:34 1999  Harlan Stenn  <stenn@whimsy.udel.edu>

	* include/ntp_stdlib.h: msyslog() is declared differently if we're
	not __STDC__.

	* include/ntp_types.h: It's HAVE_PROTOTYPES, not USE_PROTOTYPES.
	* include/ntp_machine.h: Ditto.

Fri Jan  8 20:47:10 1999  Harlan Stenn  <stenn@whimsy.udel.edu>

	* configure.in: Upgrade to autoconf-2.13
	Do the prototypes check much earlier, as it might alter CFLAGS and
 	things which will affect other tests.

	* ntpd/ntp_request.c (do_conf): The problem was with a template
	for "version" on an IRIX C compiler...
	From: Marc.Brett@waii.com

	* libntp/authkeys.c: #include config.h first.
	Reported by: brian.bumpass@funb.com

Thu Jan  7 00:24:35 1999  Harlan Stenn  <stenn@whimsy.udel.edu>

	* util/tickadj.c (main): return() instead of exit().
	* ntpd/ntp_request.c (do_conf): Disambiguate ||.
	* ntpd/ntp_proto.c (clock_select): Initialize variables.
	From: Marc.Brett@waii.com

	* scripts/ntpver.in: Use PATH_SH

	* configure.in (PATH_SH): Added.

Tue Jan  5 19:02:51 1999  Harlan Stenn  <stenn@whimsy.udel.edu>

	* configure.in: 4.0.90h

	* html/driver30.htm: Updated.
	* html/refclock.htm: Refer to driver30
	* ntpd/refclock_oncore.c: Vastly improve and make less FreeBSD centric,
	From: Poul-Henning Kamp <phk@critter.freebsd.dk> and
		Reg.Clemens <reg@dwf.com>

	* include/ntp.h: Portability/lint patches
	* libntp/binio.c: Ditto.
	* libntp/caljulian.c: Ditto.
	* libntp/caltontp.c: Ditto.
	* libntp/ieee754io.c: Ditto.
	* libntp/md5c.c: Ditto.
	* libntp/mfp_mul.c: Ditto.
	* libntp/msyslog.c: Ditto.
	* libntp/statestr.c: Ditto.
	* libntp/systime.c: Ditto.
	* libparse/clk_trimtsip.c: Ditto.
	* libparse/data_mbg.c: Ditto.
	* libparse/parse.c: Ditto.
	* ntpd/ntp_control.c: Ditto.
	* ntpd/ntp_filegen.c: Ditto.
	* ntpd/ntp_intres.c: Ditto.
	* ntpd/ntp_io.c: Ditto.
	* ntpd/ntp_peer.c: Ditto.
	* ntpd/ntp_proto.c: Ditto.
	* ntpd/ntp_util.c: Ditto.
	* ntpd/ntpd.c: Ditto.
	* ntpd/refclock_arc.c: Ditto.
	* ntpd/refclock_chu.c: Ditto.
	* ntpd/refclock_datum.c: Ditto.
	* ntpd/refclock_leitch.c: Ditto.
	* ntpd/refclock_parse.c: Ditto.
	* ntpd/refclock_usno.c: Ditto.
	* ntpq/ntpq.c: Ditto.
	* util/tickadj.c: Ditto.
	From: Marc.Brett@waii.com

Mon Jan  4 00:56:55 1999  Harlan Stenn  <stenn@whimsy.udel.edu>

	* configure.in: 4.0.90g

	* ntpd/ntp_config.c (getconfig): MODE was setting ttl, not hmode.
	Reported by: Carsten Emde <ce@ceag.ch>

Fri Dec  4 01:01:14 1998  Harlan Stenn  <stenn@whimsy.udel.edu>

	* configure.in: 4.0.90f

	* ntpd/refclock_mx4200.c: New version
	From: Marc.Brett@waii.com

1998-12-02  Harlan Stenn  <stenn@whimsy.udel.edu>

	* ntpd/ntp_config.c (do_resolve_internal): If fork fails, say why.
	Reported by: Jeff_Dennison@admin.tc.faa.gov

	* ntpd/ntpd.c (ntpdmain):  fork() can return a -1.  Someday we'll
	report this condition...

1998-12-02  Harlan Stenn  <stenn@whimsy.udel.edu>

	* configure.in: 4.0.90e

	* ntpd/refclock_palisade.c: Reformat code so ansi2knr will work
	* ntpd/refclock_palisade.h: Ditto
	From: Marc.Brett@waii.com

Sun Nov 29 21:00:53 1998  Harlan Stenn  <stenn@whimsy.udel.edu>

	* configure.in: 4.0.90d

	* configure.in (CFLAGS): Use "-O2 -g3 -n32" by default for Irix6.2
	and later.
	Reported by: Jack Bryans <jbryans@csulb.edu>

1998-11-29  Harlan Stenn  <stenn@whimsy.udel.edu>

	* configure.in: 4.0.90c

	* ntpd/refclock_oncore.c (oncore_msg_En): Convert to nano
	From: John Hay <jhay@mikom.csir.co.za>

	* include/ntp_request.h (RM_VN_MODE): Add version parameter, so
	xntpdc will work across v3 and v4.
	* ntpd/ntp_request.c: Track requested version
	(req_ack): Use requested version in RM_VN_MODE
	(more_pkt): Ditto
	(flush_pkt): Ditto
	(process_private): Get requested version
	* ntpd/ntp_intres.c (request): Use default version
	* ntpdc/ntpdc.c (sendrequest): Ditto
	From: John Hay <jhay@mikom.csir.co.za>

Fri Nov 27 14:27:21 1998  Harlan Stenn  <stenn@whimsy.udel.edu>

	* ntpd/refclock_palisade.c: Lint cleanup
	* ntpd/refclock_palisade.h: Ditto.
	From: Marc Brett <mbrett@rgs0.london.waii.com>

Mon Nov 23 04:45:03 1998  Harlan Stenn  <stenn@whimsy.udel.edu>

	* configure.in: 4.0.90b

	* New code and cleanup for the NT stuff
	From: Carl Byington <carl@five-ten-sg.com>

Sat Nov 21 21:21:45 1998  Harlan Stenn  <stenn@whimsy.udel.edu>

	* configure.in: 4.0.90a

	* libntp/systime.c (step_systime): net_set_tod calls clock_settime.
	* libntp/machines.c (ntp_set_tod): Take a 2nd arg for NT.
	* include/ntp_machine.h: ntp_set_tod() has 2 args always.
	* ports/winnt/bldrel.bat: Typo.
	From: Carl Byington <carl@five-ten-sg.com>

	* ntpd/ntp_intres.c (findhostaddr): h_errno is a #define under AIX.
	* configure.in:  clock_settime is a stub in AIX4.
	From: Perry Ross <pross@platinum.com>

	* libntp/Makefile.am (EXTRA_DIST): Lose libntp.mak
	* ntpd/Makefile.am (EXTRA_DIST): Ditto.
	* ntpdate/Makefile.am (EXTRA_DIST): Ditto.
	* ntpdc/Makefile.am (EXTRA_DIST): Ditto.
	* ntpq/Makefile.am (EXTRA_DIST): Ditto.
	From: Greg Schueman <schueman@ix.netcom.com>

Sat Nov 21 12:33:16 1998  Harlan Stenn  <stenn@whimsy.udel.edu>

	* configure.in: 4.0.90

	Nano changes from Dave Mills.

Thu Nov 19 04:23:46 1998  Harlan Stenn  <stenn@whimsy.udel.edu>

	* include/ntp_machine.h: STREAM also needs HAVE_SYS_STREAM_H
	Reported by: Ronald Cole <ronald@forte-intl.com>

Mon Nov 16 19:17:34 1998  Harlan Stenn  <stenn@whimsy.udel.edu>

	* configure.in: 4.0.73e14

	* util/ntptime.c (main): Protect STA_NANO

	* ntpd/refclock_oncore.c: General overhaul and simplifications.
	The new manual clarifies a lot of fine points, and the driver has
	been suitably simplified.  Uses Site Survey if possible, otherwise
	does it by hand.  Should also work with non-UT models, as long as
	they talk the Motorola Binary Protocol.  The driver Doesn't (need
	to) know where the author lives anymore.
	From: Poul-Henning Kamp <phk@critter.freebsd.dk>

	* ntpd/refclock_palisade.h: New version.
	* ntpd/refclock_palisade.c: New version.
	From: Sven Dietrich <Sven_Dietrich@Trimble.COM>

Sat Oct 24 01:19:21 1998  Harlan Stenn  <stenn@whimsy.udel.edu>

	* configure.in: 4.0.73e13

	* ntpdc/ntpdc_ops.c (clkbug): Patches
	* ntpd/ntp_refclock.c (refclock_buginfo): Patches
	From: Marc.Brett@waii.com

Sat Oct 10 20:13:14 1998  Harlan Stenn  <stenn@whimsy.udel.edu>

	* configure.in: 4.0.73e12

	* ntpd/ntp_util.c (hourly_stats): Added prio_set stuff.

	* ntpd/ntpd.c (ntpdmain): HAVE_SETPGRP_0 typo.
	* parseutil/dcfd.c (detach): Ditto.
	* ntpd/ntp_control.c (ctl_putpeer): Sometimes, peer->dstadr is
	NIL.
	From: Perry Ross <pross@platinum.com>

	* ntpd/ntpd.c:
	Some systems use sys/sched.h, not sched.h (Irix)
	* configure.in (CFLAGS): nextstep needs -posix.
	Reported by: Jack Bryans <jbryans@csulb.edu>

Sat Oct  3 02:32:46 1998  Harlan Stenn  <stenn@whimsy.udel.edu>

	* configure.in: 4.0.73e11

	* configure.in (ac_refclock_palisade): Needs termios.

	* libntp/mktime.c: Some systems need sys/types.h

	* configure.in: Added AC_TYPE_SIZE_T and AC_CHECK_TYPE(time_t, long)
	The time_t stuff should only be needed on Older machines, so the
	fact that I'm using a long shouldn't be a problem (hollow laugh).

	* include/l_stdlib.h: Sometimes we need to #include <sys/types.h>

	* libntp/Makefile.am (../include/des.h): Typo.

Fri Oct  2 20:52:47 1998  Harlan Stenn  <stenn@whimsy.udel.edu>

	* ntpd/ntp_intres.c (request): Accept responses back thru V2.

Thu Oct  1 00:11:16 1998  Harlan Stenn  <stenn@whimsy.udel.edu>

	* configure.in: 4.0.73e9

	* ntpd/ntpd.c (catch_danger): Added.
	(ntpdmain): AIX SIGDANGER stuff
	From: Lars-Owe Ivarsson <larsowe@paradisaea.its.uu.se>

	* configure.in:
	* include/ntp_machine.h:
	* include/ntp_string.h:
	* libntp/machines.c:
	* libparse/clk_hopf6021.c:
	* libparse/clk_trimtsip.c:
	* ntpd/refclock_leitch.c:
	* ntpd/refclock_palisade.c:
	* ntpd/refclock_parse.c:
	Here are some patches to suppress warnings from various compilers
	(IRIX 5.3, MipsPro C 7.1 on IRIX 6.4, AIX 4.1) and loaders (IRIX
	5.3, IRIX 6.4).  Shouldn't affect functionality at all.
	From: Marc Brett <mbrett@rgs0.london.waii.com>
	(I got similar patches for AIX from Lars-Owe Ivarsson
	<larsowe@paradisaea.its.uu.se>)

Thu Sep 24 21:33:50 1998  Harlan Stenn  <stenn@whimsy.udel.edu>

	* configure.in: '73e8

	* configure.in: AIX4 stubs the POSIX timer_ stuff,
	sched_setscheduler, and mlockall.
	Reported by: Lars-Owe Ivarsson <larsowe@paradisaea.its.uu.se>

	* configure.in: OpenBSD stubs the POSIX timer_ stuff.
	Reported by:  sidney august cammeresi iv <cammeres@uiuc.edu>
	(and several other folks whose names I can't find at the moment)

Mon Sep 21 15:35:23 1998  Harlan Stenn  <stenn@whimsy.udel.edu>

	* configure.in: '73e7

	* ntpd/refclock_parse.c: Missing declaration
	From: Marc Brett <mbrett@rgs0.london.waii.com>

	* include/README: Remove old MCAST descriptions

	* include/Makefile.am (noinst_HEADERS): Lose sun-in.h .

Mon Sep 21 14:50:12 1998  Harlan Stenn  <stenn@grundoon.udel.edu>

	* ntpdate/ntpdate.c (timer): Properly format the definition.

Sun Sep 20 23:02:50 1998  Harlan Stenn  <stenn@whimsy.udel.edu>

	* configure.in: '73e6

	* include/Makefile.am (noinst_HEADERS): Renamed in.h to sun-in.h

Fri Sep 18 01:05:55 1998  Harlan Stenn  <stenn@whimsy.udel.edu>

	* configure.in: '73e5

	* ntpd/refclock_palisade.c: SCO patch
	From: Kamal A Mostafa <kamalm@sco.com>

	* libparse/clk_trimtsip.c (cvt_trimtsip): Fix rollover bug.
	From: "Michael J. Tubby B.Sc. G8TIC" <Mike.Tubby@thorcom.co.uk>

	* libntp/authencrypt.c:
	* libntp/systime.c:
	* ntpd/refclock_acts.c:
	* ntpd/refclock_arbiter.c:
	* ntpd/refclock_arc.c:
	* ntpd/refclock_as2201.c:
	* ntpd/refclock_atom.c:
	* ntpd/refclock_chu.c:
	* ntpd/refclock_conf.c:
	* ntpd/refclock_datum.c:
	* ntpd/refclock_heath.c:
	* ntpd/refclock_hpgps.c:
	* ntpd/refclock_irig.c:
	* ntpd/refclock_leitch.c:
	* ntpd/refclock_nmea.c:
	* ntpd/refclock_palisade.c:
	* ntpd/refclock_parse.c:
	* ntpd/refclock_pst.c:
	* ntpd/refclock_trak.c:
	* ntpd/refclock_true.c:
	* ntpd/refclock_usno.c:
	* ntpd/refclock_wwvb.c:
	Typos, cleanup, and bugfixes
	From: Marc Brett <mbrett@rgs0.london.waii.com>

	* ntpd/ntp_timer.c (timer): Typo.
	* include/ntp_refclock.h: in refclockstat, clockdesc should be const.
	* ntpd/ntp_io.c (create_sockets): Typo.
	* ntpd/ntp_control.c (free_varlist): Use the appropriate cast when
	calling free().
	(set_var): Use char *td for non-const char data.
	(ctl_getitem): Use char * for non-const data.
	(Many of these reported by Marc Brett)

Sun Sep 13 19:19:09 1998  Harlan Stenn  <stenn@whimsy.udel.edu>

	* ntpd/ntpd.c: Added nofork declaration.
	(ntpdmain): Initialize it...
	* ntpd/ntp_config.c: added nofork.
	Updated ntp_options.
	(getstartup): Updated "usage" string.  Deal with -n flag.
	(getconfig): Ditto.
	From: Jeffrey Hutzelman <jhutz@cs.cmu.edu>

	* ntpd/ntp_io.c (open_socket): Use ntoa() to print out the address
	when bind() fails. (in 2 places)
	Reported by: "Markus W. Fehr" <mfehr@ch.ibm.com>
	Only soft-fail if an interface is unavailable.
	(create_sockets):  Don't SO_REUSEADDR if the interface is unavailable.
	From: "Markus W. Fehr" <mfehr@ch.ibm.com>

	* configure.in:  If we --disable-all-clocks, then don't enable
	parse clocks by default.
	Reported by: Marion Hakanson <hakanson@cse.ogi.edu>

Sat Aug 22 23:58:14 1998  Frank Kardel  <kardel@acm.org>

	* ntpd/refclock_parse.c (local_input): fixed IO handling for non-STREAM IO

Sun Aug 16 20:13:32 1998  Frank Kardel  <kardel@acm.org>

	* libntp/ieee754io.c: debug information only compile for LIBDEBUG case

	* ntpd/refclock_parse.c (gps16x_message): reduced UTC parameter information (dropped A0,A1)
	made uval a local variable (killed one of the last globals)
	(sendetx): added logging of messages when in debug mode
	(trimble_check): added periodic checks to facilitate re-initialization
	(trimbletsip_init): made use of EOL character if in non-kernel operation
	(trimbletsip_message): extended message interpretation
	(getdbl): fixed data conversion

	* libparse/parse_conf.c (clockformats): Trimble TSIP driver now also
	available for kernel operation

	* libparse/info_trimble.c: re-generated

	* libparse/clk_trimtsip.c (cvt_trimtsip): initial kernel capable version (no more floats)
	(clock_trimtsip =): new format name

	* libparse/clk_trimtaip.c (clock_trimtaip =): changed format name

	* include/trimble.h (CMD_RSTATTRACK): renamed mode 6 variable name

	* scripts/monitoring/ntploopwatch: moved emacs mode selector

Mon Aug 10 15:32:48 1998  Harlan Stenn  <stenn@whimsy.udel.edu>

	* ntpd/refclock_acts.c: Patch cleanup
	* ntpd/ntp_refclock.c: Patch cleanup
	* ntpd/ntp_timer.c: Patch cleanup
	From: qli@huey.udel.edu

Wed Jul 29 15:23:21 1998  Harlan Stenn  <stenn@whimsy.udel.edu>

	* libntp/machines.c: IRIX needs time.h
	Reported by: Judith E Bush <jbush@fi.edu>

	* ntpd/ntpd.c (service_main): Better AIX PROCLOCK fix.
	From: Matt Ladendorf <matt.ladendorf@anheuser-busch.com> and
	Grover Davidson <Grover.Davidson@anheuser-busch.com>

Wed Jul 29 01:36:48 1998  Harlan Stenn  <stenn@whimsy.udel.edu>

	* include/ntpd.h (MAXINTERFACES): Moved here...
	* ntpd/ntp_io.c: From here...
	(create_sockets): Only deal with MAXINTERFACES.
	(create_sockets): Only deal with specified interfaces.

	* ntpd/ntp_config.c (CONFIG_LISTEN): Added
	Added ifnum and listenaddrs[]
	(getconfig): Added defn for "addr"
	(getconfig): Initialize ifnum.

	* ntpd/ntpd.c (service_main): call init_io after getconfig
	From: Vebjorn Ljosa <ljosa@initio.no>

Wed Jul 29 00:42:28 1998  Harlan Stenn  <stenn@whimsy.udel.edu>

	* ntpd/refclock_palisade.c: Use NEED_HPUX9_TIOCM_STUFF

	* acconfig.h (NEED_HPUX9_TIOCM_STUFF):  Added.

	* configure.in (REFCLOCK_PALISADE): Needs termio*.h
	(NEED_HPUX9_TIOCM_STUFF): Added.

	* ntpd/ntp_io.c (create_sockets): Use strchr instead of strstr.

	* libntp/mktime.c: #include <sys/types.h>

	* libntp/ieee754io.c: #include <sys/types.h>

Wed Jul 29 00:24:22 1998  Harlan Stenn  <stenn@whimsy.udel.edu>

	* ntpd/refclock_acts.c (ACTS_MAXPOLL): 14 -> 18.
	Import current_nextdate
	(acts_receive): Update peer->nextdate with current_nextdate
	(acts_poll): Call acts_timeout() (debugging)

	* ntpd/ntp_refclock.c: Export current_nextdate.
	(refclock_transmit): Check peer->valid >= NTP_SHIFT - 2, not >.
	(refclock_transmit): hpoll wiggles, update current_nextdate

	* ntpd/ntp_timer.c: #include "ntp_refclock.h"
	(MODE_MANUAL): Added.
	(timer): MODE_MANUAL stuff

	From: qli@huey.udel.edu

Tue Jul 28 23:23:15 1998  Harlan Stenn  <stenn@whimsy.udel.edu>

	* configure.in: Check for inet_ntoa in -lbind .

	* ntpd/ntpd.c: #undef PROCLOCK for AIX.

Mon Jul 20 01:06:24 1998  Harlan Stenn  <stenn@whimsy.udel.edu>

	* configure.in (AC_TYPE_SIZE_T): Added.

Sat Jul 11 09:38:30 1998  Harlan Stenn  <stenn@whimsy.udel.edu>

	* configure.in: 4.0.73e

	* ports/winnt/: Replaced with new code (no SHM or PALISADE)
	From: Greg Schueman <schueman@ix.netcom.com>

Fri Jul 10 12:12:59 1998  Harlan Stenn  <stenn@whimsy.udel.edu>

	* configure.in: 4.0.73d

	* include/ntp_machine.h (HAVE_SRANDOM): VxWorks patches
	(HAVE_RANDOM): Ditto.
	(CALL): Ditto.
	From: Casey Crellin <ccrellin@mweb.com>

	* ntpd/refclock_parse.c (local_input): Typo.
	Reported by: Tony Li <tony1@home.net>

Wed Jul  8 01:49:01 1998  Harlan Stenn  <stenn@whimsy.udel.edu>

	* configure.in: 4.0.73c

	* PARSE patches from Frank Kardel

	* libntp/machines.c (ntp_set_tod): Get it right.

Sun Jul  5 22:15:34 1998  Harlan Stenn  <stenn@whimsy.udel.edu>

	* configure.in: 4.0.73a

	* kernel/sys/timex.h (MOD_CANSCALE): Add rest of patch to handle
	scaling.
	From: Poul-Henning Kamp <phk@critter.freebsd.dk>

Wed Jun 10 21:16:01 1998  Harlan Stenn  <stenn@whimsy.udel.edu>

	* configure.in: 4.0.73

	* ntpd/ntp_loopfilter.c (local_clock): MOD_CANSCALE patches, and
	be careful with the integration if we're nearly perfect.
	From: Poul-Henning Kamp <phk@critter.freebsd.dk>

	* util/tickadj.c (main): Typo fix...
	From: Marion Hakanson <hakanson@cse.ogi.edu>

	* ntpd/ntp_io.c (create_sockets): Attempt to ignore alias
	interfaces.
	From: Kenneth Maupin <maupin@easystreet.com>

	* ntpd/ntp_refclock.c: PPS fixes
	* ntpd/refclock_msfees.c (msfees_start): Portability fixes and
	PPS/STREAM enhancements
	From: John Hay <jhay@mikom.csir.co.za>

	* ntpd/ntp_refclock.c (refclock_gtlin): Patch...
	From: Jonathan Stone <jonathan@DSG.Stanford.EDU>

Sun Jun 28 18:43:30 1998  Frank Kardel  <kardel@acm.org>

	* libntp/buftvtots.c (buftvtots): using WORD_BIGENDIAN instead of XNTP_BIG_ENDIAN

	* libparse/clk_trimtsip.c (getflt): fixed ENDIAN issue
	(getdbl): fixed ENDIAN issue
	(getint): use get_msb_short()
	(cvt_trimtsip): use gpstolfp() for conversion

	* libntp/Makefile.am (libntp_a_SOURCES): added gpstolfp.c source

	* libntp/binio.c: added {get,put}_msb_{short,long}() functions

	* include/ntp_fp.h: added gpstolfp() prototype

	* include/binio.h: added binio MSB prototypes

Sat Jun 13 13:48:17 1998  Frank Kardel  <kardel@acm.org>

	* parseutil/testdcf.c: signed/unsigned
	SYSV clock name clash fixed

	* parseutil/dcfd.c: signed/unsigned
	SYSV clock name clash fixed
	year wrapping at 1998
	ctype macros take ints as args

	* ntptrace/ntptrace.c (decodeipaddr): ctype macros take ints as args

	* ntpq/ntpq_ops.c (doprintpeers): signed/unsigned

	* ntpq/ntpq.c: ctype macros take ints as args
	signed/unsigned

	* ntpdc/ntpdc.c: signed/unsigned

	* ntpd/refclock_usno.c: signed/unsigned

	* ntpd/refclock_true.c (true_send): signed/unsigned, name clashes

	* ntpd/refclock_parse.c: signed/unsigned, name clashes

	* ntpd/refclock_nmea.c (nmea_receive): ctype macros take ints as args

	* ntpd/refclock_heath.c (heath_receive): prototypes (signed/unsigned issues)

	* ntpd/refclock_arc.c: prototypes (signed/unsigned issues)

	* ntpd/refclock_acts.c: prototypes (signed/unsigned issues)

	* ntpd/ntpd.c: prototypes (signed/unsigned issues)

	* ntpd/ntp_util.c (getauthkeys): prototypes (signed/unsigned issues)
	fix SYSV clock name clash

	* ntpd/ntp_request.c: prototypes (signed/unsigned issues)
	fix SYSV clock name clash

	* ntpd/ntp_io.c (input_handler): variable naming, signed/unsigned

	* ntpd/ntp_intres.c (readconf): signed/unsigned issues

	* ntpd/ntp_control.c: prototypes (signed/unsigned issues)
	fix SYSV clock name clash

	* ntpd/ntp_config.c: fix SYSV clock name clash
        ctype macros take ints as args

	* libparse/parsestreams.c: dirt (debug) removed

	* libparse/parsesolaris.c: more prototypes
	fix name clashes
	allow for ansi2knr

	* libparse/parse.c: bcopy/memcpy cleanup
	fix SYSV clock name clash

	* libparse/clk_trimtsip.c (cvt_trimtsip): fix SYSV clock name clash

	* libparse/clk_trimtaip.c (cvt_trimtaip): fix SYSV clock name clash

	* libparse/clk_schmid.c (cvt_schmid): fix SYSV clock name clash

	* libparse/clk_rcc8000.c (cvt_rcc8000): fix SYSV clock name clash

	* libparse/clk_rawdcf.c (cvt_rawdcf): fix SYSV clock name clash

	* libparse/clk_hopf6021.c (cvt_hopf6021): fix SYSV clock name clash

	* libparse/clk_dcf7000.c (cvt_dcf7000): fix SYSV clock name clash

	* libparse/clk_computime.c: fix SYSV clock name clash

	* libntp/octtoint.c (octtoint): ctype macros take ints as args

	* libntp/mstolfp.c (mstolfp): ctype macros take ints as args

	* libntp/hextolfp.c (hextolfp): ctype macros take ints as args

	* libntp/hextoint.c (hextoint): ctype macros take ints as args

	* libntp/decodenetnum.c (decodenetnum): ctype macros take ints as args

	* libntp/atouint.c (atouint): ctype macros take ints as args

	* libntp/atolfp.c (atolfp): ctype macros take ints as args

	* libntp/atoint.c (atoint): ctype macros take ints as args

	* kernel/sys/parsestreams.h:  STREAM macro gone in favor of HAVE_SYS_STREAM_H

	* include/parse.h: STREAM macro gone in favor of HAVE_SYS_STREAM_H

Fri Jun 12 11:08:53 1998  Frank Kardel  <kardel@acm.org>

	* ntpd/ntp_timer.c: prototype fixes (ansi2knr/knr compiler)

	* ntpd/ntp_proto.c (make_keylist): type cast for e(!!!)malloc()

	* libparse/Makefile.am: adjust for ansi2knr

	* libntp/ieee754io.c: ansi2knr compatibility

	* include/ntp_refclock.h: added pps_sample() extern declaration
	added refclock_process_offset() extern declaration

	* include/ntp.h: fixed function * prototypes

	* ntpd/refclock_parse.c (bind): added input routine
	(local_input): added input routine

	* ntpd/ntp_io.c (input_handler): direct input processing for
	refclocks to save input recv buffers

	* include/ntp_refclock.h: added int io_input(struct recvbuf *)
	pointer to allow direct processing of read refclock data in
	order to save many bug recv buffers on single character input
	(problem with "fast" machines)

	* parse_conf.c:  conditional compile macros fixed

	* parse.c:  conditional compile macros fixed
	printf prototype

	* clk_trimtaip.c:  conditional compile macros fixed
	printf prototype

	* clk_schmid.c:  conditional compile macros fixed
	printf prototype

	* clk_rcc8000.c:  conditional compile macros fixed
	printf prototype

	* clk_hopf6021.c:  conditional compile macros fixed
	printf prototype

	* clk_dcf7000.c: conditional compile macros fixed
	printf prototype

	* clk_computime.c: conditional compile macros fixed
	printf prototype

Sat Jun  6 07:41:54 1998  Frank Kardel  <kardel@acm.org>

	* ntpd/refclock_palisade.c: fixed termio.h / termios.h inclusion

	* include/ntp_refclock.h: made refclockproc/clockdesc const

	* ntpd/ntp_control.c (ctl_putpeer): avoided ambigous 'else' (gcc)

	* ntpd/refclock_parse.c (parse_start): added BURST mode initialisation

	* scripts/stats/summary.sh (CLOCK): allow for Y2K log files

	* libparse/clk_rawdcf.c: simplified condidional compile expression

Wed May 27 08:10:43 1998  Frank Kardel  <kardel@acm.org>

	* include/Makefile.am (noinst_HEADERS): added new header files
	mbg_gps166.h binio.h ascii.h ieee754io.h

	* ntpdc/ntpdc.c (sendrequest): fixed info_auth_keyid setting it
	got accidentally trashed every other round

Mon May 25 22:55:07 1998  Frank Kardel  <kardel@acm.org>

	* configure.in: PARSE clocks are enabled by default whenever
	possible (termio.h or termios.h present)
	removed RAWDCF_SETDTR feature

	* acconfig.h: removed RAWDCF_SETDTR option (now implicit by
	compilation and run time configuration)

	* ntpd/refclock_parse.c (rawdcf_init): offer a RAWDCF clock (type 14)
	that attempts to set the DTR modem line for receiver power

	* libparse/clk_meinberg.c (cvt_meinberg): support current standard
	Meinberg data formats

Sun May 24 09:43:19 1998  Frank Kardel  <kardel@acm.org>

	* libparse/clk_rawdcf.c (pps_rawdcf): trigger pps on zero going
	edge - that is simpler wiring (Rx->DCD).

	* parseutil/testdcf.c (wday): const keyword

	* parseutil/dcfd.c (cvt_rawdcf): sign issues and calling interfaces

	* ntpq/ntpq.c (MAXVARLEN): adjusted internal buffer length for
	variable values

	* ntpd/refclock_parse.c: adjust to new io handling (fixed formats
	only)
	(mkreadable): don't include >"< in readable ASCII output (-> ntpq
	parsing)
	output debug messages to stdout instead of msyslog()
	fixed version information string

	* ntpd/refclock_atom.c (pps_sample): new auxiliary pps interface

	* libparse/parsestreams.c (parserput): get event status consistent
	with direct calls
	(zs_xsisr): simulate CARRIER status to avoid unnecessary M_xHANGUP
	events

	* libparse/parsesolaris.c (parserput): get event status consistent
	with direct calls
	(zs_xsisr): simulate CARRIER status to avoid unnecessary M_xHANGUP
	events

	* libparse/parse.c: removed old input cruft
	(parse_restart): new generic input help function
	(parse_addchar): ditto
	(parse_end): ditto
	(pps_one): new generic pps help function
	(pps_zero): ditto

	* libparse/clk_trimtsip.c (clock_trimtsip =): new input handling

	* libparse/clk_trimtaip.c (clock_trimtaip =): new input handling
	(inp_trimtaip): new input handler

	* libparse/clk_schmid.c (clock_schmid =): new input handling
	(inp_schmid): new input handler

	* libparse/clk_rcc8000.c (clock_rcc8000 =): new input handling
	(inp_rcc8000): new input handler

	* libparse/clk_rawdcf.c (clock_rawdcf =): new input handling
	(snt_rawdcf): adjusted to new input handling
	(inp_rawdcf): new input handler

	* libparse/clk_meinberg.c (clock_meinberg): new input handling
	(gps_input): new input handler
	(mbg_input): new input handler

	* libparse/clk_hopf6021.c (clock_hopf6021 =): new input handling
	(inp_hopf6021): new input handler

	* libparse/clk_dcf7000.c (clock_dcf7000 =): new input handling
	(inp_dcf7000): new input handler

	* libparse/clk_computime.c (clock_computime =): new input handling
	(inp_computime): new input handler

	* libparse/Makefile.am: link kernel module with libntp.a

	* include/parse.h (struct parse): removed old data structure cruft
	(new input model) new PARSE_INP* macros for input handling
	removed old SYNC_* macros from old input model
	(struct clockformat): removed old parse functions in favor of the
	new input model
	updated prototypes

	* include/ntp_refclock.h: prototype for refclock_atom pps_sample()
	interface

	* acconfig.h: added PPS_SAMPLE define
	* configure.in (LIBPARSE): added PPS_SAMPLE configuration
	<refclock_atom aux interface>

	* libntp/systime.c (adj_systime): debug output (> level 6) for
	adjtime results

	* libntp/mfp_mul.c (mfp_mul): controlled debug output

	* libntp/ieee754io.c (get_byte): controlled debug output
	(fetch_ieee754): ditto
	(put_ieee754): ditto

Tue May  5 20:09:51 1998  Harlan Stenn  <stenn@whimsy.udel.edu>

	* configure.in: document DES is not usually present.

Wed Apr 29 22:00:22 1998  Harlan Stenn  <stenn@whimsy.udel.edu>

	* configure.in: 4.0.72h

	* authstuff/Makefile.am (check-local-rsn): check-local doesn't
	work with RSAREF...
	Reported by: "Auteria Wally Winzer Jr." <wally.winzer@champusa.com>

	* libntp/machines.c: the settime() choices were ordered badly.
	Reported by: Michael Joosten <joost@c-lab.de>

Sat Apr 25 00:35:53 1998  Harlan Stenn  <stenn@whimsy.udel.edu>

	* configure.in (ac_cv_var_no_parenb_ignpar): Undo the kernel PLL
	block I just installed - Dave wants to control this via
	KERNEL_FLL_BUG.

Fri Apr 24 20:35:57 1998  Harlan Stenn  <stenn@whimsy.udel.edu>

	* libntp/Makefile.am (libntp_a_DEPENDENCIES): Set per libntp_a_LIBADD

	* configure.in: Do a better job of blocking kernel PLL under
	solaris2.6.

Fri Apr 24 00:41:12 1998  Harlan Stenn  <stenn@whimsy.udel.edu>

	* configure.in: 4.0.72f
	(ac_cv_struct_nlist_n_un): Don't look for ntp_adjtime or
	ntp_gettime under solaris2.6.

	* ntpd/ntp_proto.c (process_packet): Give verbose error messages

	* include/global.h (PROTOTYPES): Drive via HAVE_PROTOTYPES.

Wed Apr 22 16:55:55 1998  Harlan Stenn  <stenn@whimsy.udel.edu>

	* configure.in (ac_cv_var_use_des): Added. 4.0.72e.
	* libntp/Makefile.am (libntp_a_LIBADD): Added DESOBJS

Tue Apr 21 02:08:06 1998  Harlan Stenn  <stenn@whimsy.udel.edu>

	* ntpd/refclock_arc.c (arc_receive): Typo...
	From: Sam Steingold <sds@usa.net>

Fri Apr 10 03:05:35 1998  Harlan Stenn  <stenn@whimsy.udel.edu>

	* configure.in (ac_refclock_chu): AUDIO_CHU support.  Disabled by
	default, and currently only supported on SunOS and Solaris.
	* acconfig.h: AUDIO_CHU

Wed Apr  8 19:53:53 1998  Harlan Stenn  <stenn@whimsy.udel.edu>

	* libntp/Makefile.am (EXTRA_DIST): Added mktime.c

	* configure.in:  AC_REPLACE_FUNCS(mktime).
	(--enable-dst-minutes=60): Added, for (missing) mktime().

	* ntpd/refclock_heath.c (heath_receive): Use mktime() instead of
	the old hack.

Tue Apr  7 21:15:14 1998  Harlan Stenn  <stenn@whimsy.udel.edu>

	* configure.in (LIBOBJS): Hack it before AC_OUTPUT to deal with
	ANSI2KNR-filtering rules.
	From: Jim Meyering <meyering@ascend.com>

Mon Apr  6 01:40:45 1998  Harlan Stenn  <stenn@grundoon.udel.edu>

	* libntp/strerror.c: ANSIfy strerror's definition.

Thu Mar 12 20:24:45 1998  Harlan Stenn  <stenn@whimsy.udel.edu>

	* libntp/statestr.c: Only #include <config.h> if HAVE_CONFIG_H is
	#define'd.
	From: Sven Dietrich <Sven_Dietrich@Trimble.COM>

Wed Mar 11 00:27:32 1998  Harlan Stenn  <stenn@whimsy.udel.edu>

	* configure.in: Cygwin needs to check for the advapi32 library.
	NT doesn't support a root user, so don't bother with getuid().
	Also, don't bother with umask().

	* ntpd/ntp_io.c: cygwin32 patches
	* ntpd/ntp_proto.c: Ditto.
	* ntpd/ntpd.c: Ditto.
	* ntpd/ntp_timer.c: Ditto.
	* ntpdate/ntpdate.c: Ditto.
	* libntp/machines.c: Ditto.
	* libntp/systime.c: Ditto.
	* include/ntp_machine.h: Ditto.
	* include/ntp_unixtime.h: Ditto.
	From: Sven Dietrich <Sven_Dietrich@Trimble.COM>

Tue Mar 10 22:26:14 1998  Harlan Stenn  <stenn@whimsy.udel.edu>

	* configure.in (ac_cv_make_tickadj): Added.
	Now that tickadj is the only(?) utility that cares about tick and
	tickadj, we don't need to have NOKMEM and no PRESET_* be fatal.

Sat Mar  7 02:57:17 1998  Harlan Stenn  <stenn@whimsy.udel.edu>

	* ntpd/ntp_loopfilter.c (local_clock): Patch STA_FLL check
	From: Poul-Henning Kamp <phk@freebsd.org>

	* various: Renamed ACTS to CLOCK_ACTS, ARBITER to CLOCK_ARBITER,
	ARCRON_MSF to CLOCK_ARCRON_MSF, AS2201 to CLOCK_AS2201, BANC to
	CLOCK_BANC, DATUM to CLOCK_DATUM, GPSVME to CLOCK_GPSVME, HEATH to
	CLOCK_HEATH, HPGPS to CLOCK_HPGPS, IRIG to CLOCK_IRIG, JUPITER to
	CLOCK_JUPITER, LEITCH to CLOCK_LEITCH, MSFEES to CLOCK_MSFEES,
	MX4200 to CLOCK_MX4200, NMEA to CLOCK_NMEA, PALISADE to
	CLOCK_PALISADE, PARSE to CLOCK_PARSE, PPS720 to CLOCK_PPS720, PST
	to CLOCK_PST, PTBACTS to CLOCK_PTBACTS, SHM_CLOCK to CLOCK_SHM,
	ONCORE to CLOCK_ONCORE, TPRO to CLOCK_TPRO, TRAK to CLOCK_TRAK,
	TRUETIME to CLOCK_TRUETIME, USNO to CLOCK_USNO, WWVB to CLOCK_WWVB

	* Makefile.am (ETAGS_ARGS): Added acconfig.h

	* various: Renamed LOCAL_CLOCK to CLOCK_LOCAL.

	* configure.in: First cut at  *-pc-cygwin32 support
	Requested by: Sven Dietrich <Sven_Dietrich@Trimble.COM>

	* configure.in: gdt-surveying code is gone.  Sigh.
	Reported by: Poul-Henning Kamp <phk@critter.freebsd.dk>

Wed Mar  4 21:41:06 1998  Harlan Stenn  <stenn@whimsy.udel.edu>

	* many places: Renamed ATOM to CLOCK_ATOM

Tue Mar  3 03:18:13 1998  Harlan Stenn  <stenn@whimsy.udel.edu>

	* ntpd/ntp_timer.c (timer): Only call refclock_transmit if
	REFCLOCK is #define'd.
	Reported by a bunch of folks.

Mon Mar  2 03:46:07 1998  Harlan Stenn  <stenn@whimsy.udel.edu>

	* configure.in (ntp_refclock): Use CLOCK_CHU, which no longer
	needs any special headers.
	* ntpd/refclock_chu.c: Call it CLOCK_CHU
	(chu_receive): Define it correctly.

	* include/winnt/sys/time.h (gettimeofday): Prototypes are OK.
	(settimeofday): Prototypes are OK.
	From: JJEVNISEK@qgraph.com

	* ntpq/ntpq_ops.c: varlist name and value aren't const.
	* ntpdc/ntpdc_ops.c (fudge): The flags are u_val, not val.
	* ntpdc/ntpdc.c: const cleanup, exit cleanup.
	* ntpd/refclock_wwvb.c (wwvb_receive): Move the definition of tz
	somewhere more normal.
	* ntpd/ntp_request.c (do_trustkey): kp gets u_long data, not
	u_int32 (but Harlan thinks this patch may be wrong).
	* ntpd/ntp_refclock.c (refclock_process): clocktime needs
	offset.l_ui, not offset.l_i .
	* ntpd/ntp_control.c (set_var): t isn't const.
	* libntp/a_md5encrypt.c (session_key): Cast 2nd arg to MD5auth_setkey.
	* include/ntpd.h: ctl_var's text field isn't const.
	* include/ntp_refclock.h: clockdesc isn't const.
	From: Marc Brett <Marc.Brett@waii.com>

	* ntpd/ntp_loopfilter.c (local_clock): Limit ntv.constant to
	MAXTC, and log error returns from ntp_adjtime.
	From: Juha Sarlin <juha@c3l.tyreso.se>

Mon Mar  2 03:05:23 1998  Harlan Stenn  <stenn@whimsy.udel.edu>

	* configure.in (ac_cv_var_kernel_fll_bug): KERNEL_FLL_BUG
	* acconfig.h: KERNEL_FLL_BUG: added.
	* ntpd/ntp_loopfilter.c (local_clock): Only avoid STA_FLL if
	KERNEL_FLL_BUG is #define'd (Solaris2.6)

Sat Feb 21 00:45:10 1998  Harlan Stenn  <stenn@whimsy.udel.edu>

	* automake-1.2d.patches: Added ansi2knr.o rules.

	* ntpd/refclock_tpro.c: P() stuff

Fri Feb 20 20:10:20 1998  Harlan Stenn  <stenn@whimsy.udel.edu>

	* configure.in: Improve the ${CC} -pipe test (cygwin-32's gcc -pipe
	silently does nothing).
	Reported by: Sven Dietrich <Sven_Dietrich@Trimble.COM>

Wed Feb 18 00:51:08 1998  Harlan Stenn  <stenn@whimsy.udel.edu>

* configure.in: 4.0.72 released.

* configure.in:AC_REPLACE_FUNCS(strerror), check for poll.h, and deal
  with the --enable-JUPITER stuff.
* libntp/Makefile.am (libntp_a_LIBADD): Added (for strerror support).
* libntp/clocktypes.c: Added REFCLK_GPS_JUPITER.
* ntpdate/ntpdate.c: poll() support
* ntpd/Makefile.am: Add refclock_jupiter.c
* ntpd/refclock_conf.c: Added refclock_jupiter
* ntpd/refclock_mx4200.c (mx4200_pps): Bugfixes.
* include/ntp.h (REFCLK_GPS_JUPITER): Added, and bumped REFCLK_MAX.
  From: Craig Leres <leres@ee.lbl.gov>

Mon Feb 16 21:02:42 1998  Harlan Stenn  <stenn@grundoon.udel.edu>

	* ntpd/ntp_proto.c: P()

Mon Feb 16 12:43:11 1998  Harlan Stenn  <stenn@whimsy.udel.edu>

* include/ntp_types.h: Added P() prototyping hack back in.
* include/parse.h: Ditto.
* include/ntpd.h:  Ditto.
* include/ntp_unixtime.h:  Ditto.
* include/ntp_stdlib.h: Ditto.
* include/ntp_select.h: Ditto.
* include/ntp_refclock.h: Ditto.
* include/ntp_fp.h: Ditto.
* include/md5.h: Ditto.
* include/ntp_filegen.h: Ditto.
* include/ntp_calendar.h: Ditto.
* include/l_stdlib.h: Ditto.

	* configure.in (ACTS): Sometimes, TIOCMBIS is in sys/ioctl.h
	  Reported by Kenneth Jaldehag <kenneth.jaldehag@sp.se>
	* configure.in (HEATH): Ditto.
	* configure.in (PTBACTS): Ditto.
	* configure.in (USNO): Ditto.

Sat Feb 14 00:02:14 1998  Harlan Stenn  <stenn@whimsy.udel.edu>

	* ntpd/refclock_irig.c (irig_rf): Rename sincos[] to sin_cos[].

Fri Feb 13 22:22:08 1998  Harlan Stenn  <stenn@whimsy.udel.edu>

	* include/ntp.h (RANDPOLL): Use random or mrand48.
	* ntpd/ntp_config.c (do_resolve_internal): Ditto.
	* ntpd/ntp_peer.c (unpeer): Ditto.
	* ntpd/ntp_proto.c (make_keylist): Ditto.

	* ntpd/ntpd.c (xntpdmain): Use srandom or srand48.

	* configure.in: Look for {s,}random() and [ms]rand48().

Wed Feb 11 22:50:24 1998  Harlan Stenn  <stenn@whimsy.udel.edu>

	* ntpd/ntp_restrict.c (hack_restrict): Renamed restrict()
	* include/ntpd.h: Ditto
	* ntpd/ntp_request.c (do_restrict): Ditto
	* ntpd/ntp_config.c (getconfig):
	* ntpd/ntp_io.c (create_sockets): Ditto.

1998-01-23  Harlan Stenn  <stenn@whimsy.udel.edu>

	* ntpd/refclock_irig.c: Allow either <sun/audioio.h> or
	<sys/audioio.h> .  From Dave Mills.

	* configure.in: Under SunOS, it's sun/audioio.h .

1998-01-22  Harlan Stenn  <stenn@whimsy.udel.edu>

	* html/driver6.html: Updated header file info
	* html/irig.html: Ditto.
	* configure.in: sys/bsd_audioirig.h replaced with sys/audioio.h
	for new irig driver that Dave installed.

1998-01-08  Harlan Stenn  <stenn@whimsy.udel.edu>

	* Many places: Lose the P(()) prototype stuff

	* util/tickadj.c (writevar): Make offset an off_t
	(readvar): Ditto
	(getoffsets): Make offsets off_t

	* adjtimed/adjtimed.c (GetClockRate): Fix lseek arg 2.
	(SetClockRate): Ditto

	* Many things in many places from many people.

	* configure.in: Added AC_TYPE_OFF_T

1997-11-26  Harlan Stenn  <stenn@whimsy.udel.edu>

	* ntpd/refclock_palisade.c: ANSIfied.

Wed Sep  3 23:51:44 1997  Harlan Stenn  <stenn@whimsy.udel.edu>

	* configure.in (AM_C_PROTOTYPES): Added.

	* Makefile.am (AUTOMAKE_OPTIONS): Added ansi2knr.

